# $Revision: 1.119 $, $Date: 2008-05-16 11:54:14 $
#
# Conditional build:
%bcond_without	static	# don't build static version of (pd)ksh
#
Summary:	Public Domain Korn Shell
Summary(de.UTF-8):	Korn-Shell aus dem Public Domain
Summary(es.UTF-8):	Shell Korn de dominio público
Summary(fr.UTF-8):	Korn Shell du domaine public
Summary(pl.UTF-8):	Powłoka Korna z Public Domain
Summary(pt_BR.UTF-8):	Shell Korn de domínio público
Summary(ru.UTF-8):	Свободная реализация командного процессора Korn shell (ksh)
Summary(tr.UTF-8):	Serbest Korn kabuğu
Summary(uk.UTF-8):	Вілбна реалізація командного процесора Korn shell (ksh)
Name:		pdksh
Version:	5.2.14
Release:	51
License:	Mostly Public Domain with Free & GPL additions
Group:		Applications/Shells
Source0:	ftp://ftp.cs.mun.ca/pub/pdksh/%{name}-%{version}.tar.gz
# Source0-md5:	871106b3bd937e1afba9f2ef7c43aef3
Source1:	ksh.1.pl
Source2:	%{name}-kshrc
Patch0:		%{name}-static.patch
Patch1:		%{name}-debian.patch
Patch2:		%{name}-child_max.patch
Patch4:		%{name}-history.patch
Patch9:		%{name}-no_stop_alias.patch
Patch10:	%{name}-man_no_plusminus.patch
Patch11:	%{name}-circumflex.patch
Patch12:	%{name}-siglist-sort.patch
Patch13:	%{name}-hex.patch
Patch14:	%{name}-kshrc_support.patch
URL:		http://www.cs.mun.ca/~michael/pdksh/
%{?with_static:BuildRequires:	glibc-static}
BuildRequires:	rpmbuild(macros) >= 1.429
# is needed for /etc directory existence
Requires(pre):	FHS
Requires:	setup >= 2.4.6-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix		/
%define		_bindir			/bin

%description
pdksh, a remimplementation of ksh, is a command interpreter that is
intended for both interactive and shell script use. Its command
language is a superset of the sh(1) shell language.

%description -l de.UTF-8
pdksh, eine Neuimplementierung von ksh, ist ein Befehlsinterpreter für
interaktiven und Shell-Script-Betrieb. Die Befehlssprache ist eine
Übermenge der Shell-Sprache sh(1).

%description -l es.UTF-8
Pdksh, una ampliación más de ksh, es un interpretador de comandos
destinado tanto al uso interactivo como en shell scripts. Su lenguaje
de comandos es un superconjunto del lenguaje sh(1) shell.

%description -l fr.UTF-8
pdksh, un remplacement de ksh, est un interpréteur de commande qui est
à destiné à la fois à l'utilisation interactive et a l'utilisation de
scripts. Son langage de commande est un ensemble de commande du
langage shell de sh(1).

%description -l pl.UTF-8
Pdksh jest implementacją powłoki ksh. Komendy pdksh są zgodne z
komendami powłoki sh(1).

%description -l pt_BR.UTF-8
Pdksh, uma reimplementação de ksh, é um interpretador de comandos
destinado tanto para uso interativo como em shell scripts. Sua
linguagem de comandos é um superconjunto da linguagem sh(1) shell.

%description -l ru.UTF-8
pdksh, повторная реализация ksh, - это командный процессор,
рассчитанный как на интерактивный режим, так и на использование в
командных скриптах. Его командный язык представляет собой расширение
языка sh(1).

%description -l tr.UTF-8
pdksh, hem etkileşimli hem de kabuk programcıklarının kullanımı için
tasarlanmış bir komut yorumlayıcısıdır. pdksh'ın komut dili sh(1)
kabuk dilinin bir kümesidir.

%description -l uk.UTF-8
pdksh, вільна реалізація ksh, - це командний процесор, розрахований як
на інтерактивний режим, так і на використання в командних скриптах.
Його мова команд є розширенням мови sh(1).

%package static
Summary:	Statically linked Public Domain Korn Shell
Summary(pl.UTF-8):	Skonsolidowana statycznie powłoka Korna
Group:		Applications/Shells
# requires base for /etc/kshrc?
Requires:	%{name} = %{version}-%{release}

%description static
pdksh, a remimplementation of ksh, is a command interpreter that is
intended for both interactive and shell script use. Its command
language is a superset of the sh(1) shell language.

This packege contains statically linked version of pdksh.

%description static -l pl.UTF-8
Pdksh jest implementacją powłoki ksh. Komendy pdksh są zgodne z
komendami powłoki sh(1).

W tym pakiecie jest pdksh skonsolidowany statycznie.

%prep
%setup  -q
%{?with_static:%patch0 -p0}
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch9 -p1
%patch11 -p1
%patch13 -p1
%patch14 -p1

%build
CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64 -DDEBIAN=1"
LDFLAGS="%{rpmcflags} %{rpmldflags}"
%configure2_13 \
	--enable-emacs \
	--enable-vi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	exec_prefix=$RPM_BUILD_ROOT \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1

install -d $RPM_BUILD_ROOT{%{_mandir}/pl/man1,/etc}

echo ".so ksh.1" > $RPM_BUILD_ROOT%{_mandir}/man1/pdksh.1
echo ".so ksh.1" > $RPM_BUILD_ROOT%{_mandir}/man1/sh.1

install	%{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/ksh.1
echo ".so ksh.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/pdksh.1
echo ".so ksh.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/sh.1

ln -sf ksh $RPM_BUILD_ROOT/bin/sh

install %{SOURCE2} $RPM_BUILD_ROOT/etc/kshrc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p %add_etc_shells -p /bin/sh /bin/ksh
%preun	-p %remove_etc_shells -p /bin/sh /bin/ksh

%post static -p %add_etc_shells -p /bin/ksh.static
%preun static -p %remove_etc_shells -p /bin/ksh.static

%files
%defattr(644,root,root,755)
%doc README NEWS BUG-REPORTS LEGAL
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/kshrc
%attr(755,root,root) %{_bindir}/ksh
%attr(755,root,root) %{_bindir}/sh
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%if %{with static}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksh.static
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pdksh.spec,v $
Revision 1.119  2008-05-16 11:54:14  arekm
rel 51; on glibc 2.8 sysconf(... CHILD_MAX) returns -1, use glibc 2.7 value in such case. Fixes \#151.

Revision 1.118  2008-05-08 06:38:06  arekm
- rel 50; update patch from debian (which obsoletes editmode, ulimit vmem and unset patches)

Revision 1.117  2008-04-29 16:58:52  glen
- use rpm macros for /etc/shells edit; rel 49

Revision 1.116  2007-10-16 02:12:14  glen
- tabs in lua scriptlets

Revision 1.115  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.114  2007/09/30 17:58:34  areq
- more lua - kill R:sed

Revision 1.113  2007/09/29 13:26:57  areq
- use lua in POSTIN

Revision 1.112  2007/09/02 12:54:54  arekm
- rel 46; unset shouldn't fail if variable wasn't set

Revision 1.111  2007/07/16 18:30:47  arekm
- rel 45; trying out R: FHS

Revision 1.110  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.109  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.108  2007/01/26 09:07:07  tommat
- pass cflags to linker - make build on multilib sparc

Revision 1.107  2006/11/08 08:08:02  arekm
- rel 44; update debian patch; drop other patches that fix the same issues as -debian.patch

Revision 1.106  2006/06/09 19:33:50  glen
- now that sed doesn't require /bin/sh, use sed in uninstall scripts

Revision 1.105  2005/11/27 22:25:08  ankry
- commented out again R(preun): rpm needs fixing

Revision 1.104  2005/11/27 18:35:15  ankry
- uncomment R(preun) - why it was commented out? rel. 43

Revision 1.103  2005/11/27 16:14:46  glen
- LFS fix

Revision 1.102  2005/10/17 14:48:58  glen
- comment out fileutils preun dep, fixes install order with glibc, at
  the cost of uninstall is possibly broken if coreutils is installed
  before pdksh (why would you want to do that?)

Revision 1.101  2005/07/21 17:26:42  darekr
- defined _bindir to /bin

Revision 1.100  2005/03/24 10:33:43  glen
- rel 42; STBR

Revision 1.99  2005/03/22 15:51:48  glen
- resolve missing ulimit -v issue

Revision 1.98  2004/12/17 22:50:10  saq
- %description unification

Revision 1.97  2004/07/10 10:11:41  qboosh
- removed find dependency from kshrc (caused dep loop); release 41

Revision 1.96  2004/06/19 15:40:11  pluto
- R += findutils (/etc/kshrc uses `find`).

Revision 1.95  2004/06/11 19:31:21  ankry
- rel. 40: pl manpage update

Revision 1.94  2004/04/29 08:49:30  adgor
- /etc/shrc.d support
- Requires setup >= 2.4.6-2
- Release 39

Revision 1.93  2004/04/25 00:12:52  adgor
- Merged DEVEL (AC-branch like + rc files support)
- Release 38 to distinguish AC-branch

Revision 1.92  2004/04/06 21:46:33  arekm
- hope it's final hex patch; rel 36

Revision 1.91  2004/04/06 19:37:42  qboosh
- note about debian vs awful-free-bug patches

Revision 1.90  2004/04/06 19:03:00  arekm
- still dealling with hex numbers; rel 35

Revision 1.89  2004/04/03 23:39:41  arekm
- DDEBIAN not needed here since it's in debian.patch

Revision 1.88  2004/04/03 23:32:48  arekm
- rel 34; bunch of inportant patches from Debian/OpenBSD

Revision 1.87  2004/04/02 17:12:45  arekm
- hex bugfix (in case where val=0); rel 33)

Revision 1.86  2004/04/02 13:01:07  arekm
- support hexadecimal numbers in expressions (from OpenBSD); rel 32

Revision 1.85  2004/01/29 09:37:33  pluto
- fixed obsolete sort syntax (vide coreutils/posix).

Revision 1.84  2003/12/23 19:53:18  qboosh
- fixed broken preun static, new-style bconds, release 31

Revision 1.83  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.82  2003/08/24 23:52:54  mmazur
- rel 30 for ac

Revision 1.81  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.80  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.79  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.78  2003/05/05 10:03:09  adamg
- added missing LEGAL file

Revision 1.77  2003/02/28 10:08:06  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.76  2003/02/09 21:28:55  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.75  2002/12/08 22:53:15  malekith
- added patch to allow [^abc] in addition to SUS compliant [!abc]
- release 29
- it needs some testing

Revision 1.74  2002/10/24 10:08:33  ankry
- updated pl man page; rel 28

Revision 1.73  2002/09/18 21:10:30  qboosh
- removed quote patch - debian patch already contains fix for escaping special
  chars, and such "double quoting" was breaking completions; also, quote patch
  didn't properly escape '"' char, so I decided to leave debian patch
- release 27

Revision 1.72  2002/05/30 11:15:14  kloczek
- remove no_std_aliases patch and added no_stop_alias patrch (remove only stop alias),
- use new %doc,
- merge translations from KSI.

Revision 1.71  2002/04/29 22:01:34  ankry
- remove "+/-" sign from en man page (requires iso8859-1 to be set) -
  pdksh-man_no_plusminus.patch
- release 26

Revision 1.70  2002/03/20 23:38:52  agaran
- added buildreq glibc-static (conditional by --without static)

Revision 1.69  2002/02/24 10:06:24  misiek
- aliases patch will be back later (it's waiting for kloczek fix)

Revision 1.68  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.67  2002/02/16 18:15:05  kloczek
- reelase 25: added no_std_aliases patch which removes all standard aliases
  hardcoded in pdksh code which dissallow using some commands or functions
  eith the same names as this aliases.

Revision 1.66  2002/01/22 22:34:52  qboosh
- the same, upper case

Revision 1.65  2002/01/22 22:32:42  qboosh
- typo

Revision 1.64  2002/01/18 02:14:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.63  2001/10/20 00:40:22  kloczek
- merge translations from CNV.

Revision 1.62  2001/10/19 12:54:44  qboosh
- integrated history0 into history patch (bug was in history patch)
- changed awful-free-bug patch: test start address too when checking for
  large object (bug caught by libtool in gal package)
- release 24

Revision 1.61  2001/07/18 20:31:49  qboosh
- history0 patch: don't segfault when running in interactive mode
  if .history contains \0
- %configure2_13 (ac2.50 requires some fixes)
  (removed running autoconf - seems to be unnecessary)
- release 23

Revision 1.60  2001/07/02 00:33:57  qboosh
- fixed awful memory (de)allocation bug (hope it's the end of SEGVs!)
  (libtool is good at least as pdksh-bug-detector :P)
- removed alloc patch (don't fix what isn't broken)
- release 22

Revision 1.59  2001/05/22 09:06:34  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_);
  no release changes only simple s/// perfored

Revision 1.58  2001/05/17 02:34:41  qboosh
- eval-segv patch: it wasn't memory management - eval destroyed source pointer
  I'm not sure the fix is correct and final but it seems to work :)))
- release 21

Revision 1.57  2001/05/12 18:23:42  qboosh
- fixed history patch (SEGV in some cases)
- release 20
  NOTE: still there's something wrong with memory management!

Revision 1.56  2001/05/10 10:33:36  mguevara
- changed licensing info from "Public Domain" to "mostly Public Domain with
  Free & GPL additions" according to the LEGAL file

Revision 1.55  2001/05/05 21:42:56  kloczek
- release 19: fixed alloc patch (always calculate cells the same way).

Revision 1.54  2001/04/25 22:52:18  misiek
- release 18
- use updated alloc patch (hopefuly fixes segfault problems)

Revision 1.53  2001/04/21 08:06:45  kloczek
- release 17,
- merge Conectiva rlimit_locks patch for add support for RLIMIT_LOCKS
  on ulimit command.

Revision 1.52  2001/04/11 22:10:41  kloczek
- release 16.

Revision 1.51  2001/04/11 05:00:44  agaran
- Added simple patch for add EDITMODE special var which is checked before EDITOR/VISUAL
  for allow to have EDITOR=VISUAL=vim and EDITMODE=emacs (just because that switch on readline)

Revision 1.50  2001/02/27 11:21:57  misiek
- added debian patch; release 15; stb

Revision 1.49  2001/02/05 19:57:50  alchemyx
- typo

Revision 1.48  2001/01/30 16:14:34  kloczek
- relase 14.

Revision 1.47  2001/01/30 16:13:12  misiek
- added one more patch

Revision 1.46  2000/12/28 15:07:39  baggins
- allow build without static package (define _without_static for it)

Revision 1.45  2000/12/05 19:24:26  kloczek
- release 13.

Revision 1.44  2000/12/05 18:56:08  misiek
- /etc/ksh.kshrc removed as it wasn't used

Revision 1.43  2000/12/03 13:18:43  zagrodzki
- postun changed to preun (I guess it's hard to use shell scripts after
  /bin/sh has been uninstalled :>>)

Revision 1.42  2000/12/03 13:05:58  zagrodzki
- release 12
- replaced grep with sh

Revision 1.41  2000/12/01 15:26:15  baggins
- release 11
- removed prereq: grep

Revision 1.40  2000/11/28 20:13:48  zagrodzki
- release 10
- added prereq: grep

Revision 1.39  2000/11/10 01:17:35  kloczek
- release 9,
- use new rpm automation,
- merge bugfix patch from official ftp site (removed allocfix patch which is
  now included in this patch).

Revision 1.38  2000/08/07 23:10:15  baggins
- release 7
- new version of history patch (also don't store duplicated commands)

Revision 1.37  2000/08/07 12:44:11  kloczek
- adapterized.

Revision 1.36  2000/08/06 03:54:17  baggins
- release 6
- added history-nl patch (separate history lines with \n, not \0

Revision 1.35  2000/06/09 07:54:45  kloczek
- more %{__make} macros.

Revision 1.34  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.33  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.32  2000/04/11 10:00:31  mis
- removed unnecessary basesystem prereq, the same in ldconfig it's enough

Revision 1.31  2000/04/06 20:53:31  kloczek
- release 5.

Revision 1.30  2000/04/05 10:21:50  zagrodzki
- Prereq: basesystem

Revision 1.29  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.27  1999/11/16 09:33:40  kloczek
- oops .. bump revision to 4.

Revision 1.26  1999/11/16 09:23:32  kloczek
- release 4,
- added quote patch (Marcin Dalecki <dalecki@cs.net.pl>):
  fix quoting whitespaces in input command line tab completition.

Revision 1.25  1999/07/31 13:05:55  kloczek
- release 3 (allocfix patch submitted by Michael Rendell
  <michael@cs.mun.ca>).

Revision 1.24  1999/07/31 12:36:56  misiek
- patch fixing alloc bug

Revision 1.23  1999/07/23 19:28:22  kloczek
- release 2,
- updated pl man page.

Revision 1.22  1999/07/19 12:59:34  kloczek
- revision 1.2.

Revision 1.21  1999/07/19 12:58:14  kloczek
- added ne version alloc fix bug patch.

Revision 1.20  1999/07/15 23:12:20  kloczek
- updated to stable 5.2.14,
- removed 8bit and alloc patches (integrated in current version),
- added using %congigure macro.

Revision 1.19  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
