'\" t
.\" $Id: ksh.1.pl,v 1.5 2004-06-11 18:45:17 ankry Exp $
.\"
.\"{{{}}}
.\"{{{  Notes about man page
.\"     - use the pseudo-macros .sh( and .sh) to begin and end sh-specific
.\"       text and .ksh( and .ksh) for ksh specific text.
.\"     - put i.e., e.g. and etc. in italics
.\"}}}
.\"{{{  To do
.\" todo: Things not covered that should be:
.\"	- distinguish (POSIX) special built-in's, (POSIX) regular built-in's,
.\"	  and sh/ksh weirdo built-in's (put S,R,X superscripts after command
.\"	  name in built-in commands section?)
.\"	- need to be consistent about notation for `See section-name', `
.\"	  See description of foobar command', `See section section-name', etc.
.\"	- need to use the term `external command' meaning `a command that is
.\"       executed using execve(2)' (as opposed to a built-in command or
.\"       function) for more clear description.
.\"}}}
.\"{{{  Title
.TH KSH 1 "22 lutego 1999" "" "Komendy uytkownika"
.\"}}}
.\"{{{  Name
.SH NAZWA
ksh \- Publiczna implementacja powoki Korna
.\"}}}
.\"{{{  Synopsis
.SH WYWOANIE
.ad l
\fBksh\fP
[\fB+-abCefhikmnprsuvxX\fP] [\fB+-o\fP \fIopcja\fP]
[ [ \fB\-c\fP \fIacuch_komend\fP [\fInazwa_komendy\fP]|\fB\-s\fP|\fIplik\fP ]
[\fIargument\fP ...] ]
.ad b
.\"}}}
.\"{{{  Description
.SH OPIS
\fBksh\fP to interpreter komend zaprojektowany zarwno
do interakcyjnej pracy z systemem, jak i do wykonywania skryptw.
Jego jzyk komend jest nadzbiorem (superset) jzyka powoki \fIsh\fP(1).
.\"{{{  Shell Startup
.SS "Uruchamianie powoki"
Nastpujce opcje mog by uyte wycznie w linii komend:
.IP "\fB\-c\fP \fIacuch_komend\fP"
powoka wykonuje komend(y) zawart(e) w \fIacuchu_komend\fP
.IP \fB\-i\fP
tryb interakcyjny \(em patrz poniej
.IP \fB\-l\fP
powoka zameldowania \(em patrz poniej
tryb interakcyjny \(em patrz poniej
.IP \fB\-s\fP
powoka wczytuje komendy ze standardowego wejcia; wszelkie argumenty
nie bdce opcjami s argumentami pozycyjnymi
.IP \fB\-r\fP
tryb ograniczony \(em patrz poniej
.PP
Ponadto wszelkie opcje, opisane w omwieniu wbudowanej
komend \fBset\fP, mog rwnie zosta uyte w linii polece.
.PP
Jeli nie zostaa podana ani opcja \fB\-c\fP, ani opcja \fB\-s\fP,
wwczas pierwszy argument nie bdcy opcj, okrela
plik, z ktrego zostan wczytane komendy. Jeli brak jest argumentw
nie bdcych opcjami, to powoka wczytuje komendy ze standardowego
wejcia.
Nazwa powoki (tj. zawarto parametru \fB$0\fP)
jest ustalana jak nastpuje: jeli uyto opcji \fB\-c\fP
i podano argument nie bdcy opcj, to jest on nazw;
jeli komendy s wczytywane z pliku, wwczas nazwa tego pliku zostaje
uyta jako nazwa powoki; w kadym innym przypadku zostaje uyta
nazwa, pod ktr powoka zostaa wywoana
(tzn. warto argv[0]).
.PP
Powoka jest \fBinterakcyjna\fP, jeli uyto opcji \fB\-i\fP
lub jeli zarwno standardowe wejcie, jak i standardowe wyjcie bdw,
jest skojarzone z jakim terminalem.
W interakcyjnej powoce kontrola zada (jeli takowa jest dostpna
w danym systemie) jest wczona oraz ignorowane s nastpujce sygnay:
INT, QUIT oraz TERM. Ponadto powoka wywietla zacht przed
odczytywaniem polece (patrz parametry \fBPS1\fP i \fBPS2\fP).
Dla nieinterakcyjnych powok, uaktywnia si domylnie opcja \fBtrackall\fP
(patrz poniej: komenda \fBset\fP).
.PP
Powoka jest \fBograniczona\fP, jeli zastosowano opcj \fB\-r\fP lub
gdy albo gwna cz nazwy (basename), pod jak wywoano powok, albo parametr
\fBSHELL\fP, pasuj do wzorca *r*sh (na przykad:
rsh, rksh, rpdksh itp.).
Po przetworzeniu przez powok wszystkich plikw profili i \fB$ENV\fR
wczane s nastpujce ograniczenia:
.nr P2 \n(PD
.nr PD 0
.IP \ \ \(bu
niedostpna jest komenda \fBcd\fP
.IP \ \ \(bu
nie mog by zmieniane parametry: \fBSHELL\fP, \fBENV\fP i \fBPATH\fP.
.IP \ \ \(bu
nazwy polece nie mog by podawane z uyciem cieek bezwzgldnych lub
wzgldnych [tum.: tj. dostpne s tylko przez nazw bez cieki]
.IP \ \ \(bu
niedostpna jest opcja \fB\-p\fP wbudowanego polecenia \fBcommand\fP
.IP \ \ \(bu
nie mog by uywane przekierowania tworzce pliki
(np.: \fB>\fP, \fB>|\fP, \fB>>\fP, \fB<>\fP)
.nr PD \n(P2
.PP
Powoka jest \fBuprzywilejowana\fP, jeli zastosowano opcj \fB\-p\fP
lub jeli rzeczywisty identyfikator uytkownika lub jego grupy
nie jest zgodny z efektywnym identyfikatorem uytkownika czy grupy
(patrz: \fIgetuid\fP(2), \fIgetgid\fP(2)).
Uprzywilejowana powoka nie przetwarza ani \fI$HOME/.profile\fR, ani parametru
\fBENV\fP (patrz poniej), przetwarza za to plik \fI/etc/suid_profile\fR.
Wykasowanie opcji uprzywilejowania powoduje, e powoka ustawia swj
efektywny identyfikator uytkownika i grupy na wartoci faktycznego
identyfikatora uytkownika (user-id) i jego grupy (group-id).
.PP
Jeli gwna cz nazwy, pod jak dana powoka zostaa wywoana
(\fItzn.\fP argv[0])
zaczyna si od \fB\-\fP lub uyto opcji \fB\-l\fP,
to zakada si, e powoka ma by powok zgoszeniow i wczytywana jest
zawarto plikw \fI/etc/profile\fP i \fI$HOME/.profile\fP,
jeli takie istniej i mona je odczyta.
.PP
Jeeli parametr \fBENV\fR jest ustawiony podczas uruchamiania powoki
(albo w wypadku powok zgoszeniowych - po przetworzeniu
dowolnych plikw profilowych), to jego zawarto zostaje
poddana zastpowaniu.
Zastpowane s parametry, komendy, wyraenia arytmetyczne oraz tylda.
Nastpnie wynikajca z tej operacji nazwa jest
interpretowana jako nazwa pliku, podlegajcego wczytaniu i wykonaniu.
Jeli parametr \fBENV\fP jest pusty (i niezerowy), a pdksh zosta
skompilowany ze zdefiniowanym makrem \fBDEFAULT_ENV\fP,
to po wykonaniu wszelkich ju wyej wymienionych podstawie,
zostaje wczytany plik okrelony tym makrem.
.PP
Kod wyjcia powoki wynosi 127, jeli plik komend
podany we linii wywoania nie mg zosta otwarty,
lub kod wyjcia jest niezerowy, jeli wystpi krytyczny bd skadni
podczas wykonywania tego skryptu.
W razie braku bdw krytycznych, kod wyjcia jest rwny kodowi ostatnio
wykonanej komendy lub zeru, jeli nie wykonano adnej komendy.
.\"}}}
.\"{{{  Command Syntax
.SS "Skadnia polece"
.\"{{{  words and tokens
Powoka rozpoczyna analiz skadniow wejcia od podziau go
na poszczeglne sowa \fIword\fP.
Sowa, stanowice cigi znakw, ograniczane s niecytowanymi
biaymi znakami \fIwhitespace\fP (spacja, tabulator i nowa linia)
lub \fImetaznakami\fP
(\fB<\fP, \fB>\fP, \fB|\fP, \fB;\fP, \fB&\fP, \fB(\fP i \fB)\fP).
Poza ograniczaniem sw spacje i tabulatory s ignorowane.
Natomiast znaki zmiany linii zwykle rozgraniczaj komendy.
Metaznaki stosowane s do tworzenia nastpujcych symboli:
\fB<\fP, \fB<&\fP, \fB<<\fP, \fB>\fP, \fB>&\fP, \fB>>\fP, \fIitd.\fP,
sucych do okrelania przekierowa (patrz: "Przekierowywanie
wejcia/wyjcia" poniej);
\fB|\fP suy do tworzenia potokw;
\fB|&\fP suy do tworzenia koprocesw (patrz: "Koprocesy" poniej);
\fB;\fP suy do oddzielania komend;
\fB&\fP suy do tworzenia potokw asynchronicznych;
\fB&&\fP i \fB||\fP su do okrelenia wykonania warunkowego;
\fB;;\fP jest uywany w poleceniach \fBcase\fP;
\fB((\fP .. \fB))\fP s uywane w wyraeniach arytmetycznych;
i w kocu,
\fB(\fP .. \fB)\fP su do tworzenia podpowok.
.PP
Biae znaki lub metaznaki mona zacytowywa pojedynczo
przy uyciu znaku odwrotnego ukonika (\fB\e\fP) lub grupami w podwjnych
(\fB"\fP) lub pojedynczych (\fB'\fP) cudzysowach.
Zauwa, i nastpujce znaki podlegaj rwnie
specjalnej interpretacji przez powok i musz by cytowane,
jeli maj by uyte dosownie:
\fB\e\fP, \fB"\fP, \fB'\fP, \fB#\fP, \fB$\fP, \fB`\fP, \fB~\fP, \fB{\fP,
\fB}\fP, \fB*\fP, \fB?\fP i \fB[\fP.
Pierwsze trzy to wyej wspomniane symbole cytowania
(patrz: "Cytowanie" poniej);
\fB#\fP, na pocztku sowa rozpoczyna komentarz \(em wszystko po znaku
\fB#\fP, a do koca linii jest ignorowane;
\fB$\fP suy do wprowadzenia podstawienia parametru, komendy
lub wyraenia arytmetycznego (patrz: "Podstawienia" poniej);
\fB`\fP rozpoczyna podstawienia komendy w starym stylu
(patrz: "Podstawienia" poniej);
\fB~\fP rozpoczyna rozwinicie katalogu (patrz: "Rozwijanie tyld" poniej);
\fB{\fP i \fB}\fP obejmuj alternacje w stylu \fIcsh\fP(1)
(patrz: "Rozwijanie nawiasw" poniej);
i na koniec, \fB*\fP, \fB?\fP oraz \fB[\fP s stosowane przy tworzeniu
nazw plikw (patrz: "Wzorce nazw plikw" poniej).
.\"}}}
.\"{{{  simple-command
.PP
W trakcie analizy sw i symboli, powoka tworzy komendy, ktrych
wyrnia si dwa rodzaje: \fIkomendy proste\fP, zwykle programy
do wykonania, oraz \fIkomendy zoone\fP, takie jak dyrektywy \fBfor\fP i
\fBif\fP, struktury grupujce i definicje funkcji.
.PP
Polecenie proste skada si z kombinacji przyporzdkowa wartoci
parametrom (patrz: "Parametry"), przekierowa wejcia/wyjcia
(patrz: "Przekierowania wejcia/wyjcia") i sw komend;
Jedynym ograniczeniem jest to, e wszelkie podstawienia wartoci
parametrw musz wystpowa przed sowami komend.
Sowa komend, jeli zostay podane, okrelaj polecenie, ktre
naley wykona, wraz z jego argumentami.
Komenda moe by komend wbudowan powoki, funkcj lub
\fIkomend zewntrzn\fP, \fItzn.\fP oddzielnym
plikiem wykonywalnym, ktry jest odnajdowany przy uyciu
wartoci parametru \fBPATH\fP (patrz: "Wykonywanie komend" poniej).
Trzeba zauway, e wszystkie komendy maj swj
\fIkod zakoczenia\fP: dla polece zewntrznych jest on
powizany z kodem zwracanym przez \fIwait\fP(2) (jeli
komenda nie zostaa odnaleziona, wwczas kod wynosi 127,
natomiast jeli nie mona byo jej wykona, to kod wynosi 126).
Kody zwracane przez inne polecenia (komendy wbudowane,
funkcje, potoki, listy, itp.) s precyzyjnie okrelone,
a ich opis towarzyszy opisowi danego konstruktu.
Kod wyjcia komendy zawierajcej jedynie przyporzdkowania
wartoci parametrom, odpowiada kodowi ostatniego wykonanego podczas tego
podstawienia lub zeru, jeli adne podstawienia nie miay
miejsca.
.\"}}}
.\"{{{  pipeline
.PP
Przy pomocy symbolu \fB|\fP komendy mog zosta powizane w \fIpotoki\fP.
W potokach standardowe wyjcie wszystkich komend poza ostatnim, zostaje
wyprowadzone (patrz \fIpipe\fP(2)) na standardowe wejcie nastpnej komendy.
Kod wyjcia potoku jest rwny kodowi zwrconemu przez ostatni komend
potoku.
Potok moe zosta poprzedzony zarezerwowanym sowem \fB!\fP,
powodujcym zmian kodu wyjcia na jego logiczne przeciwiestwo.
Tzn. jeli pierwotnie kod wyjcia wynosi 0, to bdzie on mia warto 1,
natomiast jeli pierwotn wartoci nie byo 0, to kodem przeciwstawnym
jest 0.
.\"}}}
.\"{{{  lists
.PP
\fIList\fP komend tworzymy rozdzielajc potoki jednym z nastpujcych symboli:
\fB&&\fP, \fB||\fP, \fB&\fP, \fB|&\fP i \fB;\fP.
Pierwsze dwa oznaczaj warunkowe wykonanie: \fIcmd1\fP \fB&&\fP \fIcmd2\fP
wykonuje \fIcmd2\fP tylko wtedy, jeeli kod wyjcia \fIcmd1\fP by zerowy.
Natomiast \fB||\fP zachowuje si dokadnie odwrotnie. \(em \fIcmd2\fP
zostaje wykonane jedynie, jeli kod wyjcia \fIcmd1\fP by
rny od zera.
\fB&&\fP i \fB||\fP wi rwnowanie, a zarazem mocniej ni
\fB&\fP, \fB|&\fP i \fB;\fP, ktre z kolei rwnie posiadaj t sam si
wizania.
Symbol \fB&\fP powoduje, e poprzedzajca go komenda zostanie wykonana
asynchronicznie, tzn. powoka uruchamia dan komend, jednak nie czeka na jej
zakoczenie (powoka ledzi dokadnie wszystkie asynchroniczne
komendy \(em patrz: "Kontrola zada" poniej).
Jeli komenda asynchroniczna jest uruchomiona przy wyczonej
kontroli zada (tj. w wikszoci skryptw),
wwczas jest ona uruchamiana z wyczonymi sygnaami INT
i QUIT oraz przekierowanym wejciem do /dev/null
(aczkolwiek przekierowania, ustalone w samej komendzie asynchronicznej
maj tu pierwszestwo).
Operator \fB|&\fP rozpoczyna \fIkoproces\fP, stanowicy specjalnego
rodzaju komend asynchroniczn (patrz: "Koprocesy" poniej).
Zauwa, e po operatorach \fB&&\fP i \fB||\fP
musi wystpowa komenda, podczas gdy nie jest to konieczne
po \fB&\fP, \fB|&\fP i \fB;\fP.
Kodem wyjcia listy komend jest kod ostatniego wykonanego w niej polecenia,
z wyjtkiem list asynchronicznych, dla ktrych kod wynosi 0.
.\"}}}
.\"{{{  compound-commands
.PP
Komendy zoone tworzymy przy pomocy nastpujcych sw zarezerwowanych
\(em sowa te s rozpoznane tylko wtedy, gdy nie s zacytowane
i wystpuj jako pierwsze wyrazy w komendzie (tj. nie s poprzedzone
adnymi przyporzdkowywaniami wartoci parametrom czy przekierowaniami):
.TS
center;
lfB lfB lfB lfB lfB .
case	else	function	then	!
do	esac	if	time	[[
done	fi	in	until	{
elif	for	select	while	}
.TE
\fBUwaga:\fP Niektre powoki (lecz nie nasza) wykonuj polecenia sterujce
w podpowoce, gdy przekierowano jeden lub wicej z ich deskryptorw plikw,
tak wic wszelkiego rodzaju zmiany otoczenia w nich mog nie dziaa.
Aby zachowa przenono naley stosowa polecenie \fBexec\fP do
przekierowa deskryptorw plikw przed poleceniem sterujcym.
.PP
W poniszym opisie polece zoonych, listy komend (zaznaczone przez
\fIlista\fP), po ktrych nastpuje sowo zarezerwowane, musz koczy si rednikiem,
przeamaniem wiersza lub (poprawnym gramatycznie) sowem zarezerwowanym.
Przykadowo,
.RS
\fB{ echo foo; echo bar; }\fP
.br
\fB{ echo foo; echo bar<newline>}\fP
.br
\fB{ { echo foo; echo bar; } }\fP
.RE
s poprawne, natomiast
.RS
\fB{ echo foo; echo bar }\fP
.RE
nie.
.\"{{{  ( list )
.IP "\fB(\fP \fIlista\fP \fB)\fP"
Wykonaj \fIlist\fP w podpowoce. Nie ma bezporedniej moliwoci
przekazania wartoci parametrw podpowoki z powrotem do jej
powoki macierzystej.
.\"}}}
.\"{{{  { list }
.IP "\fB{\fP \fIlista\fP \fB}\fP"
Konstrukcja zoona; \fIlista\fP zostaje wykonana, lecz nie w podpowoce.
Zauwa, e \fB{\fP i \fB}\fP to zarezerwowane sowa, a nie
metaznaki.
.\"}}}
.\"{{{  case word in [ [ ( ] pattern [ | pattern ] ... ) list ;; ] ... esac
.IP "\fBcase\fP \fIsowo\fP \fBin\fP [ [\fB(\fP] \fIwzorzec\fP [\fB|\fP \fIwzorzec\fP] ... \fB)\fP \fIlista\fP \fB;;\fP ] ... \fBesac\fP"
Wyraenie \fBcase\fP stara si dopasowa \fIsowo\fP do jednego
z danych \fIwzorcw\fP; wykonywana jest \fIlista\fP powizana z pierwszym
poprawnie dopasowanym wzorcem.
Wzorce stosowane w wyraeniach \fBcase\fP odpowiadaj wzorcom
stosowanym do specyfikacji nazw plikw z wyjtkiem tego, e
nie obowizuj ograniczenia zwizane z \fB\&.\fP i \fB/\fP.
Prosz zwrci uwag na to, e wszelkie niecytowane biae
znaki przed wzorcem i po nim zostaj usunite; wszelkie spacje we wzorcu
musz by cytowane.  Zarwno sowa, jak i wzorce podlegaj podstawieniom
parametrw, rozwiniciom arytmetycznym oraz podstawieniu tyldy.
Ze wzgldw historycznych, moemy zastosowa nawiasy otwierajcy i
zamykajcy zamiast \fBin\fP i \fBesac\fP
(w szczeglnoci wic, \fBcase $foo { *) echo bar; }\fP).
Kodem wyjcia wyraenia \fBcase\fP jest kod wykonanej
\fIlisty\fP; jeli nie zostaa wykonana adna \fIlista\fP,
wwczas kod wyjcia wynosi zero.
.\"}}}
.\"{{{  for name [ in word ... term ] do list done
.IP "\fBfor\fP \fInazwa\fP [ \fBin\fP \fIsowo\fP ... \fIzakoczenie\fP ] \fBdo\fP \fIlista\fP \fBdone\fP"
gdzie \fIzakoczenie\fP jest albo znakiem koca linii, albo \fB;\fP.
Dla kadego \fIsowa\fP w podanej licie sw, parametr \fInazwa\fP zostaje
ustawiony na to sowo i \fIlista\fP zostaje wykonana. Jeeli nie bdzie uyte \fBin\fP
do specyfikacji listy sw, to zamiast tego zostan uyte parametry
pozycyjne (\fB"$1"\fP, \fB"$2"\fP, \fIitp.\fP).
Ze wzgldw historycznych, moemy zastosowa nawiasy otwierajcy i
zamykajcy zamiast \fBdo\fP i \fBdone\fP
(\fIw szczeglnoci\fP, \fBfor i; { echo $i; }\fP).
Kodem wyjcia wyraenia \fBfor\fP jest ostatni kod wyjcia
danej \fIlisty\fP; jeli \fIlista\fP nie zostaa w ogle
wykonana, wwczas kod wynosi zero.
.\"}}}
.\"{{{  if list then list [ elif list then list ] ... [ else list ] fi
.IP "\fBif\fP \fIlista\fP \fBthen\fP \fIlista\fP [\fBelif\fP \fIlista\fP \fBthen\fP \fIlista\fP] ... [\fBelse\fP \fIlista\fP] \fBfi\fP"
Jeli kod wyjcia pierwszej \fIlisty\fP jest zerowy,
to zostaje wykonana druga \fIlista\fP; w przeciwnym razie, jeli mamy takow,
zostaje wykonana \fIlista\fP po \fBelif\fP, z podobnymi
konsekwencjami. Jeli wszystkie listy po \fBif\fP
i \fBelif\fP wyka bd (\fItzn.\fP zwrc niezerowy kod), to zostanie wykonana
\fIlista\fP po \fBelse\fP.
Kodem wyjcia wyraenia \fBif\fP jest kod wykonanej \fIlisty\fP,
niestanowicej warunku. Jeli adna nieokrelajca warunku
\fIlista\fP nie zostanie wykonana, wwczas kod wyjcia wynosi zero.
.\"}}}
.\"{{{  select name [ in word ... ] do list done
.IP "\fBselect\fP \fInazwa\fP [ \fBin\fP \fIsowo\fP ... \fIzakoczenie\fP ] \fBdo\fP \fIlista\fP \fBdone\fP"
gdzie \fIzakoczenie\fP jest albo przeamaniem wiersza, albo \fB;\fP.
Wyraenie \fBselect\fP umoliwia automatyczn prezentacj uytkownikowi
menu, wraz z moliwoci wyboru z niego.
Przeliczona lista wykazanych \fIsw\fP zostaje wypisana na
standardowym wyjciu bdw, po czym zostaje
wywietlony symbol zachty (\fBPS3\fP, czyli domylnie `\fB#? \fP').
Nastpnie zostaje wczytana liczba odpowiadajca danemu punktowi
menu ze standardowego wejcia, po czym \fInazwie\fP
zostaje przyporzdkowane w ten sposb wybrane sowo (lub warto
pusta, jeeli wybr by niewaciwy), zmiennej \fBREPLY\fP
zostaje przyporzdkowane to, co zostao wczytane
(po usuniciu pocztkowych i kocowych biaych znakw),
i \fIlista\fP zostaje wykonana.
Jeli wprowadzono pust lini (dokadniej: zero lub wicej
znaczkw \fBIFS\fP), wwczas menu zostaje ponownie wywietlone, bez
wykonywania \fIlisty\fP.
Gdy wykonanie \fIlisty\fP zostaje zakoczone,
wwczas przeliczona lista wyborw zostaje wywietlona ponownie, jeli
\fBREPLY\fP jest zerowe, ponownie wywietlany jest symbol zachty i tak dalej.
Proces ten si powtarza, a do wczytania znaku koca pliku,
otrzymania sygnau przerwania lub wykonania polecenia przerwania (break)
w rodku ptli.
Jeli opuszczono \fBin\fP \fIsowo\fP \fB\&...\fP, wwczas
uyte zostaj parametry pozycyjne (\fItzn.\fP, \fB"$1"\fP, \fB"$2"\fP,
\fIitp.\fP).
Ze wzgldw historycznych, moemy zastosowa nawiasy otwierajcy i
zamykajcy zamiast \fBdo\fP i \fBdone\fP (\fIw szczeglnoci\fP,
\fBselect i; { echo $i; }\fP).
Kodem wyjcia wyraenia \fBselect\fP jest zero, jeli
uyto polecenia przerwania do wyjcia z ptli albo
niezero w przeciwnym wypadku.
.\"}}}
.\"{{{  until list do list done
.IP "\fBuntil\fP \fIlista\fP \fBdo\fP \fIlista\fP \fBdone\fP"
Dziaa dokadnie jak \fBwhile\fP, z wyjtkiem tego, e zawarto
ptli jest wykonywana jedynie wtedy, gdy kod wyjcia pierwszej
\fIlisty\fP jest niezerowy.
.\"}}}
.\"{{{  while list do list done
.IP "\fBwhile\fP \fIlista\fP \fBdo\fP \fIlista\fP \fBdone\fP"
Wyraenie \fBwhile\fP okrela ptl o warunku sprawdzanym przed
wykonaniem. Zawarto ptli jest wykonywana dopki,
dopty kod wyjcia pierwszej \fIlisty\fP jest zerowy.
Kodem wyjcia wyraenia \fBwhile\fP jest ostatni
kod wyjcia \fIlisty\fP w zawartoci tej ptli;
gdy zawarto nie zostanie w ogle wykonana, wwczas kod wynosi zero.
.\"}}}
.\"{{{  function name { list }
.IP "\fBfunction\fP \fInazwa\fP \fB{\fP \fIlista\fP \fB}\fP"
Definiuje funkcj o nazwie \fInazwa\fP.
Patrz: "Funkcje" poniej.
Prosz zwrci uwag, e przekierowania tu po definicji
funkcji zostaj zastosowane podczas wykonywania jej zawartoci,
a nie podczas przetwarzania jej definicji.
.\"}}}
.\"{{{  name () command
.IP "\fInazwa\fP \fB()\fP \fIpolecenie\fP"
Niemal dokadnie to samo co w \fBfunction\fP.
Patrz: "Funkcje" poniej.
.\"}}}
.\"{{{  (( expression ))
.IP "\fB((\fP \fIwyraenie\fP \fB))\fP"
Warto wyraenia arytmetycznego \fIwyraenie\fP zostaje przeliczona;
rwnowane do \fBlet "\fP\fIwyraenie\fP\fB"\fP.
patrz: "Wyraenia arytmetyczne" i opis polecenia \fBlet\fP poniej..
.\"}}}
.\"{{{  [[ expression ]]
.IP "\fB[[\fP \fIexpression\fP \fB]]\fP"
Podobne do komend \fBtest\fP i \fB[\fP \&... \fB]\fP (ktre opisujemy
pniej), z nastpujcymi rnicami:
.RS
.nr P2 \n(PD
.nr PD 0
.IP \ \ \(bu
Rozdzielanie pl i generacja nazw plikw nie s wykonywane na
argumentach.
.IP \ \ \(bu
Operatory \fB\-a\fP (i) oraz \fB\-o\fP (lub) zostaj zastpione
odpowiednio przez \fB&&\fP i \fB||\fP.
.IP \ \ \(bu
Operatory (\fIdokadniej\fP: \fB\-f\fP, \fB=\fP, \fB!\fP, \fIitp.\fP)
nie mog by cytowane.
.IP \ \ \(bu
Drugi operand dla \fB!=\fP i \fB=\fP
jest traktowany jako wzorzec (\fIw szczeglnoci\fP, porwnanie
.ce
\fB[[ foobar = f*r ]]\fP
jest sukcesem).
.IP \ \ \(bu
Mamy do dyspozycji dwa dodatkowe operatory binarne: \fB<\fP i \fB>\fP,
ktre zwracaj prawd, gdy pierwszy acuchowy operand jest odpowiednio
mniejszy lub wikszy od drugiego operandu acuchowego.
.IP \ \ \(bu
Jednoargumentowa posta operacji \fBtest\fP,
ktra sprawdza, czy jedyny operand jest dugoci zerowej, jest
niedozwolona
- operatory zawsze musz by wykazywane jawnie, \fIw szczeglnoci\fP,
zamiast
.ce
\fB[\fP \fIcig\fP \fB]\fP
naley uy
.ce
\fB[[ \-n \fP\fIcig\fP\fB ]]\fP
.IP \ \ \(bu
Podstawienia parametrw, komend i arytmetyczne zostaj wykonane
w trakcie wyliczania wyraenia. Do operatorw
\fB&&\fP i \fB||\fP stosowana jest metoda uproszczonego okrelania
ich wartoci.
To znaczy, e w wyraeniu
.ce
\fB[[ -r foo && $(< foo) = b*r ]]\fP
warto \fB$(< foo)\fP zostaje wyliczona wtedy i tylko wtedy, gdy
plik o nazwie \fBfoo\fP istnieje i jest czytelny.
.nr PD \n(P2
.RE
.\"}}}
.\"}}}
.\"}}}
.\"{{{  Quoting
.SS Cytowanie
Cytowanie stosuje si do zapobiegania traktowaniu przez powok pewnych
znakw czy sw w specjalny sposb.
Istniej trzy metody cytowania: Po pierwsze, \fB\e\fP cytuje
nastpny znak, chyba e mieci si on na kocu wiersza, wwczas
zarwno \fB\e\fP jak i znak nowej linii zostaj usunite.
Po drugie pojedynczy cudzysw (\fB'\fP) wycytowywuje wszystko,
a po nastpny pojedynczy cudzysw (wraz ze zmianami linii wcznie).
Po trzecie, podwjny cudzysw (\fB"\fP) wycytowywuje wszystkie znaki,
poza \fB$\fP, \fB`\fP i \fB\e\fP, a po nastpny niecytowany podwjny
cudzysw.
\fB$\fP i \fB`\fP wewntrz podwjnych cudzysoww zachowuj zwyke
znaczenie (tzn.
oznaczaj podstawienie wartoci parametru, komendy lub wyraenia arytmetycznego),
jeli tylko nie zostanie wykonany jakikolwiek podzia pl na
wyniku podwjnymi cudzysowami wycytowanych podstawie.
Jeli po \fB\e\fP, wewntrz cigu znakw cytowanego podwjnymi cudzysowami
nastpuje \fB\e\fP, \fB$\fP,
\fB`\fP lub \fB"\fP, to zostaje on zastpiony drugim z tych znakw.
Jeli po nim nastpuje znak nowej linii, wwczas zarwno \fB\e\fP,
jak i znak zmiany linii zostaj usunite;
w przeciwnym razie zarwno znak \fB\e\fP, jak i nastpujcy po nim znak
nie podlegaj adnej zamianie.
.PP
Uwaga: patrz "Tryb POSIX" poniej pod wzgldem szczeglnych regu
obowizujcych sekwencje znakw postaci
\fB"\fP...\fB`\fP...\fB\e"\fP...\fB`\fP..\fB"\fP.
.\"}}}
.\"{{{  Aliases
.SS "Aliasy"
Istniej dwa rodzaje aliasw: normalne aliasy komend i
aliasy ledzone. Aliasy komend stosowane s zwykle jako
skrty dla dugich a czsto stosowanych komend.
Powoka rozwija aliasy komend (\fItzn.\fP
podstawia pod nazw aliasu jego zawarto), gdy wczytuje
pierwsze sowo komendy.
Rozwinity alias zostaje ponownie przetworzony, aby uwzgldni
ewentualne wystpowanie dalszych aliasw.
Jeli alias komendy koczy si spacj lub tabulatorem, to wwczas
nastpne sowo zostaje rwnie sprawdzone pod wzgldem rozwinicia
aliasw. Proces rozwijania aliasw koczy si przy napotkaniu
sowa, ktre nie jest aliasem, gdy napotka si wycytowane sowo,
lub gdy napotka si alias, ktry jest wanie eksportowany.
.PP
Nastpujce aliasy s definiowane domylnie przez powok:
.ft B
.RS
autoload='typeset \-fu'
.br
functions='typeset \-f'
.br
hash='alias \-t'
.br
history='fc \-l'
.br
integer='typeset \-i'
.br
local='typeset'
.br
login='exec login'
.br
newgrp='exec newgrp'
.br
nohup='nohup '
.br
r='fc \-e \-'
.br
stop='kill \-STOP'
.br
suspend='kill \-STOP $$'
.br
type='whence \-v'
.RE
.ft P
.PP
ledzone aliasy pozwalaj powoce na zapamitanie, gdzie
odnalaza ona konkretn komend.
Gdy powoka po raz pierwszy szuka w ciece pocenia oznaczonego jako alias
ledzony, to zapamituje sobie pen ciek tej komendy.
Gdy powoka nastpnie wykonuje dan komend po raz drugi,
wwczas sprawdza, czy ta cieka jest nadal aktualna i jeli
tak jest, to nie przeglda ju wicej penej cieki w poszukiwaniu
danej komendy.
ledzone aliasy mona wywietli lub stworzy stosujc \fBalias
\-t\fP. Zauwa, e zmieniajc warto parametru \fBPATH\fP
czycimy rwnie cieki dla wszelkich ledzonych aliasw.
Jeli zostaa wczona opcja \fBtrackall\fP (\fItzn.\fP,
\fBset \-o trackall\fP lub \fBset \-h\fP),
wwczas powoka ledzi wszelkie komendy.
Ta opcja zostaje wczona domylnie dla wszelkich
nieinterakcyjnych powok.
Dla powok interakcyjnych jedynie nastpujce komendy s
ledzone domylnie: \fBcat\fP, \fBcc\fP, \fBchmod\fP, \fBcp\fP,
\fBdate\fP, \fBed\fP,
\fBemacs\fP, \fBgrep\fP, \fBls\fP, \fBmail\fP, \fBmake\fP, \fBmv\fP,
\fBpr\fP, \fBrm\fP, \fBsed\fP, \fBsh\fP, \fBvi\fP i \fBwho\fP.
.\"}}}
.\"{{{  Substitution
.SS "Podstawienia"
Pierwszym krokiem, jaki wykonuje powoka podczas wykonywania
prostej komendy, jest przeprowadzenia podstawie na sowach tej
komendy.
Istniej trzy rodzaje podstawie: parametrw, komend i arytmetyczne.
Podstawienia parametrw, ktre dokadniej opiszemy w nastpnej sekcji,
maj posta \fB$name\fP lub \fB${\fP...\fB}\fP;
podstawienia komend maj posta \fB$(\fP\fIcommand\fP\fB)\fP lub
\fB`\fP\fIcommand\fP\fB`\fP;
a podstawienia arytmetyczne: \fB$((\fP\fIexpression\fP\fB))\fP.
.PP
Jeli podstawienie wystpuje poza podwjnymi cudzysowami, wwczas
wynik tego podstawienia podlega zwykle podziaowi sw lub pl, w zalenoci
od biecej wartoci parametru \fBIFS\fP.
Parametr \fBIFS\fP okrela list znakw, sucych jako separatory
w podziale acuchw znakowych na pojedyncze wyrazy.
Wszelkie znaki z tego zestawu oraz tabulator, spacja i
nowa linia wcznie, nazywane s \fIbiaymi znakami IFS\fP.
Cigi jednego lub wielu biaych znakw z IFS w powizaniu
z zerem oraz jednym lub wicej biaych znakw nie wymienionych w IFS,
rozgraniczaj pola.
Wyjtkowo pocztkowe i kocowe biae znaki IFS s usuwane
(tzn. nie s przez nie tworzone adne pocztkowe czy kocowe
puste pola); natomiast pocztkowe lub kocowe biae znaki spoza IFS
tworz puste pola.
Przykadowo: jeli \fBIFS\fP zawiera `<spacja>:', to cig
znakw `<spacja>A<spacja>:<spacja><spacja>B::D' zawiera
cztery pola: `A', `B', `' i `D'.
Prosz zauway, e jeli parametr \fBIFS\fP
jest ustawiony na pusty cig znakw, to wwczas aden podzia pl
nie ma miejsca; gdy parametr ten nie jest ustawiony w ogle,
wwczas stosuje si domylnie jako rozgraniczniki
spacji, tabulatora i nowej linii.
.PP
Jeli nie podajemy inaczej, to wynik podstawienia
podlega rwnie rozwijaniu nawiasw i nazw plikw (patrz odpowiednie
akapity poniej).
.PP
Podstawienie komendy zostaje zastpione wyjciem, wygenerowanym
podczas wykonania danej komendy przez podpowok.
Dla podstawienia \fB$(\fP\fIkomenda\fP\fB)\fP zachodz normalne
reguy cytowania podczas analizy \fIkomendy\fP,
cho jednak dla postaci \fB`\fP\fIkomenda\fP\fB`\fP, znak
\fB\e\fP z jednym z
\fB$\fP, \fB`\fP lub \fB\e\fP tu po nim, zostaje usunity
(znak \fB\e\fP z nastpstwem jakiegokolwiek innego znaku
zostaje niezmieniony).
Jako przypadek wyjtkowy podczas podstawiania komend, komenda postaci
\fB<\fP \fIplik\fP  zostaje zinterpretowana, jako
oznaczajca podstawienie zawartoci pliku \fIplik\fP
($(< foo) ma wic ten sam efekt co $(cat foo), jest jednak bardziej
efektywne albowiem nie zostaje odpalony aden dodatkowy proces).
.br
.\"todo: fix this( $(..) parenthesis counting).
UWAGA: Wyraenia \fB$(\fP\fIkomenda\fP\fB)\fP s analizowane
obecnie poprzez odnajdywanie zalegego nawiasu, niezalenie od
wycytowa. Miejmy nadziej, e zostanie to moliwie szybko poprawione.
.PP
Podstawienia arytmetyczne zostaj zastpione wartoci wyniku
danego wyraenia.
Przykadowo wic, komenda \fBecho $((2+3*4))\fP wywietla 14.
Patrz: "Wyraenia arytmetyczne", aby odnale opis \fIwyrae\fP.
.\"}}}
.\"{{{  Parameters
.SS "Parametry"
Parametry to zmienne w powoce; mona im przyporzdkowywa
wartoci oraz wyczytywa je przez podstawienia parametrw.
Nazwa parametru jest albo jednym ze znakw
interpunkcyjnych o specjalnym znaczeniu lub cyfr, jakie opisujemy
poniej, lub liter z nastpstwem jednej lub wicej liter albo cyfr
(`_' zalicza si to liter).
Podstawienia parametrw maj posta \fB$\fP\fInazwa\fP lub
\fB${\fP\fInazwa\fP\fB}\fP, gdzie \fInazwa\fP jest nazw
danego parametru.
Gdy podstawienie zostanie wykonane na parametrze, ktry nie zosta
ustalony, wwczas zerowy cig znakw jest jego wynikiem, chyba e
zostaa wczona opcja \fBnounset\fP (\fBset \-o nounset\fP
lub \fBset \-u\fP), co oznacza, e wystpuje wwczas bd.
.PP
.\"{{{  parameter assignment
Wartoci mona przyporzdkowywa parametrom na wiele rnych sposobw.
Po pierwsze, powoka domylnie ustala pewne parametry, takie jak
\fB#\fP, \fBPWD\fP, itp.; to jedyny sposb, w jaki s ustawiane
specjalnymi parametry o dugoci jednego znaku. Po drugie, parametry zostaj
importowane z otocznia powoki podczas jej uruchamiania. Po trzecie,
parametrom mona przypisa wartoci w wierszu polece, tak jak np.
`\fBFOO=bar\fP' przypisuje parametrowi FOO warto bar;
wielokrotne przypisania wartoci s moliwe w jednym wierszu komendy
i moe po nich wystpowa prosta komenda, co powoduje, e
przypisania te s wwczas jedynie aktualne podczas
wykonywania danej komendy (tego rodzaju przypisania
zostaj rwnie wyeksportowane, patrz poniej, co do tego konsekwencji).
Prosz zwrci uwag, i aby powoka rozpoznaa je jako
przypisanie wartoci parametrowi, zarwno nazwa parametru jak i \fB=\fP
nie mog by cytowane.
Czwartym sposobem ustawiania parametrw jest zastosowanie jednej
z komend: \fBexport\fP, \fBreadonly\fP lub \fBtypeset\fP;
patrz ich opisy w rozdziale "Wykonywanie komend".
Po czwarte, ptle \fBfor\fP i \fBselect\fP ustawiaj parametry,
tak jak i rwnie komendy \fBgetopts\fP, \fBread\fP i \fBset \-A\fP.
Na zakoczenie, parametrom mona przyporzdkowywa wartoci stosujc
operatory nadania wartoci wewntrz wyrae arytmetycznych
(patrz: "Wyraenia arytmetyczne" poniej) lub
stosujc posta \fB${\fP\fInazwa\fP\fB=\fP\fIwarto\fP\fB}\fP
podstawienia parametru (patrz poniej).
.\"}}}
.PP
.\"{{{  environment
Parametry opatrzone atrybutem eksportowania
(ustawianego przy pomocy komendy \fBexport\fP lub
\fBtypeset \-x\fP albo przez przyporzdkowanie wartoci
parametru z nastpujc prost komend)
zostaj umieszczone w otoczeniu (patrz \fIenviron\fP(5)) polece
wykonywanych przez powok jako pary \fInazwa\fP\fB=\fP\fIwarto\fP.
Kolejno, w jakiej parametry wystpuj w otoczeniu komendy jest
bliej nieustalona.
Podczas uruchamiania powoka pozyskuje parametry ze swojego
otoczenia
i automatycznie ustawia na tych parametrach atrybut eksportowania.
.\"}}}
.\"{{{  ${name[:][-+=?]word}
.PP
Mona stosowa modyfikatory do postaci \fB${\fP\fInazwa\fP\fB}\fP
podstawienia parametru:
.IP \fB${\fP\fInazwa\fP\fB:-\fP\fIsowo\fP\fB}\fP
jeeli parametr\fInazwa\fP jest ustawiony i niezerowy, wwczas zostaje
podstawiona jego wasna
warto, w przeciwnym razie zostaje podstawione \fIsowo\fP.
.IP \fB${\fP\fInazwa\fP\fB:+\fP\fIsowo\fP\fB}\fP
jeli parametr \fInazwa\fP jest ustawiony i niezerowy, wwczas zostaje podstawione
\fIsowo\fP, inaczej nic nie zostaje podstawione.
.IP \fB${\fP\fInazwa\fP\fB:=\fP\fIsowo\fP\fB}\fP
jeli parametr \fInazwa\fP jest ustawiony i niezerowy, wwczas zostaje podstawiony
on sam, w przeciwnym razie zostaje mu przyporzdkowana warto
\fIsowo\fP i warto wynikajca ze \fIsowa\fP zostaje podstawiona.
.IP \fB${\fP\fInazwa\fP\fB:?\fP\fIsowo\fP\fB}\fP
jeeli parametr \fInazwa\fP jest ustawiony i niezerowy, wwczas zostaje
podstawiona jego wasna warto, w przeciwnym razie \fIsowo\fP
zostaje wywietlone na standardowym wyjciu bdw (tu po \fInazwa\fP:)
i zachodzi bd
(powodujcy normalnie zakoczenie caego skryptu powoki, funkcji lub \&.-skryptu).
Jeli sowo zostao pominite, wwczas zamiast niego zostaje uyty acuch
`parameter null or not set'.
.PP
W powyszych modyfikatorach moemy omin \fB:\fP, czego skutkiem
bdzie, e warunki bd jedynie wymaga, aby
\fInazwa\fP by ustawiony lub nie (a nie eby by ustawiony i niezerowy).
Jeli potrzebna jest warto \fIsowo\fP, wwczas zostaj na nim wykonane
podstawienia parametrw, komend, arytmetyczne i tyldy;
natomiast, jeli \fIsowo\fP okae si niepotrzebne, wwczas jego
warto nie zostanie obliczana.
.\"}}}
.PP
Mona stosowa, rwnie podstawienia parametrw o nastpujcej postaci:
.\"{{{  ${#name}
.IP \fB${#\fP\fInazwa\fP\fB}\fP
Liczba parametrw pozycyjnych, jeli \fInazw\fP jest \fB*\fP, \fB@\fP lub nie jest podana
albo dugo cigu bdcego wartoci parametru \fInazwa\fP.
.\"}}}
.\"{{{  ${#name[*]}, ${#name[@]}
.IP "\fB${#\fP\fInazwa\fP\fB[*]}\fP, \fB${#\fP\fInazwa\fP\fB[@]}\fP"
Liczba elementw w tablicy \fInazwa\fP.
.\"}}}
.\"{{{  ${name#pattern}, ${name##pattern}
.IP "\fB${\fP\fInazwa\fP\fB#\fP\fIwzorzec\fP\fB}\fP, \fB${\fP\fInazwa\fP\fB##\fP\fIwzorzec\fP\fB}\fP"
Gdy \fIwzorzec\fP nakada si na pocztek wartoci parametru \fInazwa\fP,
wwczas pasujcy tekst zostaje pominity w wynikajcym z tego podstawieniu.
Pojedynczy \fB#\fP oznacza najkrtsze moliwe dopasowanie do wzorca, a
dwa \fB#\fP oznaczaj jak najdusze dopasowanie.
.\"}}}
.\"{{{  ${name%pattern}, ${name%%pattern}
.IP "\fB${\fP\fInazwa\fP\fB%\fP\fIwzorzec\fP\fB}\fP, \fB${\fP\fInazwa\fP\fB%%\fP\fIwzorzec\fP\fB}\fP"
Podobnie jak w podstawieniu \fB${\fP..\fB#\fP..\fB}\fP, tylko e dotyczy
koca wartoci.
.\"}}}
.\"{{{  special shell parameters
.PP
Nastpujce specjalne parametry zostaj ustawione domylnie przez powok
i nie mona przyporzdkowywa jawnie wartoci nadanych:
.\"{{{  !
.IP \fB!\fP
Id ostatniego uruchomionego w tle procesu. Jeli nie ma aktualnie procesw
uruchomionych w tle, wwczas parametr ten jest nieustawiony.
.\"}}}
.\"{{{  #
.IP \fB#\fP
Liczba parametrw pozycyjnych (\fItzn.\fP, \fB$1\fP, \fB$2\fP,
\fIitp.\fP).
.\"}}}
.\"{{{  $
.IP \fB$\fP
ID procesu odpowiadajcego danej powoce lub PID pierwotnej powoki,
jeli mamy do czynienia z podpowok.
.\"}}}
.\"{{{  -
.IP \fB\-\fP
Konkatenacja biecych opcji jednoliterowych
(patrz komenda \fBset\fP poniej, aby pozna dostpne opcje).
.\"}}}
.\"{{{  ?
.IP \fB?\fP
Kod wyjcia ostatniej wykonanej komendy nieasynchronicznej.
Jeli ostatnia komenda zostaa zabita sygnaem, wwczas \fB$?\fP
przyjmuje warto 128 plus numer danego sygnau.
.\"}}}
.\"{{{  0
.IP "\fB0\fP"
Nazwa, pod jak dana powoka zostaa wywoana (\fItzn.\fP, \fBargv[0]\fP), lub
\fBnazwa komendy\fP, ktra zostaa wywoana przy uyciu opcji \fB\-c\fP
i \fBnazwa komendy\fP zostaa podana, lub argument \fIplik\fP,
jeli taki zosta podany.
Jeli opcja \fBposix\fP nie jest ustawiona, to \fB$0\fP zawiera
nazw biecej funkcji lub skryptu.
.\"}}}
.\"{{{  1-9
.IP "\fB1\fP ... \fB9\fP"
Pierwszych dziewi parametrw pozycyjnych podanych powoce czy
funkcji lub \fB.\fP-skryptowi.
Dostp do dalszych parametrw pozycyjnych odbywa si przy pomocy
\fB${\fP\fIliczba\fP\fB}\fP.
.\"}}}
.\"{{{  *
.IP \fB*\fP
Wszystkie parametry pozycyjne (z wyjtkiem parametru 0),
\fItzn.\fP, \fB$1 $2 $3\fP....
Gdy uyte poza podwjnymi cudzysowami, wwczas parametry zostaj
rozgraniczone w pojedyncze sowa
(podlegajce rozgraniczaniu sw); jeli uyte pomidzy
podwjnymi cudzysowami, wwczas parametry zostaj rozgraniczone
pierwszym znakiem podanym przez parametr \fBIFS\fP
(albo pustymi cigami znakw, jeli \fBIFS\fP jest zerowy).
.\"}}}
.\"{{{  @
.IP \fB@\fP
Tak jak \fB$*\fP, z wyjtkiem zastosowania w podwjnych cudzysowach,
gdzie oddzielne sowo zostaje wygenerowane dla kadego parametru
pozycyjnego z osobna \- jeli brak parametrw pozycyjnych,
wwczas nie generowane jest adne sowo
("$@" moe by uyte aby otrzyma dostp bezporedni do argumentw
bez utraty argumentw zerowych lub rozgraniczania ich przerwami).
.\"}}}
.\"}}}
.\"{{{  general shell parameters
.PP
Nastpujce parametry s ustawiane przez powok:
.\"{{{  _
.IP "\fB_\fP \fI(podkrelenie)\fP"
Gdy jaka komenda zostaje wykonywana przez powok, ten parametr przyjmuje
w otoczeniu odpowiedniego nowego procesu warto cieki tej komendy.
W interakcyjnym trybie pracy, ten parametr przyjmuje w pierwotnej powoce
ponadto warto ostatniego sowa poprzedniej komendy
Podczas wartociowania wiadomoci typu \fBMAILPATH\fP,
parametr ten zawiera wic nazw pliku, ktry si zmieni
(patrz parametr \fBMAILPATH\fP poniej).
.\"}}}
.\"{{{  CDPATH
.IP \fBCDPATH\fP
cieka przeszukiwania dla wbudowanej komendy \fBcd\fP.
Dziaa tak samo jak
\fBPATH\fP dla katalogw nierozpoczynajcych si od \fB/\fP
w komendach \fBcd\fP.
Prosz zwrci uwag, e jeli CDPATH jest ustawiony i nie zawiera ani
\fB.\fP ani cieki pustej, to wwczas katalog biecy nie jest przeszukiwany.
.\"}}}
.\"{{{  COLUMNS
.IP \fBCOLUMNS\fP
Liczba kolumn terminala lub okienka.
Obecnie ustawiany wartoci \fBcols\fP zwracan przez komend
\fIstty\fP(1), jeli ta warto nie jest rwna zeru.
Parametr ten ma znaczenie w interakcyjnym trybie edycji wiersza komendy
i dla komend \fBselect\fP, \fBset \-o\fP oraz \fBkill \-l\fP, w celu
waciwego formatowania zwracanych informacji.
.\"}}}
.\"{{{  EDITOR
.IP \fBEDITOR\fP
Jeli nie zosta ustawiony parametr \fBVISUAL\fP, wwczas kontroluje on
tryb edycji wiersza komendy w powokach interakcyjnych.
Patrz parametr \fBVISUAL\fP poniej, aby si dowiedzie, jak to dziaa.
.\"}}}
.\"{{{  ENV
.IP \fBENV\fP
Jeli parametr ten okae si by ustawionym po przetworzeniu
wszelkich plikw profilowych, wwczas jego rozwinita warto zostaje
wykorzystana jako nazwa pliku zawierajcego dalsze komendy inicjujce
powoki. Zwykle zawiera definicje funkcji i aliasw.
.\"}}}
.\"{{{  ERRNO
.IP \fBERRNO\fP
Cakowita warto odpowiadajca zmiennej errno powoki
\(em wskazuje przyczyn wystpienia bdu, gdy ostatnie wywoanie
systemowe nie powiodo si.
.\" todo: ERRNO variable
.sp
Jak dotychczas niezaimplementowane.
.\"}}}
.\"{{{  EXECSHELL
.IP \fBEXECSHELL\fP
Jeli ustawiono, to wwczas zawiera powok, jakiej naley uy
do wykonywania komend, ktrych nie zdoa wykona \fIexecve\fP(2),
a ktre nie zaczynaj si od cigu `\fB#!\fP \fIpowoka\fP'.
.\"}}}
.\"{{{  FCEDIT
.IP \fBFCEDIT\fP
Edytor uywany przez komend \fBfc\fP (patrz poniej).
.\"}}}
.\"{{{  FPATH
.IP \fBFPATH\fP
Podobnie jak \fBPATH\fP, jeli powoka natrafi na niezdefiniowan
funkcj podczas pracy, stosowane do lokalizacji pliku zawierajcego definicj
tej funkcji.
Rwnie przeszukiwane, gdy komenda nie zostaa odnaleziona przy
uyciu \fBPATH\fP.
Patrz "Funkcje" poniej co do dalszych informacji.
.\"}}}
.\"{{{  HISTFILE
.IP \fBHISTFILE\fP
Nazwa pliku uywanego do zapisu historii komend.
Jeli warto zostaa ustalona, wwczas historia zostaje zaadowana
z danego pliku.
Podobnie wielokrotne wcielenia powoki bd korzystay z jednej
historii, jeli dla nich wartoci parametru
\fBHISTFILE\fP wskazuje na jeden i ten sam plik.
.br
UWAGA: jeli HISTFILE nie zostao ustawione, wwczas aden plik historii
nie zostaje uyty. W oryginalnej wersji powoki
Korna natomiast, przyjmuje si domylnie \fB$HOME/.sh_history\fP;
w przyszoci moe pdksh, bdzie rwnie stosowa domylny
plik historii.
.\"}}}
.\"{{{  HISTSIZE
.IP \fBHISTSIZE\fP
Liczba komend zapamitywana w historii, domylnie 128.
.\"}}}
.\"{{{  HOME
.IP \fBHOME\fP
Domylna warto dla komendy \fBcd\fP oraz podstawiana pod
niewycytowane \fB~\fP (patrz: "Rozwijanie tyldy" poniej).
.\"}}}
.\"{{{  IFS
.IP \fBIFS\fP
Wewntrzny separator pl, stosowany podczas podstawie
i wykonywania komendy \fBread\fP, do rozdzielania
wartoci na oddzielne argumenty; domylnie spacja, tabulator i
przeamanie wiersza. Szczegy zostay opisane w punkcie "Podstawienia"
powyej.
.br
\fBUwaga:\fP ten parametr nie jest importowany z otoczenia,
podczas uruchamiania powoki.
.\"}}}
.\"{{{  KSH_VERSION
.IP \fBKSH_VERSION\fP
Wersja i data kompilacji powoki (tylko do odczytu).
Patrz rwnie na komendy wersji w 
"Interakcyjnej edycji wiersza polece w trybie emacs" i
"Edycji wiersza polece vi" poniej.
.\"}}}
.\"{{{  SH_VERSION
.\"}}}
.\"{{{  LINENO
.IP \fBLINENO\fP
Numer wiersza w funkcji lub aktualnie wykonywanym skrypcie.
.\"}}}
.\"{{{  LINES
.IP \fBLINES\fP
Ilo wierszy terminala lub okienka pracy.
.\"Currently set to the \fBrows\fP value as reported by \fIstty\fP(1) if that
.\"value is non-zero.
.\" todo: LINES variable
.sp
Jeszcze niezaimplementowane.
.\"}}}
.\"{{{  MAIL
.IP \fBMAIL\fP
Jeli ustawiony, to uytkownik jest informowany o nadejciu nowej poczty
do wymienionego w tej opcji pliku docelowego.
Ten parametr jest ignorowany, jeli zosta ustawiony parametr
\fBMAILPATH\fP.
.\"}}}
.\"{{{  MAILCHECK
.IP \fBMAILCHECK\fP
Jak czsto powoka ma sprawdza, czy pojawia si nowa poczta
w plikach podanych przez \fBMAIL\fP lub \fBMAILPATH\fP.
Jeli 0, to powoka sprawdza przed kad now zacht.
Wartoci domyln jest 600 (10 minut).
.\"}}}
.\"{{{  MAILPATH
.IP \fBMAILPATH\fP
Lista plikw sprawdzanych w poszukiwaniu nowej poczty. Lista ta rozdzielana
jest dwukropkami, ponadto po nazwie kadego z plikw mona poda
\fB?\fP i wiadomo, ktra ma by wywietlona, jeli nadesza nowa poczta.
Dla danej wiadomoci zostan wykonane podstawienia komend, parametrw
i arytmetyczne. Podczas podstawie parametr \fB$_\fP zawiera nazw
tego pliku.
Domylnym zawiadomieniem o nowej poczcie jest \fByou have mail in $_\fP
(\fBmasz poczt w $_\fP).
.\"}}}
.\"{{{  OLDPWD
.IP \fBOLDPWD\fP
Poprzedni katalog roboczy.
Nieustalony, jeli \fBcd\fP nie zmienio z powodzeniem
katalogu od czasu uruchomienia powoki lub jeli powoka nie wie, gdzie
si aktualnie znajduje.
.\"}}}
.\"{{{  OPTARG
.IP \fBOPTARG\fP
Podczas uywania \fBgetopts\fP zawiera argument dla aktualnie
rozpoznawanej opcji, jeli jest on oczekiwany.
.\"}}}
.\"{{{  OPTIND
.IP \fBOPTIND\fP
Indeks ostatniego przetworzonego argumentu podczas uywania \fBgetopts\fP.
Przyporzdkowanie 1 temu parametrowi spowoduje, e ponownie wywoane
\fBgetopts\fP przetworzy argumenty od pocztku.
.\"}}}
.\"{{{  PATH
.IP \fBPATH\fP
Lista rozdzielonych dwukropkiem katalogw, ktre s przeszukiwane
podczas odnajdywania jakiej komendy lub plikw typu \fB.\fP. Pusty acuch
wynikajcy z pocztkowego lub kocowego dwukropka, albo dwch ssiednich
dwukropkw jest traktowany jako `.', czyli katalog biecy.
.\"}}}
.\"{{{  POSIXLY_CORRECT
.IP \fBPOSIXLY_CORRECT\fP
Ustawienie tego parametru powoduje wczenie opcji \fBposix\fP.
Patrz: "Tryb POSIX" poniej.
.\"}}}
.\"{{{  PPID
.IP \fBPPID\fP
Identyfikator ID procesu rodzicielskiego powoki (tylko do odczytu).
.\"}}}
.\"{{{  PS1
.IP \fBPS1\fP
\fBPS1\fP to podstawowy symbol zachty dla powok interakcyjnych.
Podlega podstawieniom parametrw, komend i arytmetycznym, ponadto
\fB!\fP zostaje zastpione kolejnym numerem polecenia
(patrz komenda \fBfc\fP
poniej). Sam znak ! moe zosta umieszczony w zachcie uywajc
!! w PS1.
Zauwa, e poniewa edytory wiersza komendy staraj si obliczy,
jak dugi jest symbol zachty (aby mc ustali, ile miejsca pozostaje
wolnego do prawego brzegu ekranu), sekwencje wyjciowe w zachcie
zwykle wprowadzaj pewien baagan.
Istnieje moliwo podpowiedzenia powoce, eby nie uwzgldniaa
pewnych cigw znakw (takich jak kody wyjcia) przez podanie
przedrostka na pocztku symbolu zachty bdcego niewywietlalnym znakiem
(takim jak np. control-A) z nastpstwem przeamania wiersza
oraz odgraniczajc nastpnie kody wyjcia przy pomocy tego
niewywietlalnego znaku.
Gdy brak niewywietlalnych znakw, to nie ma adnej rady...
Nawiasem mwic, nie ja jestem odpowiedzialny za ten hack. To pochodzi
z oryginalnego ksh.
Domyln wartoci jest `\fB$\ \fP' dla nieuprzywilejowanych
uytkownikw, a `\fB#\ \fP' dla roota..
.\"}}}
.\"{{{  PS2
.IP \fBPS2\fP
Drugorzdna zachta, o domylnej wartoci `\fB>\fP ', ktra
jest stosowana, gdy wymagane s dalsze wprowadzenia w celu
dokoczenia komendy.
.\"}}}
.\"{{{  PS3
.IP \fBPS3\fP
Zachta stosowana przez wyraenie
\fBselect\fP podczas wczytywania wyboru z menu.
Domylnie `\fB#?\ \fP'.
.\"}}}
.\"{{{  PS4
.IP \fBPS4\fP
Stosowany jako przedrostek komend, ktre zostaj wywietlone podczas
ledzenia toku pracy
(patrz polecenie \fBset \-x\fP poniej).
Domylnie `\fB+\ \fP'.
.\"}}}
.\"{{{  PWD
.IP \fBPWD\fP
Obecny katalog roboczy. Moe by nieustawiony lub zerowy, jeli
powoka nie wie, gdzie si znajduje.
.\"}}}
.\"{{{  RANDOM
.IP \fBRANDOM\fP
Prosty generator liczb pseudolosowych. Za kadym razem, gdy
odnosimy si do \fBRANDOM\fP, jego wartoci zostaje przyporzdkowana
nastpna liczba z przypadkowego cigu liczb.
Miejsce w danym cigu moe zosta ustawione nadajc
warto \fBRANDOM\fP (patrz \fIrand\fP(3)).
.\"}}}
.\"{{{  REPLY
.IP \fBREPLY\fP
Domylny parametr komendy
\fBread\fP, jeli nie pozostan podane jej adne nazwy.
Stosowany rwnie w ptlach \fBselect\fP do zapisu wartoci
wczytywanej ze standardowego wejcia.
.\"}}}
.\"{{{  SECONDS
.IP \fBSECONDS\fP
Liczba sekund, ktre upyny od czasu uruchomienia powoki lub jeli
parametrowi zostaa nadana warto cakowita, liczba sekund od czasu
nadania tej wartoci plus ta warto.
.\"}}}
.\"{{{  TMOUT
.IP \fBTMOUT\fP
Gdy ustawiony na pozytywn warto cakowit, wiksz od zera,
wwczas ustala w interakcyjnej powoce czas w sekundach, przez jaki
bdzie ona czekaa na wprowadzenie jakiego polecenia po wywietleniu podstawowego symbolu
zachty (\fBPS1\fP). Po przekroczeniu tego czasu powoka zakoczy swoje dziaanie.
.\"}}}
.\"{{{  TMPDIR
.IP \fBTMPDIR\fP
Katalog, w ktrym umieszczane s tymczasowe pliki powoki.
Jeli parametr ten nie jest ustawiony lub gdy nie zawiera
penej cieki do zapisywalnego katalogu, wwczas domylnie tymczasowe
pliki mieszcz si w \fB/tmp\fP.
.\"}}}
.\"{{{  VISUAL
.IP \fBVISUAL\fP
Jeli zosta ustawiony, ustala tryb edycji wiersza komend w powokach
interakcyjnych. Jeli ostatni element cieki podanej w tym
parametrze zawiera cig znakw \fBvi\fP, \fBemacs\fP lub \fBgmacs\fP,
to odpowiednio zostaje uaktywniony tryb edycji: vi, emacs lub gmacs
(Gosling emacs).
.\"}}}
.\"}}}
.\"}}}
.\"{{{  Tilde Expansion
.SS "Rozwijanie tyldy"
Rozwijanie znakw tyldy, ktre ma miejsce rwnolegle do podstawie parametrw,
zostaje wykonane na sowach rozpoczynajcych si niecytowanym
\fB~\fP. Znaki po tyldzie do pierwszego
\fB/\fP, jeli taki wystpuje, s domylnie traktowane jako
nazwa uytkownika.  Jeli nazwa uytkownika jest pusta lub ma warto \fB+\fP albo \fB\-\fP,
to zostaje podstawiona warto parametrw odpowiednio\fBHOME\fP, \fBPWD\fP lub \fBOLDPWD\fP.
W przeciwnym razie zostaje
przeszukany plik hase (plik passwd) w celu odnalezienia danej nazwy
uytkownika i w miejscu wystpienia tyldy zostaje
podstawiony katalog domowy danego uytkownika.
Jeli nazwa uytkownika nie zostanie odnaleziona w pliku hase
lub gdy w nazwie uytkownika wystpuje jakiekolwiek cytowanie albo podstawienie
parametru, wwczas nie zostaje wykonane adne
podstawienie.
.PP
W ustawieniach parametrw
(tych poprzedzajcych proste komendy lub tych wystpujcych w argumentach
dla \fBalias\fP, \fBexport\fP, \fBreadonly\fP,
i \fBtypeset\fP), rozwijanie znakw tyld zostaje wykonywane po
jakimkolwiek niewycytowanym (\fB:\fP) i nazwy uytkownikw zostaj ujte
w dwukropki.
.PP
Katalogi domowe poprzednio rozwinitych nazw uytkownikw zostaj
umieszczone w pamici podrcznej i przy ponownym uyciu zostaj stamtd
pobierane. Komenda \fBalias \-d\fP moe by uyta do wylistowania,
zmiany i dodania do tej pamici podrcznej
(\fIw szczeglnoci\fP, `alias \-d fac=/usr/local/facilities; cd
~fac/bin').
.\"}}}
.\"{{{  Brace Expansion
.SS "Rozwijanie nawiasw (przemiany)"
Rozwinicia nawiasw przyjmujce posta
.RS
\fIprefiks\fP\fB{\fP\fIcig\fP1\fB,\fP...\fB,\fP\fIcig\fPN\fB}\fP\fIsufiks\fP
.RE
zostaj rozwinite w N wyrazw, z ktrych kady zawiera konkatenacj
\fIprefiks\fP, \fIcig\fPn i \fIsufiks\fP
(\fIw szczeglnoci.\fP, `a{c,b{X,Y},d}e' zostaje rozwinite do czterech wyrazw:
ace, abXe, abYe i ade).
Jak ju wyej wspomniano, rozwinicia nawiasw mog by nakadane na siebie,
a wynikajce sowa nie s sortowane.
Wyraenia nawiasowe musz zawiera niecytowany przecinek
(\fB,\fP), aby nastpio rozwijanie
(\fItak wic\fP \fB{}\fP i \fB{foo}\fP nie zostaj rozwinite).
Rozwinicie nawiasw nastpuje po podstawieniach parametrw i przed
generowaniem nazw plikw.
.\"}}}
.\"{{{  File Name Patterns
.SS "Wzorce nazw plikw"
.PP
Wzorcem nazwy pliku jest sowo zwierajce jeden lub wicej z
niecytowanych symboli \fB?\fP lub
\fB*\fP lub sekwencji \fB[\fP..\fB]\fP.
Po wykonaniu rozwinicia nawiasw, powoka zamienia wzorce nazw plikw
na uporzdkowane nazwy plikw, ktre pasuj do tego wzorca
(jeli adne pliki nie pasuj, wwczas dane sowo zostaje pozostawione
bez zmian). Elementy wzorcw maj nastpujce znaczenia:
.IP \fB?\fP
oznacza dowolny pojedynczy znak.
.IP \fB*\fP
oznacza dowoln sekwencj znakw.
.IP \fB[\fP..\fB]\fP
oznacza kady ze znakw pomidzy klamrami. Mona poda zakresy znakw
uywajc \fB\-\fP pomidzy dwoma ograniczajcymi zakres znakami, tzn.
\fB[a0\-9]\fP oznacza liter \fBa\fP lub dowoln cyfr.
Aby przedstawi sam znak
\fB\-\fP naley go albo zacytowa albo musi by to pierwszy lub ostatni znak
w licie znakw. Podobnie \fB]\fP musi albo by wycytowywane, albo by pierwszym
lub ostatnim znakiem w licie, jeli ma oznacza samego siebie, a nie zakoczenie
listy. Rwnie \fB!\fP wystpujcy na pocztku listy ma specjalne
znaczenie (patrz poniej), tak wic aby reprezentowa samego siebie
musi zosta wycytowany lub wystpowa dalej w licie.
.IP \fB[!\fP..\fB]\fP
podobnie jak \fB[\fP..\fB]\fP, tylko e oznacza dowolny znak
niewystpujcy pomidzy klamrami.
.IP "\fB*(\fP\fIwzorzec\fP\fB|\fP ... \fP|\fP\fIwzorzec\fP\fB)\fP"
oznacza kady cig zawierajcy zero lub wicej wystpie podanych wzorcw.
Przykadowo: wzorzec \fB*(foo|bar)\fP obejmuje cigi
`', `foo', `bar', `foobarfoo', \fIitp.\fP.
.IP "\fB+(\fP\fIwzorzec\fP\fB|\fP ... \fP|\fP\fIwzorzec\fP\fB)\fP"
obejmuje kady cig znakw obejmujcy jedno lub wicej wystpie danych
wzorcw.
Przykadowo: wzorzec \fB+(foo|bar)\fP obejmuje cigi
`foo', `bar', `foobarfoo', \fIitp.\fP.
.IP "\fB?(\fP\fIwzorzec\fP\fB|\fP ... \fP|\fP\fIwzorzec\fP\fB)\fP"
oznacza cig pusty lub cig obejmujcy jeden z danych wzorcw.
Przykadowo: wzorzec \fB?(foo|bar)\fP obejmuje jedynie cigi
`', `foo' i `bar'.
.IP "\fB@(\fP\fIwzorzec\fP\fB|\fP ... \fP|\fP\fIwzorzec\fP\fB)\fP"
obejmuje cig obejmujcy jeden z podanych wzorcw.
Przykadowo: wzorzec \fB@(foo|bar)\fP obejmuje wycznie cigi
`foo' i `bar'.
.IP "\fB!(\fP\fIwzorzec\fP\fB|\fP ... \fP|\fP\fIwzorzec\fP\fB)\fP"
obejmuje dowolny cig nie obejmujcy adnego z danych wzorcw.
Przykadowo: wzorzec \fB!(foo|bar)\fP obejmuje wszystkie cigi poza
`foo' i `bar'; wzorzec \fB!(*)\fP nie obejmuje adnego cigu;
wzorzec \fB!(?)*\fP obejmuje wszystkie cigi (prosz si nad tym zastanowi).
.PP
Prosz zauway, e wzorce w pdksh obecnie nigdy nie obejmuj \fB.\fP i
\fB..\fP, w przeciwiestwie do oryginalnej powoki
ksh, Bourne'a sh i basha, tak wic to bdzie musiao si ewentualnie
zmieni (na ze).
.PP
Prosz zauway, e powysze elementy wzorcw nigdy nie obejmuj kropki
(\fB.\fP) na pocztku nazwy pliku ani ukonika (\fB/\fP),
nawet gdy zostay one podane jawnie w sekwencji
\fB[\fP..\fB]\fP; ponadto nazwy \fB.\fP i \fB..\fP
nigdy nie s obejmowane, nawet poprzez wzorzec \fB.*\fP.
.PP
Jeli zostaa ustawiona opcja \fBmarkdirs\fP, wwczas,
wszelkie katalogi wynikajce z generacji nazw plikw
zostaj oznaczone koczcym \fB/\fP.
.PP
.\" todo: implement this ([[:alpha:]], \fIetc.\fP)
POSIX-owe klasy znakw (\fItzn.\fP,
\fB[:\fP\fInazwa_klasy\fP\fB:]\fP wewntrz wyraenia typu \fB[\fP..\fB]\fP)
jak na razie nie zostay zaimplementowane.
.\"}}}
.\"{{{  Input/Output Redirection
.SS "Przekierowanie wejcia/wyjcia"
Podczas wykonywania komendy, jej standardowe wejcie, standardowe wyjcie
i standardowe wyjcie bdw (odpowiednio deskryptory plikw 0, 1 i 2)
s zwykle dziedziczone po powoce.
Trzema wyjtkami od tej reguy s komendy w potokach, dla ktrych
standardowe wejcie i/lub standardowe wyjcie odpowiadaj tym, ustalonym przez
potok, komendy asychroniczne, tworzone jeli kontrola prac zostaa
wyczona, ktrych standardowe wejcie zostaje ustawione na
\fB/dev/null\fP, oraz komendy, dla ktrych zostao ustawione jedno lub
kilka z nastpujcych przekierowa:
.IP "\fB>\fP \fIplik\fP"
Standardowe wyjcie zostaje przekierowane do \fIplik\fP-u.
Jeli \fIplik\fP nie istnieje, wwczas zostaje utworzony;
jeli istnieje i jest to regularny plik oraz zostaa ustawiona
opcja \fBnoclobber\fP, wwczas wystpuje bd, w przeciwnym razie
dany plik zostaje ucity do pocztku.
Prosz zwrci uwag, i oznacza to, e komenda \fIjaka_komenda < foo > foo\fP
otworzy plik \fIfoo\fP do odczytu, a nastpnie
skasuje jego zawarto, gdy otworzy go do zapisu,
zanim \fIjaka_komenda\fP otrzyma szans przeczytania czegokolwiek z \fIfoo\fP.
.IP "\fB>|\fP \fIplik\fP"
tak jak dla \fB>\fP, tylko e zawarto pliku zostanie skasowana
niezalenie od ustawienia opcji \fBnoclobber\fP.
.IP "\fB>>\fP \fIplik\fP"
tak jak dla \fB>\fP, tylko e jeli dany plik ju istnieje, to
nowe dane bd dopisywane do niego, zamiast kasowania poprzedniej jego zawartoci.
Ponadto plik ten zostaje otwarty w trybie dopisywania, tak wic
wszelkiego rodzaju operacje zapisu na nim dotycz jego aktualnego koca.
(patrz \fIopen\fP(2)).
.IP "\fB<\fP \fIplik\fP"
standardowe wejcie zostaje przekierowane do \fIplik\fPu,
ktry jest otwierany w trybie do odczytu.
.IP "\fB<>\fP \fIplik\fP"
tak jak dla \fB<\fP, tylko e plik zostaje otworzony w trybie
zapisu i czytania.
.IP "\fB<<\fP \fIznacznik\fP"
po wczytaniu wiersza komendy zawierajcego tego rodzaju przekierowanie
(zwane tu-dokumentem), powoka kopiuje wiersze z komendy
do tymczasowego pliku, a do natrafienia na wiersz
odpowiadajcy \fIznacznik\fPowi.
Podczas wykonywania polecenia jego standardowe wejcie jest przekierowane
do pewnego pliku tymczasowego.
Jeli \fIznacznik\fP nie zawiera wycytowanych znakw, zawarto danego
pliku tymczasowego zostaje przetworzona tak, jakby zawieraa si w
podwjnych cudzysowach za kadym razem, gdy dana komenda jest wykonywana.
Tak wic zostan na nim wykonane podstawienia parametrw,
komend i arytmetyczne wraz z interpretacj odwrotnego ukonika
(\fB\e\fP) i znakw wyj dla \fB$\fP, \fB`\fP, \fB\e\fP i \fB\enowa_linia\fP.
Jeli wiele tu-dokumentw zostanie zastosowanych w jednym i tym samym
wierszy komendy, to s one zachowane w podanej kolejnoci.
.IP "\fB<<-\fP \fIznacznik\fP"
tak jak dla \fB<<\fP, tylko e pocztkowe tabulatory
zostaj usunite z tu-dokumentu.
.IP "\fB<&\fP \fIfd\fP"
standardowe wejcie zostaje powielone z deskryptora pliku \fIfd\fP.
\fIfd\fP moe by pojedyncz cyfr, wskazujc na numer
istniejcego deskryptora pliku, liter  \fBp\fP, wskazujc na plik
powizany w wyjciem obecnego koprocesu, lub
znakiem \fB\-\fP, wskazujcym, e standardowe wejcie powinno zosta
zamknite.
.IP "\fB>&\fP \fIfd\fP"
tak jak dla \fB<&\fP, tylko e operacja dotyczy standardowego wyjcia.
.PP
W kadym z powyszych przekierowa, mona poda jawnie deskryptor
pliku, ktrego ma ono dotyczy, (\fItzn.\fP standardowego wejcia
lub standardowego wyjcia) przez poprzedzajc odpowiedni pojedyncz cyfr.
Podstawienia parametrw komend, arytmetyczne, tyld, tak jak i
(gdy powoka jest interakcyjna) generacje nazw plikw -
zostan wykonane na argumentach przekierowa \fIplik\fP, \fIznacznik\fP
i \fIfd\fP.
Trzeba jednak zauway, e wyniki wszelkiego rodzaju generowania nazw
plikw zostan uyte tylko wtedy, gdy okrelaj nazw jednego pliku;
jeli natomiast obejmuj one wiele plikw, wwczas zostaje zastosowane
dane sowo bez rozwini wynikajcych z generacji nazw plikw.
Prosz zwrci uwag, e w powokach ograniczonych,
przekierowania tworzce nowe pliki nie mog by stosowane.
.PP
Dla prostych polece, przekierowania mog wystpowa w dowolnym miejscu
komendy, w komendach zoonych (wyraeniach \fBif\fP, \fIitp.\fP),
wszelkie przekierowania musz znajdowa si na kocu.
Przekierowania s przetwarzane po tworzeniu potokw i w kolejnoci,
w jakiej zostay podane, tak wic
.RS
\fBcat /foo/bar 2>&1 > /dev/null | cat \-n\fP
.RE
wywietli bd z numerem linii wiersza poprzedzajcym go.
.\"}}}
.\"{{{  Arithmetic Expressions
.SS "Wyraenia arytmetyczne"
Cakowite wyraenia arytmetyczne mog by stosowane przy pomocy
komendy \fBlet\fP, wewntrz wyrae \fB$((\fP..\fB))\fP,
wewntrz odwoa do tablic (\fIw szczeglnoci\fP,
\fInazwa\fP\fB[\fP\fIwyraenie\fP\fB]\fP),
jako numeryczne argumenty komendy \fBtest\fP,
i jako wartoci w przyporzdkowywaniach do cakowitych parametrw.
.PP
Wyraenia mog zawiera alfanumeryczne identyfikatory parametrw,
odwoania do tablic i cakowite stae. Mog zosta rwnie
poczone nastpujcymi operatorami jzyka C:
(wymienione i zgrupowane w kolejnoci rosncego
priorytetu).
.TP
Operatory unarne:
\fB+ \- ! ~ ++ --\fP
.TP
Operatory binarne:
\fB,\fP
.br
\fB= *= /= %= += \-= <<= >>= &= ^= |=\fP
.br
\fB||\fP
.br
\fB&&\fP
.br
\fB|\fP
.br
\fB^\fP
.br
\fB&\fP
.br
\fB== !=\fP
.br
\fB< <= >= >\fP
.br
\fB<< >>\fP
.br
\fB+ \-\fP
.br
\fB* / %\fP
.TP
Operator trinarny:
\fB?:\fP (priorytet jest bezporednio wyszy od przyporzdkowania)
.TP
Operatory grupujce:
\fB( )\fP
.PP
Stae cakowite mog by podane w dowolnej bazie, stosujc notacj
\fIbaza\fP\fB#\fP\fIliczba\fP, gdzie \fIbaza\fP jest dziesitn liczb
cakowit specyfikujc baz, a \fIliczba\fP jest liczb
zapisan w danej bazie.
.LP
Operatory s wyliczane w nastpujcy sposb:
.RS
.IP "unarny \fB+\fP"
wynikiem jest argument (podane wycznie dla penoci opisu).
.IP "unary \fB\-\fP"
negacja.
.IP "\fB!\fP"
logiczna negacja; wynikiem jest 1 jeli argument jest zerowy, a 0 jeli nie.
.IP "\fB~\fP"
arytmetyczna negacja (bit-w-bit).
.IP "\fB++\fP"
inkrement; musi by zastosowanym do parametru (a nie literau lub
innego wyraenia) - parametr zostaje powikszony o 1.
Jeli zosta zastosowany jako operator przedrostkowy, wwczas wynikiem jest
inkrementowana warto parametru, a jeli zosta zastosowany jako
operator przyrostkowy, to wynikiem jest pierwotna warto parametru.
.IP "\fB--\fP"
podobnie do \fB++\fP, tylko e wynikiem jest zmniejszenie parametru o 1.
.IP "\fB,\fP"
Rozdziela dwa wyraenia arytmetyczne; lewa strona zostaje wyliczona
jako pierwsza, a nastpnie prawa strona. Wynikiem jest warto
wyraenia po prawej stronie.
.IP "\fB=\fP"
przyporzdkowanie; zmiennej po lewej zostaje nadana warto po prawej.
.IP "\fB*= /= %= += \-= <<= >>= &= ^= |=\fP"
operatory przyporzdkowania; \fI<var> <op>\fP\fB=\fP \fI<expr>\fP
jest tym samym co
\fI<var>\fP \fB=\fP \fI<var> <op>\fP \fB(\fP \fI<expr>\fP \fB)\fP.
.IP "\fB||\fP"
logiczna alternatywa; wynikiem jest 1 jeli przynajmniej jeden
z argumentw jest niezerowy, 0 gdy nie.
Argument po prawej zostaje wyliczony jedynie, gdy argument po lewej
jest zerowy.
.IP "\fB&&\fP"
logiczna koniunkcja; wynikiem jest 1 jeli obydwa argumenty s niezerowe,
0 gdy nie.
Prawy argument zostaje wyliczony jedynie, gdy lewy jest niezerowy.
.IP "\fB|\fP"
arytmetyczna alternatywa (bit-w-bit).
.IP "\fB^\fP"
arytmetyczne albo (bit-w-bit).
.IP "\fB&\fP"
arytmetyczna koniunkcja (bit-w-bit).
.IP "\fB==\fP"
rwno; wynikiem jest 1, jeli obydwa argumenty s sobie rwne, 0 gdy nie.
.IP "\fB!=\fP"
nierwno; wynikiem jest 0, jeli obydwa argumenty s sobie rwne, 1 gdy nie.
.IP "\fB<\fP"
mniejsze od; wynikiem jest 1, jeli lewy argument jest mniejszy od prawego,
0 gdy nie.
.IP "\fB<= >= >\fP"
mniejsze lub rwne, wiksze lub rwne, wiksze od. Patrz <.
.IP "\fB<< >>\fP"
przesu w lewo (prawo); wynikiem jest lewy argument z bitami przesunitymi
na lewo (prawo) o liczb pl podan w prawym argumencie.
.IP "\fB+ - * /\fP"
suma, rnica, iloczyn i iloraz.
.IP "\fB%\fP"
reszta; wynikiem jest reszta z dzielenia lewego argumentu przez prawy.
Znak wyniku jest nieustalony, jeli ktry z argumentw jest ujemny.
.IP "\fI<arg1>\fP \fB?\fP \fI<arg2>\fP \fB:\fP \fI<arg3>\fP"
jeli \fI<arg1>\fP jest niezerowy, to wynikiem jest \fI<arg2>\fP,
w przeciwnym razie \fI<arg3>\fP.
.RE
.\"}}}
.\"{{{  Co-Processes
.SS "Koprocesy"
Koproces to potok stworzony poprzez operator \fB|&\fP,
ktry jest procesem asynchronicznym, do ktrego powoka moe
zarwno pisa (uywajc \fBprint \-p\fP), jak i czyta (uywajc \fBread \-p\fP).
Wejciem i wyjciem koprocesu mona rwnie manipulowa
przy pomocy przekierowa \fB>&p\fP i odpowiednio \fB<&p\fP.
Po uruchomieniu koprocesu, nastpne nie mog by uruchomione dopki
dany koproces nie zakoczy pracy lub dopki wejcie koprocesu
nie zostanie przekierowane przez \fBexec \fP\fIn\fP\fB>&p\fP.
Jeli wejcie koprocesu zostanie przekierowane w ten sposb, to
nastpny w kolejce do uruchomienia koproces bdzie
wspdzieli wyjcie z pierwszym koprocesem, chyba e wyjcie pierwszego
koprocesu zostao przekierowane przy pomocy
\fBexec \fP\fIn\fP\fB<&p\fP.
.PP
Pewne uwagi dotyczce koprocesw:
.nr P2 \n(PD
.nr PD 0
.IP \ \ \(bu
jedyn moliwoci zamknicia wejcia koprocesu
(tak aby koproces wczyta zakoczenie pliku) jest przekierowanie
wejcia na numerowany deskryptor pliku, a nastpnie zamknicie tego
deskryptora (w szczeglnoci, \fBexec 3>&p;exec 3>&-\fP).
.IP \ \ \(bu
aby koprocesy mogy wspdzieli jedno wyjcie, powoka musi
zachowa otwart cz wpisow danego potoku wyjciowego.
Oznacza to, e zakoczenie pliku nie zostanie wykryte do czasu, a
wszystkie koprocesy wspdzielce wyjcie  zostan zakoczone
(gdy zostan one zakoczone, wwczas  powoka zamyka swoj kopi
potoku).
Mona temu zapobiec przekierowujc wyjcie na numerowany
deskryptor pliku
(poniewa powoduje to rwnie zamknicie przez powok swojej kopii).
Prosz zwrci uwag, i to zachowanie  jest nieco odmienne od oryginalnej
powoki Korna, ktra zamyka cz zapisow swojej kopii wyjcia
koprocesu, gdy ostatnio uruchomiony koproces
(zamiast gdy wszystkie wspdzielce koprocesy) zostanie zakoczony.
.IP \ \ \(bu
\fBprint \-p\fP ignoruje sygna SIGPIPE podczas zapisu, jeli
dany sygna nie zosta przechwycony lub zignorowany; nie zachodzi to jednak,
gdy wejcie koprocesu zostao powielone na inny deskryptor pliku
i stosowane jest \fBprint \-u\fP\fIn\fP.
.nr PD \n(P2
.\"}}}
.\"{{{  Functions
.SS "Funkcje"
Funkcje definiuje si albo przy pomocy syntaktyki powoki
Korna \fBfunction\fP \fIname\fP,
albo syntaktyki powoki Bourne'a/POSIX-owej: \fIname\fP\fB()\fP
(patrz poniej, co do rnic zachodzcych pomidzy tymi dwiema formami).
Funkcje, tak jak i \fB.\fP-skrypty, s wykonywane w biecym
otoczeniu, aczkolwiek, w przeciwiestwie do \fB.\fP-skryptw,
argumenty powoki
(\fItzn.\fP argumenty pozycyjne, \fB$1\fP, \fIitd.\fP) nigdy nie s
widoczne wewntrz nich.
Podczas ustalania pooenia komendy, funkcje s przeszukiwane po przeszukaniu
specjalnych komend wbudowanych, za przed regularnymi oraz nieregularnymi
komendami wbudowanymi i przed przeszukaniem \fBPATH\fP.
.PP
Istniejca funkcja moe zosta usunita poprzez
\fBunset \-f\fP \fInazwa-funkcji\fP.
List funkcji mona otrzyma poprzez \fBtypeset +f\fP, a definicje
funkcji mona otrzyma poprzez \fBtypeset \-f\fP.
\fBautoload\fP (co jest aliasem dla \fBtypeset \-fu\fP) moe zosta
uyte do tworzenia niezdefiniowanych funkcji.
Jeli ma by wykonana niezdefiniowana funkcja, wwczas powoka
przeszukuje ciek podan w parametrze \fBFPATH\fP szukajc pliku
o nazwie identycznej z nazw danej funkcji. Jeli plik taki zostanie
odnaleziony, to bdzie wczytany i wykonany.
Jeli po wykonaniu tego pliku dana funkcja bdzie zdefiniowana, wwczas
zostanie ona wykonana, w przeciwnym razie zostanie wykonane zwyke
odnajdywanie komend
(\fItzn.\fP, powoka przeszukuje tablic zwykych komend wbudowanych
i \fBPATH\fP).
Prosz zwrci uwag, e jeli komenda nie zostanie odnaleziona
na podstawie \fBPATH\fP, wwczas zostaje podjta prba odnalezienia
funkcji przez \fBFPATH\fP (jest to nieudokumentowanym zachowaniem
si oryginalnej powoki Korna).
.PP
Funkcje mog mie dwa atrybuty - ledzenia i eksportowania, ktre
mog by ustawiane przez \fBtypeset \-ft\fP i odpowiednio
\fBtypeset \-fx\fP.
Podczas wykonywania funkcji ledzonej, opcja \fBxtrace\fP powoki
zostaje wczona na czas danej funkcji, w przeciwnym razie
opcja \fBxtrace\fP pozostaje wyczona.
Atrybut eksportowania nie jest obecnie uywany.  W oryginalnej
powoce Korna, wyeksportowane funkcje s widoczne dla skryptw powoki,
gdy s one wykonywane.
.PP
Poniewa funkcje s wykonywane w obecnym kontekcie powoki,
przyporzdkowania parametrw wykonane wewntrz funkcji pozostaj
widoczne po zakoczeniu danej funkcji.
Jeli jest to niepodane, wwczas komenda \fBtypeset\fP moe
by zastosowana wewntrz funkcji do tworzenia lokalnych parametrw.
Prosz zwrci uwag, i w aden sposb nie mona ograniczy widocznoci
parametrw specjalnych (tzn. \fB$$\fP, \fB$!\fP).
.PP
Kodem wyjcia funkcji jest kod wyjcia ostatniej wykonanej w niej komendy.
Funkcj mona przerwa bezporednio przy pomocy komendy \fBreturn\fP;
mona to rwnie zastosowa do jawnego okrelenia kodu wyjcia.
.PP
Funkcje zdefiniowane przy pomocy zarezerwowanego sowa \fBfunction\fP, s
traktowane odmiennie w nastpujcych punktach od funkcji zdefiniowanych
poprzez notacj \fB()\fP:
.nr P2 \n(PD
.nr PD 0
.IP \ \ \(bu
parametr \fB$0\fP zostaje ustawiony na nazw funkcji
(funkcje w stylu Bourne'a nie dotykaj \fB$0\fP).
.IP \ \ \(bu
przyporzdkowania wartoci parametrom poprzedzajce wywoanie
funkcji nie zostaj zachowane w biecym kontekcie powoki
(wykonywanie funkcji w stylu Bourne'a zachowuje te
przyporzdkowania).
.IP \ \ \(bu
\fBOPTIND\fP zostanie zachowany i skasowany
na pocztku oraz nastpnie odtworzony na zakoczenie funkcji, tak wic
\fBgetopts\fP moe by poprawnie stosowane zarwno wewntrz funkcji, jak i poza
nimi
(funkcje w stylu Bourne'a nie dotykaj \fBOPTIND\fP, tak wic
stosowanie \fBgetopts\fP wewntrz funkcji jest niezgodne ze stosowaniem
\fBgetopts\fP poza funkcjami).
.br
.nr PD \n(P2
W przyszoci zostan dodane rwnie nastpujce rnice:
.nr P2 \n(PD
.nr PD 0
.IP \ \ \(bu
Podczas wykonywania funkcji bdzie stosowany oddzielny kontekst
ledzenia/sygnaw.
Tak wic ledzenia ustawione wewntrz funkcji nie bd miay wpywu
na ledzenia i sygnay powoki, nieignorowane przez ni (ktre mog
by przechwytywane), i bd miay domylne ich znaczenie wewntrz funkcji.
.IP \ \ \(bu
ledzenie EXIT-a, jeli zostanie ustawione wewntrz funkcji,
zostanie wykonane po zakoczeniu funkcji.
.nr PD \n(P2
.\"}}}
.\"{{{  POSIX mode
.SS "Tryb POSIX-owy"
Dana powoka ma by w zasadzie zgodna ze standardem POSIX,
jednak, w niektrych przypadkach, zachowanie zgodne ze
standardem POSIX jest albo sprzeczne z zachowaniem oryginalnej
powoki Korna, albo z wygod uytkownika.
To, jak powoka zachowuje si w takich wypadkach, jest ustalane
stanem opcji posix (\fBset \-o posix\fP) \(em jeli jest ona
wczona, to zachowuje si zgodnie z POSIX-em, a w przeciwnym
razie - nie.
Opcja \fBposix\fP zostaje automatycznie ustawiona, jeli powoka startuje
w otoczeniu zawierajcym ustawiony parametr \fBPOSIXLY_CORRECT\fP.
(Powok mona rwnie skompilowa tak, aby zachowanie zgodne z
POSIX-em byo domylnie ustawione, ale jest to zwykle
niepodane).
.PP
A oto lista wpyww ustawienia opcji \fBposix\fP:
.nr P2 \n(PD
.nr PD 0
.IP \ \ \(bu
\fB\e"\fP wewntrz cytowanych podwjnymi cudzysowami \fB`\fP..\fB`\fP
podstawie komend:
w trybie POSIX-owym, \fB\e"\fP jest interpretowany podczas interpretacji
komendy;
w trybie nie-POSIX-owym, odwrotny ukonik zostaje usunity przed
interpretacj podstawienia komendy.
Na przykad\fBecho "`echo \e"hi\e"`"\fP produkuje `"hi"' w
trybie POSIX-owym, `hi' a w trybie nie-POSIX-owym.
W celu uniknicia problemw, prosz stosowa posta \fB$(...\fP)
podstawienia komend.
.IP \ \ \(bu
wyjcie \fBkill \-l\fP: w trybie POSIX-owym nazwy sygnaw
s wymieniane wiersz po wierszu;
w nie-POSIX-owym trybie numery sygnaw, ich nazwy i opis zostaj wymienione
w kolumnach.
W przyszoci zostanie dodana nowa opcja (zapewne \fB\-v\fP) w celu
rozrnienia tych dwch zachowa.
.IP \ \ \(bu
kod wyjcia \fBfg\fP: w trybie POSIX-owym, kod wyjcia wynosi
0, jeli nie wystpiy adne bdy;
w trybie nie-POSIX-owym, kod wyjcia odpowiada kodowi ostatniego zadania
wykonywanego w pierwszym planie.
.IP \ \ \(bu
kod wyjcia polecenia\fBeval\fP: jeeli argumentem eval bdzie puste polecenie
(\fInp.\fP: \fBeval "`false`"\fP), to jego kodem wyjcia w trybie POSIX-owym bdzie 0.
W trybie nie-POSIX-owym, kodem wyjcia bdzie kod wyjcia ostatniego podstawienia
komendy, ktre zostao dokonane podczas przetwarzania argumentw polecenia eval
(lub 0, jeli nie byo podstawie komend).
.IP \ \ \(bu
\fBgetopts\fP: w trybie POSIX-owym, opcje musz zaczyna si od \fB\-\fP;
w trybie nie-POSIX-owym, opcje mog si zaczyna albo od \fB\-\fP, albo od \fB+\fP.
.IP \ \ \(bu
rozwijanie nawiasw (zwane rwnie przemian): w trybie POSIX-owym
rozwijanie nawiasw jest wyczone; w trybie nie-POSIX-owym
rozwijanie nawiasw jest wczone.
Prosz zauway, e \fBset \-o posix\fP (lub ustawienie
parametru \fBPOSIXLY_CORRECT\fP)
automatycznie wycza opcj \fBbraceexpand\fP, moe ona by jednak jawnie
wczona pniej.
.IP \ \ \(bu
\fBset \-\fP: w trybie POSIX-owym, nie wycza to ani opcji \fBverbose\fP, ani
\fBxtrace\fP; w trybie nie-POSIX-owym, wycza.
.IP \ \ \(bu
kod wyjcia \fBset\fP: w trybie POSIX-owym,
kod wyjcia wynosi 0, jeli nie wystpiy adne bdy;
w trybie nie-POSIX-owym, kod wyjcia odpowiada kodowi
wszelkich podstawie komend wykonywanych podczas generacji komendy set.
Przykadowo, `\fBset \-\- `false`; echo $?\fP' wypisuje 0 w trybie POSIX-owym,
a 1 w trybie nie-POSIX-owym.  Taka konstrukcja stosowana jest w wikszoci
skryptw powoki stosujcych stary wariant komendy \fIgetopt\fP(1).
.IP \ \ \(bu
rozwijanie argumentw komend \fBalias\fP, \fBexport\fP, \fBreadonly\fP i
\fBtypeset\fP: w trybie POSIX-owym, nastpuje normalne rozwijanie argumentw;
w trybie nie-POSIX-owym, rozdzielanie pl, dopasowywanie nazw plikw,
rozwijanie nawiasw i (zwyke) rozwijanie tyld s wyczone, ale
rozwijanie tyld w przyporzdkowaniach pozostaje wczone.
.IP \ \ \(bu
specyfikacja sygnaw: w trybie POSIX-owym, sygnay mog by
podawane jedynie cyframi, jeli numery sygnaw s zgodne z
wartociami z POSIX-a (\fItzn.\fP HUP=1, INT=2, QUIT=3, ABRT=6,
KILL=9, ALRM=14 i TERM=15); w trybie nie-POSIX-owym,
sygnay  zawsze mog by podane cyframi.
.IP \ \ \(bu
rozwijanie aliasw: w trybie POSIX-owym, rozwijanie aliasw
zostaje jedynie wykonywane, podczas wczytywania sw komend; w trybie
nie-POSIX-owym, rozwijanie aliasw zostaje wykonane rwnie na
kadym sowie po jakim aliasie, ktre koczy si bia przerw.
Na przykad nastpujca ptla for
.RS
.ft B
alias a='for ' i='j'
.br
a i in 1 2; do echo i=$i j=$j; done
.ft P
.RE
uywa parametru \fBi\fP w trybie POSIX-owym, natomiast \fBj\fP w
trybie nie-POSIX-owym.
.IP \ \ \(bu
test: w trybie POSIX-owym, wyraenie "\fB-t\fP" (poprzedzone pewn
liczb argumentw "\fB!\fP") zawsze jest prawdziwe, gdy jest
cigiem o dugoci niezerowej; w nie-POSIX-owym trybie, sprawdza czy
deskryptor pliku 1 jest jakim tty (\fItzn.\fP,
argument \fIfd\fP do testu \fB-t\fP moe zosta pominity i jest
domylnie rwny 1).
.nr PD \n(P2
.\"}}}
.\"{{{  Command Execution (built-in commands)
.SS "Wykonywanie komend"
Po wyliczeniu argumentw wiersza komendy, wykonaniu przekierowa
i przyporzdkowa parametrw, zostaje ustalony typ komendy:
specjalna wbudowana, funkcja, regularna wbudowana
lub nazwa pliku, ktry naley wykona, znajdowanego przy pomocy parametru
\fBPATH\fP.
Testy te zostaj wykonane w wyej podanym porzdku.
Specjalne wbudowane komendy rni si tym od innych komend,
e do ich odnalezienia nie jest uywany parametr \fBPATH\fP, bd
podczas ich wykonywania moe spowodowa zakoczenie powoki nieinterakcyjnej
i przyporzdkowania wartoci parametrw poprzedzajce
komend zostaj zachowane po jej wykonaniu.
Aby tylko wprowadzi zamieszanie, jeli opcja
posix zostaa wczona (patrz komenda \fBset\fP
poniej), to pewne specjale komendy staj si bardzo specjalne, gdy
nie jest wykonywane rozdzielanie pl, rozwijanie nazw plikw,
rozwijanie nawiasw, ani rozwijanie tyld na argumentach,
ktre wygldaj jak przyporzdkowania.
Zwyke wbudowane komendy wyrniaj si jedynie tym, e
do ich odnalezienia nie jest stosowany parametr \fBPATH\fP.
.PP
Oryginalny ksh i POSIX rni si nieco w tym, jakie
komendy s traktowane jako specjalne, a jakie jako zwyke:
.IP "Specjalne polecenia w POSIX"
.TS
lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB .
\&.	continue	exit	return	trap
:	eval	export	set	unset
break	exec	readonly	shift
.TE
.IP "Dodatkowe specjalne komendy w ksh"
.TS
lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB .
builtin	times	typeset		
.TE
.IP "Bardzo specjalne komendy (tryb nie-POSIX-owy)"
.TS
lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB .
alias	readonly	set	typeset	
.TE
.IP "Regularne komendy w POSIX"
.TS
lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB .
alias	command	fg	kill	umask
bg	false	getopts	read	unalias
cd	fc	jobs	true	wait
.TE
.IP "Dodatkowe regularne komendy ksh"
.TS
lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB lw(8m)fB .
[	let	pwd	ulimit	
echo	print	test	whence	
.TE
.PP
W przyszoci dodatkowe specjalne komendy oraz regularne komendy ksh
mog by traktowane odmiennie od specjalnych i regularnych komand
POSIX.
.PP
Po ustaleniu typu komendy, wszelkie przyporzdkowania wartoci parametrw
zostaj wykonane i wyeksportowane na czas trwania komendy.
.PP
Poniej opisujemy specjalne i regularne polecenia wbudowane:
.\"{{{  . plik [ arg1 ... ]
.IP "\fB\&.\fP \fIplik\fP [\fIarg1\fP ...]"
Wykonaj komendy z \fIplik\fPu w biecym otoczeniu.
Plik zostaje odszukiwany przy uyciu katalogw z \fBPATH\fP.
Jeli zostay podane argumenty, to parametry pozycyjne mog by
uywane w celu uzyskania dostpu do nich podczas wykonywania \fIplik\fPu.
Jeeli nie zostay podane adne argumenty, to argumenty pozycyjne
odpowiadaj tym z biecego otoczenia, w ktrym dana komenda zostaa
uyta.
.\"}}}
.\"{{{  : [ ... ]
.IP "\fB:\fP [ ... ]"
Komenda zerowa. Kodem wyjcia jest zero.
.\"}}}
.\"{{{  alias [ -d | +-t [ -r ] ] [+-px] [+-] [nazwa1[=warto1] ...]
.IP "\fBalias\fP [ \fB\-d\fP | \fB+-t\fP [\fB\-r\fP] ] [\fB+-px\fP] [\fB+-\fP] [\fIname1\fP[\fB=\fP\fIvalue1\fP] ...]"
Bez argumentw, \fBalias\fP wywietla wszystkie obecne aliasy.
Dla kadej nazwy bez podanej wartoci zostaje wywietlony istniejcy
odpowiedni alias.
Kada nazwa z podan wartoci definiuje alias (patrz: "Aliasy" powyej).
.sp
Do wywietlania aliasw uywany jest jeden z dwch formatw:
zwykle aliasy s wywietlane jako \fInazwa\fP\fB=\fP\fIwarto\fP, przy czym
\fIwarto\fP jest cytowana; jeli opcje miay przedrostek \fB+\fP
lub samo \fB+\fP zostao podane we wierszu komendy, tylko \fInazwa\fP
zostaje wywietlona.
Ponadto, jeli zostaa zastosowana opcja \fB\-p\fP, to dodatkowo kady wiersz
zaczyna si od cigu "\fBalias\fP\ ".
.sp
Opcja \fB\-x\fP ustawia (a \fB+x\fP kasuje) atrybut eksportu dla aliasu,
lub jeli nie podano adnych nazw, wywietla aliasy wraz z ich atrybutem
eksportu (eksportowanie aliasu nie ma ma adnego efektu).
.sp
Opcja \fB\-t\fP wskazuje, e ledzone aliasy maj by wywietlone/ustawione
(wartoci podane w wierszu komendy zostaj zignorowane dla ledzonych
aliasw).
Opcja \fB\-r\fP wskazuje, e wszystkie ledzone aliasy
maj zosta usunite.
.sp
Opcja \fB\-d\fP nakazuje wywietlenie lub ustawienie aliasw katalogw,
ktre s stosowane w rozwiniciach tyld
(patrz: "Rozwinicia tyld" powyej).
.\"}}}
.\"{{{  bg [job ...]
.IP "\fBbg\fP [\fIjob\fP ...]"
Podejmij ponownie wymienione zatrzymane zadanie(-a) w tle.
Jeli nie podano adnego zadania, to przyjmuje si domylnie \fB%+\fP.
Ta komenda jest dostpna jedynie w systemach obsugujcych kontrol zada.
Dalsze informacje mona znale poniej w rozdziale "Kontrola zada".
.\"}}}
.\"{{{  bind [-l] [-m] [key[=editing-command] ...]
.IP "\fBbind\fP [\fB\-m\fP] [\fIklawisz\fP[\fB=\fP\fIkomenda-edycji\fP] ...]"
Ustawienie lub wyliczenie obecnych przyporzdkowa klawiszy/makr w
emacsowym trybie edycji komend.
Patrz "Interakcyjna edycja wiersza polece w trybie emacs" w celu penego opisu.
.\"}}}
.\"{{{  break [level]
.IP "\fBbreak\fP [\fIpoziom\fP]"
\fBbreak\fP przerywa \fIpoziom\fP zagniedenia w ptlach
for, select, until lub while.
Domylnie \fIpoziom\fP wynosi 1.
.\"}}}
.\"{{{  builtin command [arg1 ...]
.IP "\fBbuiltin\fP \fIkomenda\fP [\fIarg1\fP ...]"
Wykonuje wbudowan komend \fIkomenda\fP.
.\"}}}
.\"{{{  cd [-LP] [dir]
.IP "\fBcd\fP [\fB\-LP\fP] [\fIkatalog\fP]"
Ustawia aktualny katalog roboczy na \fIkatalog\fP.
Jeli zosta ustawiony parametr \fBCDPATH\fP, to wypisuje
list katalogw, w ktrych bdzie szuka \fIkatalog\fPu.
Pusta zawarto w \fBCDPATH\fP oznacza katalog biecy.
Jeli zostanie uyty niepusty katalog z \fBCDPATH\fP,
to na standardowym wyjciu bdzie wywietlona jego pena cieka.
Jeli nie podano \fIkatalog\fPu, to
zostanie uyty katalog domowy \fB$HOME\fP.  Jeli \fIkatalog\fPiem jest
\fB\-\fP, to zostanie zastosowany poprzedni katalog roboczy (patrz
parametr OLDPWD).
Jeli uyto opcji \fB\-L\fP (cieka logiczna) lub jeli
nie zostaa ustawiona opcja \fBphysical\fP
(patrz komenda \fBset\fP poniej), wwczas odniesienia do \fB..\fP w
\fIkatalogu\fP s wzgldne wobec cieki zastosowanej do dojcia do danego
katalogu.
Jeli podano opcj \fB\-P\fP (fizyczna cieka) lub gdy zostaa ustawiona
opcja \fBphysical\fP, to \fB..\fP jest wzgldne wobec drzewa katalogw
systemu plikw.
Parametry \fBPWD\fP i \fBOLDPWD\fP zostaj uaktualnione tak, aby odpowiednio
zawieray biecy i poprzedni katalog roboczy.
.\"}}}
.\"{{{  cd [-LP] old new
.IP "\fBcd\fP [\fB\-LP\fP] \fIstary nowy\fP"
Cig \fInowy\fP zostaje podstawiony w zamian za \fIstary\fP w biecym
katalogu i powoka prbuje przej do nowego katalogu.
.\"}}}
.\"{{{  command [ -pvV ] cmd [arg1 ...]
.IP "\fBcommand\fP [\fB\-pvV\fP] \fIkomenda\fP [\fIarg1\fP ...]"
Jeli nie zostaa podana opcja \fB\-v\fP ani opcja \fB\-V\fP, to
\fIkomenda\fP
zostaje wykonana dokadnie tak, jakby nie podano \fBcommand\fP,
z dwoma wyjtkami: po pierwsze, \fIkomenda\fP nie moe by funkcj w powoce,
oraz po drugie, specjalne wbudowane komendy trac swoj specjalno (tzn.
przekierowania i bdy w uyciu nie powoduj, e powoka zostaje zakoczona, a
przyporzdkowania parametrw nie zostaj wykonane).
Jeli podano opcj \fB\-p\fP, zostaje zastosowana pewna domylna cieka
zamiast obecnej wartoci \fBPATH\fP (warto domylna cieki jest zalena
od systemu, w jakim pracujemy: w systemach POSIX-owych jest to
warto zwracana przez
.ce
\fBgetconf CS_PATH\fP
).
.sp
Jeli podano opcj \fB\-v\fP, to zamiast wykonania polecenia \fIkomenda\fP,
zostaje podana informacja, co by zostao wykonane (i to samo dotyczy
rwnie \fIarg1\fP ...):
dla specjalnych i zwykych wbudowanych komend i funkcji,
zostaj po prostu wywietlone ich nazwy,
dla aliasw, zostaje wywietlona komenda definiujca dany alias,
oraz dla komend odnajdowanych przez przeszukiwanie zawartoci
parametru \fBPATH\fP, zostaje wywietlona pena cieka danej komendy.
Jeli komenda nie zostanie odnaleziona, (tzn. przeszukiwanie cieki
nie powiedzie si), nic nie zostaje wywietlone i \fBcommand\fP zostaje
zakoczone z niezerowym kodem wyjcia.
Opcja \fB\-V\fP jest podobna do opcji \fB\-v\fP, tylko e bardziej
gadatliwa.
.\"}}}
.\"{{{  continue [levels]
.IP "\fBcontinue\fP [\fIpoziom\fP]"
\fBcontinue\fP skacze na pocztek \fIpoziom\fPu z najgbiej
zagniedonej ptli for,
select, until lub while.
\fIlevel\fP domylnie 1.
.\"}}}
.\"{{{  echo [-neE] [arg ...]
.IP "\fBecho\fP [\fB\-neE\fP] [\fIarg\fP ...]"
Wywietla na standardowym wyjciu swoje argumenty (rozdzielone spacjami),
zakoczone przeamaniem wiersza.
Przeamanie wiersza nie nastpuje, jeli ktrykolwiek z parametrw
zawiera sekwencj odwrotnego ukonika \fB\ec\fP.
Patrz komenda \fBprint\fP poniej, co do listy innych rozpoznawanych
sekwencji odwrotnych ukonikw.
.sp
Nastpujce opcje zostay dodane dla zachowania zgodnoci ze
skryptami z systemw BSD:
\fB\-n\fP wycza kocowe przeamanie wiersza, \fB\-e\fP wcza
interpretacj odwrotnych ukonikw (operacja zerowa, albowiem ma to
domylnie miejsce) oraz \fB\-E\fP wyczajce interpretacj
odwrotnych ukonikw.
.\"}}}
.\"{{{  eval command ...
.IP "\fBeval\fP \fIkomenda ...\fP"
Argumenty zostaj powizane (z przerwami pomidzy nimi) do jednego
cigu, ktry nastpnie powoka rozpoznaje i wykonuje w obecnym
otoczeniu.
.\"}}}
.\"{{{  exec [command [arg ...]]
.IP "\fBexec\fP [\fIkomenda\fP [\fIarg\fP ...]]"
Komenda zostaje wykonana bez rozwidlania (fork), zastpujc proces powoki.
.sp
Jeli nie podano adnych argumentw wszelkie przekierowania wejcia/wyjcia
s dozwolone i powoka nie zostaje zastpiona.
Wszelkie deskryptory plikw wiksze ni 2 otwarte lub z\fIdup\fP(2)-owane
w ten sposb nie s dostpne dla innych wykonywanych komend
(\fItzn.\fP, komend nie wbudowanych w powok).
Zauwa, e powoka Bourne'a rni si w tym:
przekazuje bowiem deskryptory plikw.
.\"}}}
.\"{{{  exit [kod]
.IP "\fBexit\fP [\fIkod\fP]"
Powoka zostaje zakoczona z podanym kodem wyjcia.
Jeli \fIkod\fP nie zosta podany, wwczas kod wyjcia
przyjmuje biec warto parametru \fB?\fP.
.\"}}}
.\"{{{  export [-p] [parameter[=value] ...]
.IP "\fBexport\fP [\fB\-p\fP] [\fIparametr\fP[\fB=\fP\fIwarto\fP]] ..."
Ustawia atrybut eksportu danego parametru.
Eksportowane parametry zostaj przekazywane w otoczeniu do wykonywanych
komend.
Jeli podano wartoci, to zostaj one rwnie przyporzdkowane
danym parametrom.
.sp
Jeli nie podano adnych parametrw, wwczas nazwy wszystkich parametrw
z atrybutem eksportu zostaj wywietlone wiersz po wierszu, chyba e uyto
opcji \fB\-p\fP, wtedy zostaj wywietlone komendy
\fBexport\fP definiujce wszystkie eksportowane parametry wraz z ich
wartociami.
.\"}}}
.\"{{{  false
.IP "\fBfalse\fP"
Komenda koczca si z niezerowym kodem powrotu.
.\"}}}
.\"{{{  fc [-e editor | -l [-n]] [-r] [first [ last ]]
.IP "\fBfc\fP [\fB\-e\fP \fIedytor\fP | \fB\-l\fP [\fB\-n\fP]] [\fB\-r\fP] [\fIpierwszy\fP [\fIostatni\fP]]"
\fIpierwszy\fP i \fIostatni\fP wybieraj komendy z historii.
Komendy moemy wybiera przy pomocy ich numeru w historii
lub podajc cig znakw okrelajcy ostatnio uyt komend rozpoczynajc
si od tego cigu.
Opcja \fB\-l\fP wywietla dan komend na stdout,
a \fB\-n\fP wycza domylne numery komend.  Opcja \fB\-r\fP
odwraca kolejno komend w licie historii.  Bez \fB\-l\fP, wybrane
komendy podlegaj edycji przez edytor podany poprzez opcj
\fB\-e\fP, albo jeli nie podano \fB\-e\fP, przez edytor
podany w parametrze \fBFCEDIT\fP (jeli nie zosta ustawiony ten
parametr, wwczas stosuje si \fB/bin/ed\fP),
i nastpnie wykonana przez powok.
.\" -(rl)- 
.\"}}}
.\"{{{  fc [-e - | -s] [-g] [old=new] [prefix]
.IP "\fBfc\fP [\fB\-e \-\fP | \fB\-s\fP] [\fB\-g\fP] [\fIstare\fP\fB=\fP\fInowe\fP] [\fIprefiks\fP]"
Wykonuje ponownie wybran komend (domylnie poprzedni komend) po
wykonaniu opcjonalnej zamiany \fIstare\fP na \fInowe\fP.  Jeli
podano \fB\-g\fP, wwczas wszelkie wystpienia \fIstare\fP zostaj
zastpione przez \fInowe\fP. Z tej komendy korzysta si zwykle
przy pomocy zdefiniowanego domylnie aliasu \fBr='fc \-e \-'\fP.
.\"}}}
.\"{{{  fg [job ...]
.IP "\fBfg\fP [\fIzadanie\fP ...]"
Przywraca na pierwszy plan zadanie(-nia).
Jeli nie podano jawnie adnego zadania, wwczas odnosi si to
domylnie do \fB%+\fP.
Ta komenda jest jedynie dostpna na systemach wspomagajcych
kontrol zada.
Patrz "Kontrola zada" dla dalszych informacji.
.\"}}}
.\"{{{  getopts optstring name [arg ...]
.IP "\fBgetopts\fP \fIcigopt\fP \fInazwa\fP [\fIarg\fP ...]"
\fBgetopts\fP jest stosowany przez procedury powoki
do rozpoznawania podanych argumentw
(lub parametrw pozycyjnych, jeli nie podano adnych argumentw)
i do sprawdzenia zasadnoci opcji.
\fIcigopt\fP zawiera litery opcji, ktre
\fBgetopts\fP ma rozpoznawa. Jeli po literze wystpuje przecinek,
wwczas oczekuje si, e opcja ma argument.
Opcje niemajce argumentw mog by grupowane w jeden argument.
Jeli opcja oczekuje argumentu i znak opcji nie jest ostatnim znakiem
argumentu, w ktrym si znajduje, wwczas reszta argumentu
zostaje potraktowana jako argument danej opcji. W przeciwnym razie
nastpny argument jest argumentem opcji.
.sp
Za kadym razem, gdy zostaje wywoane \fBgetopts\fP,
umieszcza si nastpn opcj w parametrze powoki
\fInazwa\fP i indeks nastpnego argumentu pod obrbk
w parametrze powoki \fBOPTIND\fP.
Jeli opcja zostaa podana z \fB+\fP, to opcja zostaje umieszczana
w \fInazwa\fP z przedrostkiem \fB+\fP.
Jeli opcja wymaga argumentu, to \fBgetopts\fP umieszcza go
w parametrze powoki \fBOPTARG\fP.
Jeli natrafi si na niedopuszczaln opcj lub brakuje
argumentu opcji, wwczas w \fInazwa\fP zostaje umieszczony znak zapytania
albo dwukropek
(wskazujc na nielegaln opcj, albo odpowiednio brak argumentu)
i \fBOPTARG\fP zostaje ustawiony na znak, ktry by przyczyn tego problemu.
Ponadto zostaje wwczas wywietlony komunikat o bdzie na standardowym
wyjciu bdw, jeli \fIcigopt\fP nie zaczyna si od dwukropka.
.sp
Gdy napotkamy na koniec opcji, \fBgetopts\fP przerywa prac
niezerowym kodem wyjcia.
Opcje kocz si na pierwszym (nie podlegajcym opcji) argumencie,
ktry nie rozpoczyna si od \-, albo jeli natrafimy na argument \fB\-\-\fP.
.sp
Rozpoznawanie opcji moe zosta ponowione ustawiajc \fBOPTIND\fP na 1
(co nastpuje automatycznie za kadym razem, gdy powoka lub
funkcja w powoce zostaje wywoana).
.sp
Ostrzeenie: Zmiana wartoci parametru powoki \fBOPTIND\fP na
warto wiksz ni 1, lub rozpoznawanie odmiennych zestaww
parametrw bez ponowienia \fBOPTIND\fP moe doprowadzi do nieoczekiwanych
wynikw.
.\"}}}
.\"{{{  hash [-r] [name ...]
.IP "\fBhash\fP [\fB\-r\fP] [\fInazwa ...\fP]"
Jeli brak argumentw, wwczas wszystkie cieki
wykonywalnych komend z kluczem s wymieniane.
Opcja \fB\-r\fP nakazuje wyrzucenia wszelkim komend z kluczem z tablicy
kluczy.
Kada \fInazwa\fP zostaje odszukiwana tak, jak by to bya nazwa komendy
i dodana do tablicy kluczy jeli jest to wykonywalna komenda.
.\"}}}
.\"{{{  jobs [-lpn] [job ...]
.IP "\fBjobs\fP [\fB\-lpn\fP] [\fIzadanie\fP ...]"
Wywietl informacje o danych zadaniach; gdy nie podano adnych
zada wszystkie zadania zostaj wywietlone.
Jeli podano opcj \fB\-n\fP, wwczas informacje zostaj wywietlone
jedynie o zadaniach, ktrych stan zmieni si od czasu ostatniego
powiadomienia.
Zastosowanie opcji \fB\-l\fP powoduje dodatkowo
wykazanie identyfikatora kadego
procesu w zadaniach.
Opcja \fB\-p\fP powoduje, e zostaje wywietlona jedynie
jedynie grupa procesowa kadego zadania.
patrz "Kontrola zada" dla informacji o formie parametru
\fIzdanie\fP i formacie, w ktrym zostaj wykazywane zadania.
.\"}}}
.\"{{{  kill [-s signame | -signum | -signame] { job | pid | -pgrp } ...
.IP "\fBkill\fP [\fB\-s\fP \fInazsyg\fP | \fB\-numsyg\fP | \fB\-nazsyg\fP ] { \fIjob\fP | \fIpid\fP | \fB\-\fP\fIpgrp\fP } ..."
Wylij dany sygna do danych zada, procesw z danym id, lub grup
procesw.
Jeli nie podano jawnie adnego sygnau, wwczas domylnie zostaje wysany
sygna TERM.
Jeli podano zadanie, wwczas sygna zostaje wysany do grupy
procesw danego zadania.
Patrz poniej "Kontrola zada" dla informacji o formacie \fIzadania\fP.
.IP "\fBkill \-l\fP [\fIkod_wyjcia\fP ...]"
Wypisz nazw sygnau, ktry zabi procesy, ktre zakoczyy si
danym \fIkodem_wyjcia\fP.
Jeli brak argumentw, wwczas zostaje wywietlona lista
wszelkich sygnaw i ich numerw, wraz z krtkim ich opisem.
.\"}}}
.\"{{{  let [expression ...]
.IP "\fBlet\fP [\fIwyraenie\fP ...]"
Kade wyraenie zostaje wyliczone, patrz "Wyraenia arytmetyczne" powyej.
Jeli wszelkie wyraenia zostay poprawnie wyliczone, kodem wyjcia
jest 0 (1), jeli wartoci ostatniego wyraenia
 nie byo zero (zero).
Jeli wystpi bd podczas rozpoznawania lub wyliczania wyraenia,
kod wyjcia jest wikszy od 1.
Poniewa moe zaj konieczno wycytowania wyrae, wic
\fB((\fP \fIwyr.\fP \fB))\fP jest syntaktycznie sodszym wariantem \fBlet
"\fP\fIwyr\fP\fB"\fP.
.\"}}}
.\"{{{  print [-nprsun | -R [-en]] [argument ...]
.IP "\fBprint\fP [\fB\-nprsu\fP\fIn\fP | \fB\-R\fP [\fB\-en\fP]] [\fIargument ...\fP]"
\fBPrint\fP wywietla swe argumenty na standardowym wyjciu, rozdzielone
przerwami i zakoczone przeamaniem wiersza. Opcja
\fB\-n\fP zapobiega domylnemu przeamaniu wiersza.
Domylnie pewne wyprowadzenia z C zostaj odpowiednio przetumaczone.
Wrd nich mamy \eb, \ef, \en, \er, \et, \ev, i \e0###
(# oznacza cyfr w systemie semkowym, tzn. od 0 po 3).
\ec jest rwnowane z zastosowaniem opcji \fB\-n\fP.  \e wyraeniom
mona zapobiec przy pomocy opcji \fB\-r\fP.
Opcja \fB\-s\fP powoduje wypis do pliku historii zamiast
standardowego wyjcia, a opcja
\fB\-u\fP powoduje wypis do deskryptora pliku \fIn\fP (\fIn\fP
wynosi domylnie 1 przy pominiciu),
natomiast opcja \fB\-p\fP pisze do do koprocesu
(patrz "Koprocesy" powyej).
.sp
Opcja \fB\-R\fP jest stosowana do emulacji, w pewnym stopniu, komendy
echo w wydaniu BSD, ktra nie przetwarza sekwencji \e bez podania opcji
\fB\-e\fP.
Jak powyej opcja \fB\-n\fP zapobiega kocowemu przeamaniu wiersza.
.\"}}}
.\"{{{  pwd [-LP]
.IP "\fBpwd\fP [\fB\-LP\fP]"
Wypisz biecy katalog roboczy.
Przy zastosowaniu opcji \fB\-L\fP lub gdy nie zostaa ustawiona opcja
\fBphysical\fP
(patrz komenda \fBset\fP poniej), zostaje wywietlona cieka
logiczna (tzn. cieka konieczna aby wykona \fBcd\fP do biecego katalogu).
Przy zastosowaniu opcji \fB\-P\fP (cieka fizyczna) lub gdy
zostaa ustawiona opcja \fBphysical\fP, zostaje wywietlona cieka
ustalona przez system plikw (ledzc katalogi \fB..\fP a po katalog gwny).
.\"}}}
.\"{{{  read [-prsun] [parameter ...]
.IP "\fBread\fP [\fB\-prsu\fP\fIn\fP] [\fIparametr ...\fP]"
Wczytuje wiersz wprowadzenia ze standardowego wejcia, rozdziela ten
wiersz na pola przy uwzgldnieniu parametru \fBIFS\fP (
patrz "Podstawienia" powyej) i przyporzdkowuje pola odpowiednio danym
parametrom.
Jeli mamy wicej parametrw ni pl, wwczas dodatkowe parametry zostaj
ustawione na zero, a natomiast jeli jest wicej pl ni paramterw to
ostatni parametr otrzymuje jako warto wszystkie dodatkowe pola (wraz ze
wszelkimi rozdzielajcymi przerwami).
Jeli nie podano adnych parametrw, wwczas zostaje zastosowany
parametr \fBREPLY\fP.
Jeli wiersz wprowadzania koczy si odwrotnym ukonikiem
i nie podano opcji \fB\-r\fP, to odwrotny ukonik i przeamanie
wiersza zostaj usunite i zostaje wczytana dalsza cz danych.
Gdy nie zostanie wczytane adne wprowadzenie, \fBread\fP koczy si
niezerowym kodem wyjcia.
.sp
Pierwszy parametr moe mie doczony znak zapytania i cig, co oznacza, e
dany cig zostanie zastosowany jako zachta do wprowadzenia
(wywietlana na standardowym wyjciu bdw zanim
zostanie wczytane jakiekolwiek wprowadzenie) jeli wejcie jest terminalem
(\fIe.g.\fP, \fBread nco?'ile cokw: '\fP).
.sp
Opcje \fB\-u\fP\fIn\fP i \fB\-p\fPpowoduj, e wprowadzenia zostanie
wczytywane z deskryptora pliku \fIn\fP albo odpowiednio biecego koprocesu
(patrz komentarze na ten temat w "Koprocesy" powyej).
Jeli zastosowano opcj \fB\-s\fP, wwczas wprowadzenie zostaje zachowane
w pliku historii.
.\"}}}
.\"{{{  readonly [-p] [parameter[=value] ...]
.IP "\fBreadonly\fP [\fB\-p\fP] [\fIparametr\fP[\fB=\fP\fIwarto\fP]] ..."
Patrz parametr wycznego odczytu nazwanych parametrw.
Jeli zostay podane wartoci wwczas zostaj one nadane parametrom przed
ustawieniem danego atrybutu.
Po nadaniu cechy wycznego odczytu parametrowi, nie ma wicej moliwoci
wykasowania go lub zmiany jego wartoci.
.sp
Jeli nie podano adnych parametrw, wwczas zostaj wypisane nazwy
wszystkich parametrw w cech wycznego odczytu wiersz po wierszu, chyba
e zastosowano opcj \fB\-p\fP, co powoduje wypisanie penych komend
\fBreadonly\fP definiujcych parametry wycznego odczytu wraz z ich
wartociami.
.\"}}}
.\"{{{  return [kod]
.IP "\fBreturn\fP [\fIkod\fP]"
Powrt z funkcji lub \fB.\fP skryptu, z kodem wyjcia \fIkod\fP.
Jeli nie podano wartoci \fIkod\fP, wwczas zostaje domylnie
zastosowany kod wyjcia ostatnio wykonanej komendy.
Przy zastosowaniu poza funkcj lub \fB.\fP skryptem, komenda ta ma ten
sam efekt co \fBexit\fP.
Prosz zwrci uwag, i pdksh traktuje zarwno profile jak i pliki z
\fB$ENV\fP jako \fB.\fP skrypty, podczas gdy
oryginalny Korn shell jedynie profile traktuje jako \fB.\fP skrypty.
.\"}}}
.\"{{{  set [+-abCefhkmnpsuvxX] [+-o [option]] [+-A name] [--] [arg ...]
.IP "\fBset\fP [\fB+-abCefhkmnpsuvxX\fP] [\fB+-o\fP [\fIopcja\fP]] [\fB+-A\fP \fInazwa\fP] [\fB\-\-\fP] [\fIarg\fP ...]"
Komenda set suy do ustawiania (\fB\-\fP) albo kasowania (\fB+\fP)
opcji powoki, ustawiania parametrw pozycyjnych lub
ustawiania parametru cigowego.
Opcje mog by zmienione przy pomocy syntaktyki \fB+-o\fP \fIopcja\fP,
gdzie \fIopcja\fP jest pen nazw pewnej opcji lub stosujc posta
\fB+-\fP\fIlitera\fP, gdzie \fIlitera\fP oznacza jednoliterow
nazw danej opcji (niewszystkie opcje posiadaj jednoliterow nazw).
Nastpujca tablica wylicza zarwno litery opcji (gdy mamy takowe), jak i
pene ich nazwy wraz z opisem wpyww danej opcji.
.sp
.TS
expand;
afB lfB lw(3i).
\-A		T{
Ustawia elementy parametru cigowego \fInazwa\fP na \fIarg\fP ...;
Jeli zastosowano \fB\-A\fP, cig zostaje uprzednio ponowiony (\fItzn.\fP, wyczyszczony);
Jeli zastosowano \fB+A\fP, zastaj ustawione pierwsze N elementw (gdzie N
jest iloci \fIarg\fPsw), reszta pozostaje niezmieniona.
T}
\-a	allexport	T{
wszystkie nowe parametry zostaj tworzone z cech eksportowania
T}
\-b	notify	T{
Wypisuj komunikaty o zadaniach asynchronicznie, zamiast tu przed zacht.
Ma tylko znaczenia jeli zostaa wczona kontrola zada (\fB\-m\fP).
T}
\-C	noclobber	T{
Zapobiegaj przepisywaniu istniejcych ju plikw poprzez przekierowania
\fB>\fP (do wymuszenia przepisania musi zosta zastosowane \fB>|\fP).
T}
\-e	errexit	T{
Wyjd (po wykonaniu komendy puapki \fBERR\fP) tu po wystpieniu
bdu lub niepomylnym wykonaniu jakiej komendy
(\fItzn.\fP, jeli zostaa ona zakoczona niezerowym kodem wyjcia).
Nie dotyczy to komend, ktrych kod wyjcia zostaje jawnie przetestowany
konstruktem powoki takim jak wyraenia \fBif\fP, \fBuntil\fP,
\fBwhile\fP, \fB&&\fP lub
\fB||\fP.
T}
\-f	noglob	T{
Nie rozwijaj wzorcw nazw plikw.
T}
\-h	trackall	T{
Twrz ledzone aliasy dla wszystkich wykonywanych komend (patrz "Aliasy"
powyej).
Domylnie wczone dla nieinterakcyjnych powok.
T}
\-i	interactive	T{
Wcz tryb interakcyjny \- moe zosta
wczone/wyczone jedynie podczas odpalania powoki.
T}
\-k	keyword	T{
Przyporzdkowania wartoci parametrom zostaj rozpoznawane
gdziekolwiek w komendzie.
T}
\-l	login	T{
Powoka ma by powok zameldowania \- moe zosta
wczone/wyczone jedynie podczas odpalania powoki
(patrz "Uruchamianie powoki" powyej).
T}
\-m	monitor	T{
Wcz kontrol zada (domylne dla powok interakcyjnych).
T}
\-n	noexec	T{
Nie wykonuj jakichkolwiek komend \- przydatne do sprawdzania
syntaktyki skryptw (ignorowane dla interakcyjnych powok).
T}
\-p	privileged	T{
Ustawiane automatycznie, jeli gdy powoka zostaje odpalona i rzeczywiste
uid lub gid nie jest identyczne z odpowiednio efektywnym uid lub gid.
Patrz "Uruchamianie powoki" powyej dla opisu, co to znaczy.
T}
-r	restricted	T{
Ustaw tryb ograniczony \(em ta opcja moe zosta jedynie
zastosowana podczas odpalania powoki.  Patrz "Uruchamianie powoki"
dla opisu, co to znaczy.
T}
\-s	stdin	T{
Gdy zostanie zastosowane podczas odpalania powoki, wwczas komendy
zostaj wczytywane ze standardowego wejcia.
Ustawione automatycznie, jeli powoka zostaa odpalona bez jakichkolwiek
argumentw.
.sp
Jeli \fB\-s\fP zostaje zastosowane w komendzie \fBset\fP, wwczas
podane argumenty zostaj uporzdkowane zanim zostan one przydzielone
parametrom pozycyjnym
(lub cigowi \fInazwa\fP, jeli \fB\-A\fP zostao zastosowane).
T}
\-u	nounset	T{
Odniesienie do nieustawionego parametru zostaje traktowane jako bd,
chyba e zosta zastosowany jeden z modyfikatorw \fB\-\fP, \fB+\fP
lub \fB=\fP.
T}
\-v	verbose	T{
Wypisuj wprowadzenia powoki na standardowym wyjciu bdw podczas
ich wczytywania.
T}
\-x	xtrace	T{
Wypisuj komendy i przyporzdkowania parametrw podczas ich wykonywania
poprzedzone wartoci \fBPS4\fP.
T}
\-X	markdirs	T{
Podczas generowania nazw plikw oznaczaj katalogi koczcym \fB/\fP.
T}
	bgnice	T{
Zadania w tle zostaj wykonywane z niszym priorytetem.
T}
	braceexpand	T{
Wcz rozwijanie nawiasw (aka, alternacja).
T}
	emacs	T{
Wcz edycj wiersza komendy  w stylu BRL emacsa (dotyczy wycznie
powok interakcyjnych);
patrz "Interakcyjna edycja wiersza polece w trybie emacs".
T}
	gmacs	T{
Wcz edycj wiersza komendy w stylu gmacsa (Gosling emacs)
(dotyczy wycznie powok interakcyjnych);
obecnie identyczne z trybem edycji emacs z wyjtkiem tego, e przemiana (^T)
zachowuje si nieco inaczej.
T}
	ignoreeof	T{
Powoka nie zostanie zakoczona jeli zostanie wczytany znak zakoczenia
pliku. Naley uy jawnie \fBexit\fP.
T}
	nohup	T{
Nie zabijaj biecych zada sygnaem \fBHUP\fP gdy powoka zameldowania
zostaje zakoczona.
Obecnie ustawione domylnie, co si jednak zmieni w przyszoci w celu
poprawienia kompatybilnoci z oryginalnym Korn shell (ktry nie posiada
tej opcji, aczkolwiek wysya sygna \fBHUP\fP).
T}
	nolog	T{
Bez znaczenia \- w oryginalnej powoce Korn. Zapobiega sortowaniu definicji
funkcji w pliku historii.
T}
	physical	T{
Powoduje, e komendy \fBcd\fP oraz \fBpwd\fP stosuj `fizyczne'
(tzn. pochodzce od systemu plikw) \fB..\fP katalogi zamiast `logicznych'
katalogw (tzn., e powoka interpretuje \fB..\fP, co pozwala
uytkownikowi nie troszczy si o dowizania symboliczne do katalogw).
Domylnie wykasowane.  Prosz zwrci uwag, i ustawianie tej opcji
nie wpywa na biec warto parametru \fBPWD\fP;
jedynie komenda \fBcd\fP zmienia \fBPWD\fP.
Patrz komendy \fBcd\fP i \fBpwd\fP powyej dla dalszych szczegw.
T}
	posix	T{
Wcz tryb POSIX-owy.  Patrz: "Tryb POSIX" powyej.
T}
	vi	T{
Wcz edycj wiersza komendy  w stylu vi (dotyczy tylko powok
interakcyjnych).
T}
	viraw	T{
Bez znaczenia \- w oryginalnej powoce Korna, dopki nie zostao
ustawione viraw, tryb wiersza komendy vi
pozostawia prac napdowi tty a do wprowadzenia ESC (^[).
pdksh jest zawsze w trybie viraw.
T}
	vi-esccomplete	T{
W trybie edycji wiersza komendy vi wykonuj rozwijania komend / plikw
gdy zostanie wprowadzone escape (^[) w trybie komendy.
T}
	vi-show8	T{
Dodaj przedrostek `M-' dla znakw z ustawionym smym bitem.
Jeli nie zostanie ustawiona ta opcja, wwczas, znaki z zakresu
128-160 zostaj wypisane bez zmian, co moe by przyczyn problemw.
T}
	vi-tabcomplete	T{
W trybie edycji wiersza komendy vi wykonuj rozwijania komend/ plikw
jeli tab (^I) zostanie wprowadzone w trybie wprowadzania.
T}
.TE
.sp
Tych opcji mona uy rwnie podczas odpalania powoki.
Obecny zestaw opcji (z jednoliterowymi nazwami) znajduje si w
parametrze \fB\-\fP.
\fBset -o\fP bez podania nazwy opcji wywietla
wszystkie opcja i informacj o ich ustawieniu lub nie;
\fBset +o\fP wypisuje pene nazwy opcji obecnie wczonych.
.sp
Pozostae argumenty, jeli podano takowe, s traktowane jako parametry
pozycyjne i zostaj przyporzdkowane, przy zachowaniu kolejnoci,
parametrom pozycyjnym (\fItzn.\fP, \fB1\fP, \fB2\fP, \fIitd.\fP).
Jeli opcje kocz si \fB\-\-\fP i brak dalszych argumentw,
wwczas wszystkie parametry pozycyjne zostaj wyczyszczone.
Jeli nie podano adnych opcji lub argumentw, wwczas zostaj wywietlone
wartoci wszystkich nazw.
Z nieznanych historycznych powodw, samotna opcja \fB\-\fP
zostaje traktowana specjalnie:
kasuje zarwno opcj \fB\-x\fP, jak i \fB\-v\fP.
.\"}}}
.\"{{{  shift [number]
.IP "\fBshift\fP [\fIliczba\fP]"
Parametry pozycyjne \fIliczba\fP+1, \fIliczba\fP+2 \fIitd.\fP\& zostaj
przeniesione pod \fB1\fP, \fB2\fP, \fIitd.\fP
\fIliczba\fP wynosi domylnie 1.
.\"}}}
.\"{{{  test expression, [ expression ]
.IP "\fBtest\fP \fIwyraenie\fP"
.IP "\fB[\fP \fIwyraenie\fP \fB]\fP"
\fBtest\fP wylicza \fIwyraenia\fP i zwraca kod wyjcia zero jeli
prawda, i kod 1 jeden jeli fasz, a wicej ni 1 jeli wystpi bd.
Zostaje zwykle zastosowane jako komenda warunkowa wyrae \fBif\fP i
\fBwhile\fP.
Mamy do dyspozycji nastpujce podstawowe wyraenia:
.sp
.TS
afB ltw(2.8i).
\fIcig\fP	T{
\fIcig\fP ma niezerow dugo.  Prosz zwrci uwag, i mog wystpi
trudnoci jeli \fIcig\fP okae si by operatorem
(\fIdokadniej\fP, \fB-r\fP) - oglnie lepiej jest zamiast tego stosowa
test postaci
.RS
\fB[ X"\fP\fIciag\fP\fB" != X ]\fP
.RE
(podwjne wycytowania zostaj zastosowane jeli
\fIcig\fP zawiera przerwy lub znaki rozwijania plikw).
T}
\-r \fIplik\fP	T{
\fIplik\fP istnieje i jest czytelny
T}
\-w \fIplik\fP	T{
\fIplik\fP istnieje i jest zapisywalny
T}
\-x \fIplik\fP	T{
\fIplik\fP istnieje i jest wykonywalny
T}
\-a \fIplik\fP	T{
\fIplik\fP istnieje
T}
\-e \fIplik\fP	T{
\fIplik\fP istnieje
T}
\-f \fIplik\fP	T{
\fIplik\fP jest zwykym plikiem
T}
\-d \fIplik\fP	T{
\fIplik\fP jest katalogiem
T}
\-c \fIplik\fP	T{
\fIplik\fP jest specjalnym plikiem napdu cigowego
T}
\-b \fIplik\fP	T{
\fIplik\fP jest specjalnym plikiem napdu blokowego
T}
\-p \fIplik\fP	T{
\fIplik\fP jest potokiem nazwanym
T}
\-u \fIplik\fP	T{
\fIplik\fP o ustawionym bicie setuid
T}
\-g \fIplik\fP	T{
\fIplik\fP' o ustawionym bicie setgid
T}
\-k \fIplik\fP	T{
\fIplik\fP o ustawionym bicie lepkoci
T}
\-s \fIplik\fP	T{
\fIplik\fP nie jest pusty
T}
\-O \fIplik\fP	T{
waciciel \fIpliku\fP zgadza si z efektywnym user-id powoki
T}
\-G \fIplik\fP	T{
grupa \fIpliku\fP  zgadza si z efektywn group-id powoki
T}
\-h \fIplik\fP	T{
\fIplik\fP jest symbolicznym [WK: twardym?] dowizaniem
T}
\-H \fIplik\fP	T{
\fIplik\fP jest zalenym od kontekstu katalogiem (tylko sensowne pod HP-UX)
T}
\-L \fIplik\fP	T{
\fIplik\fP jest symbolicznym dowizaniem
T}
\-S \fIplik\fP	T{
\fIplik\fP jest gniazdem
T}
\-o \fIopcja\fP	T{
\fIOpcja\fP powoki jest ustawiona (patrz komenda \fBset\fP powyej
dla listy moliwych opcji).
Jako niestandardowe rozszerzenie, jeli opcja zaczyna si od
\fB!\fP, to wynik testu zostaje negowany; test wypada zawsze negatywnie
gdy dana opcja nie istnieje (tak wic
.RS
\fB[ -o \fP\fIco\fP \fB-o -o !\fP\fIco\fP \fB]\fP
.RE
zwraca prawd tylko i tylko wtedy, gdy opcja \fIco\fP istnieje).
T}
\fIplik\fP \-nt \fIplik\fP	T{
pierwszy \fIplik\fP jest nowszy od nastpnego \fIpliku\fP
T}
\fIplik\fP \-ot \fIplik\fP	T{
pierwszy \fIplik\fP jest starszy od nastpnego \fIpliku\fP
T}
\fIplik\fP \-ef \fIplik\fP	T{
pierwszy \fIplik\fP jest tosamy z drugim \fIplikiem\fP
T}
\-t\ [\fIfd\fP]	T{
Deskryptor pliku jest przyrzdem tty.
Jeli nie zostaa ustawiona opcja posix (\fBset \-o posix\fP,
patrz "Tryb POSIX" powyej), wwczas \fIfd\fP moe zosta pominity,
co oznacza przyjcie domylnej wartoci 1
(zachowanie si jest wwczas odmienne z powodu specjalnych regu
POSIX-a opisywanych powyej).
T}
\fIcig\fP	T{
\fIcig\fP jest niepusty
T}
\-z\ \fIcig\fP	T{
\fIcig\fP jest pusty
T}
\-n\ \fIcig\fP	T{
\fIcig\fP jest niepusty
T}
\fIcig\fP\ =\ \fIcig\fP	T{
cigi s sobie rwne
T}
\fIcig\fP\ ==\ \fIcig\fP	T{
cigi s sobie rwne
T}
\fIcig\fP\ !=\ \fIcig\fP	T{
cigi si rni
T}
\fIliczba\fP\ \-eq\ \fIliczba\fP	T{
liczby s rwne
T}
\fIliczba\fP\ \-ne\ \fIliczba\fP	T{
liczby rni si
T}
\fIliczba\fP\ \-ge\ \fIliczba\fP	T{
liczba jest wiksza lub rwna od drugiej
T}
\fIliczba\fP\ \-gt\ \fIliczba\fP	T{
liczba jest wiksza od drugiej
T}
\fIliczba\fP\ \-le\ \fIliczba\fP	T{
liczba jest mniejsza lub rwna od drugiej
T}
\fIliczba\fP\ \-lt\ \fIliczba\fP	T{
liczba jest mniejsza od drugiej
T}
.TE
.sp
Powysze podstawowe wyraenie, w ktrych unarne operatory maj
pierwszestwo przed operatorami binarnymi, mog by stosowane w poczeniu
z nastpujcymi operatorami
(wymienionymi w kolejnoci odpowiadajcej ich pierwszestwu):
.sp
.TS
afB l.
\fIwyraenie\fP \-o \fIwyraenie\fP	logiczne lub
\fIwyraenie\fP \-a \fIwyraenie\fP	logiczne i
! \fIwyraenie\fP	logiczna negacja
( \fIwyraenie\fP )	grupowanie
.TE
.sp
W systemie operacyjny niewspomagajcy napdw \fB/dev/fd/\fP\fIn\fP
(gdzie \fIn\fP jest numerem deskryptora pliku),
komenda \fBtest\fP stara si je emulowa dla wszystkich testw
operujcych na plikach (z wyjtkiem testu \fB-e\fP).
W szczeglnoci., \fB[ -w /dev/fd/2 ]\fP sprawdza czy jest dostpny zapis na
deskryptor pliku 2.
.sp
Prosz zwrci uwag, e zachodz specjalne reguy
(zawdziczane ), jeli liczba argumentw
do \fBtest\fP lub \fB[\fP \&... \fB]\fP jest mniejsza od piciu:
jeli pierwsze argumenty \fB!\fP mog zosta pominite, tak e pozostaje tylko
jeden argument, wwczas zostaje przeprowadzony test dugoci cigu
(ponownie, nawet jeli dany argument jest unarnym operatorem);
jeli pierwsze argumenty \fB!\fP mog zosta pominite tak, e pozostaj trzy
argumenty i drugi argument jest operatorem binarnym, wwczas zostaje
wykonana dana binarna operacja (nawet jeli pierwszy argument
jest unarnym operatorem operator, wraz z nieusunitym \fB!\fP).
.sp
\fBUwaga:\fP Czstym bdem jest stosowanie \fBif [ $co = tam ]\fP, co
daje wynik negatywny jeli parametr \fBco\fP jest zerowy lub
nieustawiony, zawiera przerwy
(\fItzn.\fP, znaki z \fBIFS\fP), lub gdy jest operatorem jednoargumentowym,
takim jak \fB!\fP lub \fB\-n\fP.  Prosz zamiast tego stosowa testy typu
\fBif [ "X$co" = Xtam ]\fP.
.\"}}}
.\"{{{  times
.IP \fBtimes\fP
Wywietla zgromadzony czas w przestrzeni uytkownika oraz systemu,
ktry potrzebowaa powoka i w niej wystartowane
procesy, ktre si zakoczyy.
.\"}}}
.\"{{{  trap [handler signal ...]
.IP "\fBtrap\fP [\fIobrabiacz\fP \fIsygna ...\fP]"
Ustawia obrabiacz, ktry naley wykona w razie odebrania danego sygnau.
\fBObrabiacz\fP moe by albo zerowym cigiem, wskazujcym na zamiar
ignorowania sygnaw danego typu, albo minusem (\fB\-\fP),
wskazujcym, e ma zosta podjta akcja domylna dla danego sygnau
(patrz signal(2 lub 3)), albo cigiem zawierajcym komendy powoki
ktre maj zosta wyliczone i wykonane przy pierwszej okazji
(\fItzn.\fP po zakoczeniu biecej komendy lub przed
wypisaniem nastpnego symboli zachty \fBPS1\fP) po odebraniu
jednego z danych sygnaw.
\fBSignal\fP jest nazw danego sygnau (\fItak jak np.\fP, PIPE lub ALRM)
lub jego numerem (patrz komenda \fBkill \-l\fP powyej).
Istniej dwa specjalne sygnay: \fBEXIT\fP (rwnie znany jako \fB0\fP),
ktry zostaje wykonany tu przed zakoczeniem powoki, i
\fBERR\fP ktry zostaje wykonany po wystpieniu bdu
(bdem jest co, co powodowaoby zakoczenie powoki
jeli zostay ustawione opcje \fB\-e\fP lub \fBerrexit\fP \(em
patrz komendy \fBset\fP powyej).
Obrabiacze \fBEXIT\fP zostaj wykonane w otoczeniu
ostatniej wykonywanej komendy.
Prosz zwrci uwag, e dla powok nieinterakcyjnych obrabiacz wykrocze
nie moe zosta zmieniony dla sygnaw, ktre byy ignorowane podczas
startu danej powoki.
.sp
Bez argumentw, \fBtrap\fP wylicza, jako seria komend \fBtrap\fP,
obecny status wykrocze, ktre zostay ustawione od czasu startu powoki.
.sp
.\" todo: add these features (trap DEBUG, trap ERR/EXIT in function)
Traktowanie sygnaw \fBDEBUG\fP oraz \fBERR\fP i
\fBEXIT\fP i oryginalnej powoki Korna w funkcjach nie zostao jak do tej
pory jeszcze zrealizowane.
.\"}}}
.\"{{{  true
.IP \fBtrue\fP
Komenda koczca si zerow wartoci kodu wyjcia.
.\"}}}
.\"{{{  typeset [[+-Ulprtux] [-L[n]] [-R[n]] [-Z[n]] [-i[n]] | -f [-tux]] [name[=value] ...]
.IP "\fBtypeset\fP [[+-Ulprtux] [\fB\-L\fP[\fIn\fP]] [\fB\-R\fP[\fIn\fP]] [\fB\-Z\fP[\fIn\fP]] [\fB\-i\fP[\fIn\fP]] | \fB\-f\fP [\fB\-tux\fP]] [\fInazwa\fP[\fB=\fP\fIwarto\fP] ...]"
Wywietlaj lub ustawiaj wartoci atrybutw parametrw.
Bez argumentw \fInazwa\fP, zostaj wywietlone atrybuty parametrw:
jeli brak argumentw bdcych opcjami, zostaj wywietlone atrybuty
wszystkich parametrw jako komendy typeset; jeli podano opcj
(lub \fB\-\fP bez litery opcji)
wszystkie parametry i ich wartoci posiadajce dany atrybut zostaj
wywietlone;
jeli opcje zaczynaj si od \fB+\fP, to nie zostaj wywietlone wartoci
parametrw.
.sp
Jeli podano argumenty If \fInazwa\fP, zostaj ustawione atrybuty
danych parametrw (\fB\-\fP) lub odpowiednio wykasowane (\fB+\fP).
Wartoci parametrw mog zosta ewentualnie podane.
Jeli typeset zostanie zastosowane wewntrz funkcji,
wszystkie nowotworzone parametry pozostaj lokalne dla danej funkcji.
.sp
Jeli zastosowano \fB\-f\fP, wwczas typeset operuje na atrybutach funkcji.
Tak jak dla parametrw, jeli brak \fInazw\fPs, zostaj wymienione funkcje
wraz z ich wartociami (\fItzn.\fP, definicjami), chyba e podano
opcje zaczynajce si od \fB+\fP, w ktrym wypadku
zostaj wymienione tylko nazwy funkcji.
.sp
.TS
expand;
afB lw(4.5i).
\-L\fIn\fP	T{
Atrybut przyrwnania do lewego brzegu: \fIn\fP oznacza szeroko pola.
Jeli brak \fIn\fP, to zostaje zastosowana bieca szeroko parametru
(lub szeroko pierwszej przyporzdkowywanej wartoci).
Prowadzce biae przerwy (tak jak i zera, jeli
ustawiono opcj \fB\-Z\fP) zostaj wykasowane.
Jeli trzeba, wartoci zostaj albo obcite lub dodane przerwy
do osignicia wymaganej szerokoci.
T}
\-R\fIn\fP	T{
Atrybut przyrwnania do prawego brzegu: \fIn\fP oznacza szeroko pola.
Jeli brak \fIn\fP, to zostaje zastosowana bieca szeroko parametru
(lub szeroko pierwszej przyporzdkowywanej wartoci).
Biae przerwy na kocu zostaj usunite.
Jeli trzeba, wartoci zostaj albo pozbawione prowadzcych znakw
albo przerwy zostaj dodane do osignicia wymaganej szerokoci.
T}
\-Z\fIn\fP	T{
Atrybut wypeniania zerami: jeli nie skombinowany z \fB\-L\fP, to oznacza to
samo co \fB\-R\fP, tylko, e do rozszerzania zostaje zastosowane zero
zamiast przerw.
T}
\-i\fIn\fP	T{
Atrybut cakowitoci:
\fIn\fP podaje baz do zastosowania podczas
wypisywania danej wartoci cakowitej
(jeli nie podano, to baza zostaje zaczerpnita z
bazy zastosowanej w pierwszym przyporzdkowaniu wartoci).
Parametrom z tym atrybutem mog by przyporzdkowywane wartoci
zawierajce wyraenia arytmetyczne.
T}
\-U	T{
Atrybut dodatniej cakowitoci: liczby cakowite zostaj wywietlone
jako wartoci bez znaku
(stosowne jedynie w powizaniu z opcj \fB\-i\fP).
Tej opcji brak w oryginalnej powoce Korna.
T}
\-f	T{
Tryb funkcji: wywietlaj lub ustawiaj funkcje i ich atrybuty, zamiast
parametrw.
T}
\-l	T{
Atrybut maej litery: wszystkie znaki z duej litery zostaj
w wartoci zamienione na mae litery.
(W oryginalnej powoce Korna, parametr ten oznacza `dugi cakowity'
gdy by stosowany w poczeniu z opcj \fB\-i\fP).
T}
\-p	T{
Wypisuj pene komendy typeset, ktre mona nastpnie zastosowa do
odtworzenia danych atrybutw (lecz nie wartoci) parametrw.
To jest wynikiem domylnym (opcja ta istnieje w celu zachowania
kompatybilnoci z ksh93).
T}
\-r	T{
Atrybut wycznego odczytu: parametry z danym atrybutem
nie przyjmuj nowych wartoci i nie mog zosta wykasowane.
Po ustawieniu tego atrybutu nie mona go ju wicej odaktywni.
T}
\-t	T{
Atrybut zaznaczenia: bez znaczenia dla powoki; istnieje jedynie do
zastosowania w aplikacjach.
.sp
Dla funkcji \fB\-t\fP, to atrybut ledzenia.
Jeli zostaj wykonywane funkcje z atrybutem ledzenia, to
opcja powoki \fBxtrace\fP (\fB\-x\fP) zostaje tymczasowo wczona.
T}
\-u	T{
Atrybut duej litery: wszystkie znaki z maej litery w wartociach zostaj
przestawione na due litery.
(W oryginalnej powoce Korna, ten parametr oznacza `cakowity bez znaku' jeli
zosta zastosowany w poczeniu z opcj \fB\-i\fP, oznaczao to, e
nie mona byo stosowa duych liter dla baz wikszych ni 10.
patrz opcja \fB\-U\fP).
.sp
Dla funkcji, \fB\-u\fP to atrybut niezdefiniowania.  Patrz "Funkcje" powyej
dla implikacji tego.
T}
\-x	T{
Atrybut eksportowania: parametry (lub funkcje) zostaj umieszczone
w otoczenia wszelkich wykonywanych komend.
Eksportowanie funkcji nie zostao jeszcze do tej pory zrealizowane.
T}
.TE
.\"}}}
.\"{{{  ulimit [-acdfHlmnpsStvw] [value]
.IP "\fBulimit\fP [\fB\-acdfHlmnpsStvw\fP] [\fIwarto\fP]"
Wywietl lub ustaw ograniczenia dla procesw.
Jeli brak opcji, to ograniczenie iloci plikw (\fB\-f\fP) zostaje
przyjte jako domyle.
\fBwarto\fP, jeli podana, moe by albo wyraeniem arytmetycznym
lub sowem \fBunlimited\fP (nieograniczone).
Ograniczenia dotycz powoki i wszelkich procesw przez ni tworzonych
po nadaniu ograniczenia.
Prosz zwrci uwag, i niektre systemy mog zabrania podnoszenia
wartoci ogranicze po ich nadaniu.
Ponadto prosz zwrci uwag, e rodzaje dostpnych ogranicze zale od
danego systemu \- niektre systemy posiadaj jedynie moliwo
ograniczania \fB\-f\fP.
.RS
.IP \fB\-a\fP
Wywietla wszystkie ograniczenia; jeli nie podano \fB\-H\fP,
to zostaj wywietlone ograniczenia mikkie.
.IP \fB\-H\fP
Ustaw jedynie ograniczenie twarde (domylnie zostaj ustawione zarwno
ograniczenie twarde jak te i mikkie).
.IP \fB\-S\fP
Ustaw jedynie ograniczenie mikkie (domylnie zostaj ustawione zarwno
ograniczenie twarde jak te i mikkie).
.IP \fB\-c\fP
Ogranicz wielkoci plikw zrzutw core do \fIn\fP blokw.
.IP \fB\-d\fP
Ogranicz wielko obszaru danych do \fIn\fP kilobajtw.
.IP \fB\-f\fP
Ogranicz wielko plikw zapisywanych przez powok i jej programy pochodne
do \fIn\fP blokw (pliki dowolnej wielkoci mog by wczytywane).
.IP \fB\-l\fP
Ogranicz do \fIn\fP kilobajtw ilo podkluczonej (podpitej) fizycznej pamici.
.IP \fB\-m\fP
Ogranicz do \fIn\fP kilobajtw ilo uywanej fizycznej pamici.
.IP \fB\-n\fP
Ogranicz do \fIn\fP liczb jednoczenie otwartych deskryptorw plikw.
.IP \fB\-p\fP
Ogranicz do \fIn\fP liczb jednoczenie wykonywanych procesw danego
uytkownika.
.IP \fB\-s\fP
Ogranicz do \fIn\fP kilobajtw rozmiar obszaru stosu.
.IP \fB\-t\fP
Ogranicz do \fIn\fP sekund czas zuywany przez pojedyncze procesy.
.IP \fB\-v\fP
Ogranicz do \fIn\fP kilobajtw ilo uywanej wirtualnej pamici;
pod niektrymi systemami jest to maksymalny stosowany wirtualny adres
(w bajtach, a nie w kilobajtach).
.IP \fB\-w\fP
Ogranicz do \fIn\fP kilobajtw ilo stosowanego obszaru odkadania.
.PP
Dla \fBulimit\fP blok to zawsze 512 bajtw.
.RE
.\"}}}
.\"{{{  umask [-S] [mask]
.IP "\fBumask\fP [\fB\-S\fP] [\fImaska\fP]"
.RS
Wywietl lub ustaw mask zezwole w tworzeniu plikw, lub umask
(patrz \fIumask\fP(2)).
Jeli zastosowano opcj \fB\-S\fP, maska jest wywietlana lub podawana
symbolicznie, w przeciwnym razie jako liczba semkowa.
.sp
Symboliczne maski s podobne do tych stosowanych przez \fIchmod\fP(1):
.RS
[\fBugoa\fP]{{\fB=+-\fP}{\fBrwx\fP}*}+[\fB,\fP...]
.RE
gdzie pierwsza grupa znakw jest czci \fIkto\fP, a druga grupa czci
\fIop\fP, i ostatnio grupa czci \fIperm\fP.
Cz \fIkto\fP okrela, ktra cz umaski ma zosta zmodyfikowana.
Litery oznaczaj:
.RS
.IP \fBu\fP
prawa uytkownika
.IP \fBg\fP
prawa grupy
.IP \fBo\fP
prawa pozostaych (nieuytkownika, niegrupy)
.IP \fBa\fP
wszelkie prawa naraz (uytkownika, grupy i pozostaych)
.RE
.sp
Cz \fIop\fP wskazuj jak prawa \fIkto\fP maj by zmienione:
.RS
.IP \fB=\fP
nadaj
.IP \fB+\fP
dodaj do
.IP \fB\-\fP
usu z
.RE
.sp
Cz \fIperm\fP wskazuje ktre prawa maj zosta nadane, dodane lub usunite:
.RS
.IP \fBr\fP
prawo czytania
.IP \fBw\fP
prawo zapisu
.IP \fBx\fP
prawo wykonywania
.RE
.sp
Gdy stosuje si maski symboliczne, to opisuj one, ktre prawa mog zosta
udostpnione (w przeciwiestwie do masek semkowych, w ktrych ustawienie
bitu oznacza, e ma on zosta wykasowany).
Przykad: `ug=rwx,o=' ustawia mask tak, e pliki nie bd odczytywalne,
zapisywalne i wykonywalne przez `innych'. Jest ono rwnowane
(w wikszoci systemw) oktalnej masce `07'.
.RE
.\"}}}
.\"{{{  unalias [-adt] name ...
.IP "\fBunalias\fP [\fB\-adt\fP] [\fInazwa1\fP ...]"
Aliasy dla danej nazwy zostaj usunite.
Gdy zastosowano opcj \fB\-a\fP, to wszelkie aliasy zostaj usunite.
Gdy zastosowano opcj \fB\-t\fP lub \fB\-d\fP, to wymienione operacje
zostaj wykonane jedynie na ledzonych lub odpowiednio
aliasach katalogw.
.\"}}}
.\"{{{  unset [-fv] parameter ...
.IP "\fBunset\fP [\fB\-fv\fP] \fIparametr\fP ..."
Kasuj wymienione parametry (\fB\-v\fP, oznacza domylne) lub funkcje
(\fB\-f\fP).
Status zakoczenia jest niezerowy jeli ktry z danych parametrw by
ju wykasowany, a zero z przeciwnym razie.
.\"}}}
.\"{{{  wait [job]
.IP "\fBwait\fP [\fIzadanie\fP]"
Czekaj na zakoczenie danego zadania/zada.
Kodem wyjcia wait jest kod ostatniego podanego zadania:
jeli dane zadanie zostao zabite sygnaem, kod wyjcia wynosi
128 + numer danego sygnau (patrz \fBkill \-l\fP \fIkod_wyjcia\fP
powyej); jeli ostatnie dane zadanie nie moe zosta odnalezione
(bo nigdy nie istniao lub ju zostao zakoczone), to kod
zakoczenia wait wynosi 127.
Patrz "Kontrola zada" poniej w celu informacji o
formacie \fIzadanie\fP.
\fBWait\fP zostaje zakoczone jeli zajdzie sygna, na ktry zosta
ustawiony obrabiacz, lub gdy zostanie odebrany sygna HUP, INT lub
QUIT.
.sp
Jeli nie podano zada, \fBwait\fP wait czeka na zakoczenie
wszelkich obecnych zada (jeli istniej takowe) i koczy si
zerowym kodem wyjcia.
Jeli kontrola zada zostaa wczona, to zostaje wywietlony
kod wyjcia zada
(to nie ma miejsca, jeli zadania zostay jawnie podane).
.\"}}}
.\"{{{  whence [-pv] [name ...]
.IP "\fBwhence\fP [\fB\-pv\fP] [nazwa ...]"
Dla kadej nazwy zostaje wymieniony odpowiednio typ komendy
(reserved word, built-in, alias,
function, tracked alias lub executable).
Jeli podano opcj \fB\-p\fP, to zostaje odszukana cieka
dla \fInazw\fP, bdcych zarezerwowanymi sowami, aliasami, itp.
Bez opcji \fB\-v\fP \fBwhence\fP dziaa podobnie do \fBcommand \-v\fP,
poza tym, e \fBwhence\fP odszukuje zarezerwowane sowa i nie wypisuje
aliasw jako komendy alias;
z opcj \fB\-v\fP, \fBwhence\fP to to samo co \fBcommand \-V\fP.
Zauwa, e dla \fBwhence\fP, opcja \fB\-p\fP nie ma wpywu
na przeszukiwan ciek, tak jak dla \fBcommand\fP.
Jeli typ jednej lub wicej spord nazw nie mg zosta ustalony
to kod wyjcia jest niezerowy.
.\"}}}
.\"}}}
.\"{{{  job control (and its built-in commands)
.SS "Kontrola zada"
Kontrola zada oznacza zdolno powoki to monitorowania i kontrolowania
wykonywanych \fBzada\fP,
ktre s procesami lub grupami procesw tworzonych przez komendy lub
potoki.
Powoka przynajmniej ledzi status obecnych zada w tle
(\fItzn.\fP, asynchronicznych); t informacj mona otrzyma
wykonujc komend \fBjobs\fP.
Jeli zostaa uaktywniona pena kontrola zada
(stosujc \fBset \-m\fP lub
\fBset \-o monitor\fP), tak jak w powokach interakcyjnych,
to procesy pewnego zadania zostaj umieszczane we wasnej grupie
procesw, pierwszoplanowe zadnia mog zosta zatrzymane przy pomocy
klawisza wstrzymania z terminalu (zwykle ^Z),
zadania mog zosta ponownie podjte albo na pierwszym planie albo
w tle, stosujc odpowiednio komendy \fBfg\fP i \fBbg\fP,
i status terminala zostaje zachowany a nastpnie odtworzony, jeli
zadanie na pierwszym planie zostaje zatrzymane lub odpowiednio
wznowione.
.sp
Prosz zwrci uwag, e tylko komendy tworzce procesy
(\fItzn.\fP,
komendy asynchroniczne, komendy podpowok i niewbudowane komendy
nie bdce funkcjami) mog zosta wstrzymane; takie komendy
jak \fBread\fP nie mog tego.
.sp
Gdy zostaje stworzone zadanie, to przyporzdkowuje mu si numer zadania.
Dla interakcyjnych powok, numer ten zostaje wywietlony w \fB[\fP..\fB]\fP,
i w nastpstwie identyfikatory procesw w zadaniu, jeli zostaje
wykonywane asynchroniczne zadanie.
Do zadania moemy odnosi si w komendach \fBbg\fP, \fBfg\fP, \fBjobs\fP,
\fBkill\fP i
\fBwait\fP albo poprzez id ostatniego procesu w potoku komend
(tak jak jest on zapisywany w parametrze \fB$!\fP) lub poprzedzajc
numer zadania znakiem procentu (\fB%\fP).
Rwnie nastpujce sekwencj z procentem mog by stosowane do
odnoszenia si do zada:
.sp
.TS
expand;
afB lw(4.5i).
%+	T{
Ostatnio zatrzymane zadanie lub, gdy brak zatrzymanych zada, najstarsze
wykonywane zadanie.
T}
%%\fR, \fP%	T{
To samo co \fB%+\fP.
T}
%\-	T{
Zadanie, ktre byoby pod \fB%+\fP gdyby nie zostao zakoczone.
T}
%\fIn\fP	T{
Zadanie z numerem zadania \fIn\fP.
T}
%?\fIcig\fP	T{
Zadanie zawierajce cig \fIcig\fP (wystpuje bd, gdy odpowiada mu
kilka zada).
T}
%\fIcig\fP	T{
Zadanie zaczynajce si cigiem \fIcig\fP (wystpuje bd, gdy odpowiada
mu kilka zada).
T}
.TE
.sp
Jeli zadanie zmienia status (\fItzn.\fP, gdy zadanie w tle
zostaje zakoczone lub zadanie na pierwszym planie zostaje wstrzymane),
powoka wywietla nastpujce informacje o statusie:
.RS
\fB[\fP\fInumer\fP\fB]\fP \fIflaga status komenda\fP
.RE
gdzie
.IP "\ \fInumer\fP"
to numer danego zadania.
.IP "\ \fIflaga\fP"
jest \fB+\fP lub \fB-\fP jeli zadaniem jest odpowiednio zadanie z
\fB%+\fP lub \fB%-\fP, lub przerwa jeli nie jest ani jednym ani drugim.
.IP "\ \fIstatus\fP"
Wskazuje obecny stan danego zadania
i moe to by
.RS
.IP "\fBRunning\fP"
Zadanie nie jest ani wstrzymane ani zakoczone (prosz zwrci uwag, i
przebieg nie koniecznie musi oznacza spotrzebowywanie
czasu CPU \(em proces moe by zablokowany, czekajc na pewne zajcie).
.IP "\fBDone\fP [\fB(\fP\fInumer\fP\fB)\fP]"
zadanie zakoczone. \fInumer\fP to kod wyjcia danego zadania,
ktry zostaje pominity, jeli wynosi on zero.
.IP "\fBStopped\fP [\fB(\fP\fIsygna\fP\fB)\fP]"
zadanie zostao wstrzymane danym sygnaem \fIsygna\fP (gdy brak sygnau,
to zadanie zostao zatrzymane przez SIGTSTP).
.IP "\fIopis-sygnau\fP [\fB(core dumped)\fP]"
zadanie zostao zabite sygnaem (\fItzn.\fP, Memory\ fault,
Hangup, \fIitp.\fP \(em zastosuj
\fBkill \-l\fP dla otrzymania listy opisw sygnaw).
Wiadomo \fB(core\ dumped)\fP wskazuje, e proces stworzy plik zrzutu core.
.RE
.IP "\ \fIcommand\fP"
to komenda, ktra stworzya dany proces.
Jeli dane zadanie zawiera kilka procesw, to kady proces zostanie wywietlony
w osobnym wierszy pokazujcym jego \fIcommand\fP i ewentualnie jego
\fIstatus\fP, jeli jest on odmienny od statusu poprzedniego procesu.
.PP
Jeli prbuje si zakoczy powok, podczas gdy istniej zadania w
stanie zatrzymania, to powoka ostrzega uytkownika, e s zadania w stanie
zatrzymania i nie koczy pracy.
Gdy tu potem zostanie podjta ponowna prba zakoczenia powoki, to
zatrzymane zadania otrzymuj sygna \fBHUP\fP i powoka koczy prac.
podobnie, jeli nie zostaa ustawiona opcja \fBnohup\fP,
i s zadania w pracy, gdy zostanie podjta prba zakoczenia powoki
zameldowania, powoka ostrzega uytkownika i nie koczy pracy.
Gdy tu potem zostanie ponownie podjta prba zakoczenia pracy powoki,
to biece procesy otrzymuj sygna \fBHUP\fP i powoka koczy prac.
.\"}}}
.\"{{{  Emacs Interactive Input Line Editing
.SS "Interakcyjna edycja wiersza polece w trybie emacs"
Jeli zostaa ustawiona opcja \fBemacs\fP,jest wczona interakcyjna
edycja wiersza wprowadze.  \fBOstrzeenie\fP: Ten tryb zachowuje si
nieco inaczej ni tryb emacsa w oryginalnej powoce Korna
i 8-my bit zostaje wykasowany w trybie emacsa.
W trybie tym rne komendy edycji (zazwyczaj podczone pod jeden lub wicej
znakw sterujcych) powoduj natychmiastowe akcje bez odczekiwania
nastpnego przeamania wiersza.  Wiele komend edycji jest zwizywanych z
pewnymi znakami sterujcymi podczas odpalania powoki; te zwizki mog zosta
zmienione przy pomocy nastpujcych komend:
.\"{{{  bind
.IP \fBbind\fP
Obecne zwizki zostaj wyliczone.
.\"}}}
.\"{{{  bind string=[editing-command]
.IP "\fBbind\fP \fIcig\fP\fB=\fP[\fIkomenda-edycji\fP]"
Dana komenda edycji zostaje podwizana pod dany \fBcig\fP, ktry
powinien skada si ze znaku sterujcego (zapisanego przy pomocy
strzaki w gr \fB^\fP\fIX\fP), poprzedzonego ewentualnie
jednym z dwch znakw przedsionkownych.  Wprowadzenie danego
\fIcigu\fP bdzie wwczas powodowao bezporednie wywoanie danej
komendy edycji.  Prosz zwrci uwag, e cho tylko
dwa znaki przedsionkowe (zwykle ESC i ^X) s wspomagane, to
mog rwnie zosta podane niektre cigi wieloznakowe.
Nastpujce podcza klawisze terminala ANSI lub xterm
(ktre s w domylnych podwizaniach).  Oczywicie niektre
sekwencje wyprowadzenia nie chc dziaa tak gadko:
.sp
.RS
\fBbind '^[['=prefix\-2
.br
bind '^XA'=up\-history
.br
bind '^XB'=down\-history
.br
bind '^XC'=forward\-char
.br
bind '^XD'=backward\-char\fP
.RE
.\"}}}
.\"{{{  bind -l
.IP "\fBbind \-l\fP"
Wymie nazwy funkcji, do ktrych mona podczy klawisze.
.\"}}}
.\"{{{  bind -m string=[substitute]
.IP "\fBbind \-m\fP \fIcig\fP\fB=\fP[\fIpodstawienie\fP]"
Dany cig wprowadzenia \fIcig\fP zostanie zamieniony bezporednio na
dane \fIpodstawienie\fP, ktre moe zawiera komendy edycji.
.\"}}}
.PP
Nastpuje lista dostpnych komend edycji.
Kady z poszczeglnych opisw zaczyna si nazw komendy,
liter \fIn\fP, jeli komenda moe zosta poprzedzona licznikiem,
i wszelkimi klawiszami, do ktrych dana komenda jest podczona
domylnie (w zapisie stosujcym notacj strzakow, \fItzn.\fP,
znak ASCII ESC jest pisany jako ^[).
Licznik poprzedzajcy komend wprowadzamy stosujc cig
\fB^[\fP\fIn\fP, gdzie \fIn\fP to cig skadajcy si z jednej
lub wicej cyfr;
chyba e podano inaczej licznik, jeli zosta pominity, wynosi
domylnie 1.
Prosz zwrci uwag, e nazwy komend edycji stosowane s jedynie
w komendzie \fBbind\fP.  Ponadto, wiele komend edycji jest przydatnych
na terminalach z widocznym kursorem.  Domylne podwizania zostay wybrane
tak, aby byy zgodne z odpowiednimi podwizaniami Emacsa.
Znaki uytkownika tty (\fIw szczeglnoci\fP, ERASE) zostay
podczenia do stosownych podstawie i kasuj domylne
podczenia.
.\"{{{  abort ^G
.IP "\fBabort ^G\fP"
Przydatne w odpowiedzi na zapytanie o wzorzec \fBprzeszukiwania_historii\fP
do przerwania tego szukania.
.\"}}}
.\"{{{  auto-insert n
.IP "\fBauto-insert\fP \fIn\fP"
Powoduje po prostu wywietlenie znaku jako bezporednie wprowadzenie.
Wikszo zwykych znakw jest pod to podczona.
.\"}}}
.\"{{{  backward-char	n ^B
.IP "\fBbackward-char\fP  \fIn\fP \fB^B\fP"
Przesuwa kursor \fIn\fP znakw wstecz.
.\"}}}
.\"{{{  backward-word  n ^[B
.IP "\fBbackward-word\fP  \fIn\fP \fB^[B\fP"
Przesuwa kursor wstecz na pocztek sowa; sowa skadaj si ze
znakw alfanumerycznych, podkrelenia (_) i dolara ($).
.\"}}}
.\"{{{  beginning-of-history ^[<
.IP "\fBbeginning-of-history ^[<\fP"
Przesuwa na pocztek historii.
.\"}}}
.\"{{{  beginning-of-line ^A
.IP "\fBbeginning-of-line ^A\fP"
Przesuwa kursor na pocztek edytowanego wiersza wprowadzenia.
.\"}}}
.\"{{{  capitalize-word n ^[c, ^[C
.IP "\fBcapitalize-word\fP \fIn\fP \fB^[c\fP, \fB^[C\fP"
Przemienia pierwszy znak w nastpnych \fIn\fP sowach na du liter,
pozostawiajc kursor za kocem ostatniego sowa.
.\"}}}
.\"{{{  comment ^[#
Jeli biecy wiersz nie zaczyna si od znaku komentarza, zostaje on
dodany na pocztku wiersza i wiersz zostaje wprowadzony (tak jakby
nacinito przeamanie wiersza), w przeciwnym razie istniejce znaki
komentarza zostaj usunite i kursor zostaje umieszczony na pocztku
wiersza.
.\"}}}
.\"{{{  complete ^[^[
.IP "\fBcomplete ^[^[\fP"
Automatycznie dopenia tyle ile jest jednoznaczne w nazwie komendy
lub nazwie pliku zawierajcej kursor.  Jeli caa pozostaa cz
komendy lub nazwy pliku jest jednoznaczna to przerwa zostaje wywietlona
po wypenieniu, chyba e jest to nazwa katalogu, w ktrym to razie zostaje
doczone \fB/\fP.  Jeli nie ma komendy lub nazwy pliku zaczynajcej
si od takiej czci sowa, to zostaje wyprowadzony znak dzwonka
(zwykle powodujacy syszalne zabuczenie).
.\"}}}
.\"{{{  complete-command ^X^[
.IP "\fBcomplete-command ^X^[\fP"
Automatycznie dopenia tyle ile jest jednoznaczne z nazwy komendy
zawierajcej czciowe sowo przed kursorem, tak jak w komendzie
\fBcomplete\fP opisanej powyej.
.\"}}}
.\"{{{  complete-file ^[^X
.IP "\fBcomplete-file ^[^X\fP"
Automatycznie dopenia tyle ile jest jednoznaczne z nazwy pliku
zawierajcego czciowe sowo przed kursorem, tak jak w komendzie
\fBcomplete\fP opisanej powyej.
.\"}}}
.\"{{{  complete-list ^[=
.IP "\fBcomplete-list ^[=\fP"
Wymie moliwe dopenienia biecego sowa.
.\"}}}
.\"{{{  delete-char-backward n ERASE, ^?, ^H
.IP "\fBdelete-char-backward\fP \fIn\fP \fBERASE\fP, \fB^?\fP, \fB^H\fP"
Skasuj \fIn\fP znakw przed kursorem.
.\"}}}
.\"{{{  delete-char-forward n
.IP "\fBdelete-char-forward\fP \fIn\fP"
Skasuj \fIn\fP znakw po kursorze.
.\"}}}
.\"{{{  delete-word-backward n ^[ERASE, ^[^?, ^[^H, ^[h
.IP "\fBdelete-word-backward\fP \fIn\fP \fB^[ERASE\fP, \fB^[^?\fP, \fB^[^H\fP, \fB^[h\fP"
Skasuj \fIn\fP sw przed kursorem.
.\"}}}
.\"{{{  delete-word-forward n ^[d
.IP "\fBdelete-word-forward\fP \fIn\fP \fB^[d\fP"
Kasuje znaki po kursorze, a do koca \fIn\fP sw.
.\"}}}
.\"{{{  down-history n ^N
.IP "\fBdown-history\fP \fIn\fP \fB^N\fP"
Przewija bufor historii w przd \fIn\fP wierszy (pniej).
Kady wiersz wprowadzenia zaczyna si oryginalnie tu po ostatnim
miejscu w buforze historii, tak wic
\fBdown-history\fP nie jest przydatny dopki nie wykonano
\fBsearch-history\fP lub \fBup-history\fP.
.\"}}}
.\"{{{  downcase-word n ^[L, ^[l
.IP "\fBdowncase-word\fP \fIn\fP \fB^[L\fP, \fB^[l\fP"
Zamie na mae litery nastpnych \fIn\fP sw.
.\"}}}
.\"{{{  end-of-history ^[>
.IP "\fBend-of-history ^[>\fP"
Porusza do koca historii.
.\"}}}
.\"{{{  end-of-line ^E
.IP "\fBend-of-line ^E\fP"
Przesuwa kursor na koniec wiersza wprowadzenia.
.\"}}}
.\"{{{  eot ^_
.IP "\fBeot ^_\fP"
Dziaa jako koniec pliku; Jest to przydatne, albowiem tryb edycji
wprowadzenia wycza normaln regularyzacj wprowadzenia terminala.
.\"}}}
.\"{{{  eot-or-delete n ^D
.IP "\fBeot-or-delete\fP \fIn\fP \fB^D\fP"
Dziaa jako eot jeli jest samotne na wierszu; w przeciwnym razie
dziaa jako delete-char-forward.
.\"}}}
.\"{{{  error
.IP "\fBerror\fP"
Error (ring the bell).
.\"}}}
.\"{{{  exchange-point-and-mark ^X^X
.IP "\fBexchange-point-and-mark ^X^X\fP"
Umie kursor na znaczniku i ustaw znacznik na miejsce, w ktrym by
kursor.
.\"}}}
.\"{{{  expand-file ^[*
.IP "\fBexpand-file ^[*\fP"
Dodaje * do biecego sowa i zastpuje dane sowo wynikiem
rozwinicia nazwy pliku na danym sowie.
Gdy nie pasuj adne pliki, zadzwo.
.\"}}}
.\"{{{  forward-char n ^F
.IP "\fBforward-char\fP \fIn\fP \fB^F\fP"
Przesuwa kursor naprzd o \fIn\fP znakw.
.\"}}}
.\"{{{  forward-word n ^[f
.IP "\fBforward-word\fP \fIn\fP \fB^[f\fP"
Przesuwa kursor naprzd na zakoczenie \fIn\fP-tego sowa.
.\"}}}
.\"{{{  goto-history n ^[g
.IP "\fBgoto-history\fP \fIn\fP \fB^[g\fP"
Przemieszcza do historii numer \fIn\fP.
.\"}}}
.\"{{{  kill-line KILL
.IP "\fBkill-line KILL\fP"
Kasuje cay wiersz wprowadzenia.
.\"}}}
.\"{{{  kill-region ^W
.IP "\fBkill-region ^W\fP"
Kasuje wprowadzenie pomidzy kursorem a znacznikiem.
.\"}}}
.\"{{{  kill-to-eol n ^K
.IP "\fBkill-to-eol\fP \fIn\fP \fB^K\fP"
Jeli ominito \fIn\fP, to kasuje wprowadzenia od kursora do koca wiersza,
w przeciwnym razie kasuje znaki pomidzy kursorem a \fIn\fP-t kolumn.
.\"}}}
.\"{{{  list ^[?
.IP "\fBlist ^[?\fP"
Wywietla sortowan, skolumnowan list nazw komend lub nazw plikw
(jeli s takowe), ktre mogyby dopeni czciowe sowo zawierajce kursor.
Do nazw katalogw zostaje doczone \fB/\fP.
.\"}}}
.\"{{{  list-command ^X?
.IP "\fBlist-command ^X?\fP"
Wywietla sortowan, skolumnowan list nazw komend
(jeli s takowe), ktre mogyby dopeni czciowe sowo zawierajce kursor.
.\"}}}
.\"{{{  list-file ^X^Y
.IP "\fBlist-file ^X^Y\fP"
Wywietla sortowan, skolumnowan list nazw plikw
(jeli s takowe), ktre mogyby dopeni czciowe sowo zawierajce kursor.
Specyfikatory rodzaju plikw zostaj doczone tak jak powyej opisano
pod \fBlist\fP.
.\"}}}
.\"{{{  newline ^J and ^M
.IP "\fBnewline ^J\fP, \fB^M\fP"
Powoduje przetworzenie biecego wiersza wprowadze przez powok.
Kursor moe znajdowa si aktualnie gdziekolwiek w wierszu.
.\"}}}
.\"{{{  newline-and-next ^O
.IP "\fBnewline-and-next ^O\fP"
Powoduje przetworzenie biecego wiersza wprowadze przez powok,
po czym nastpny wiersz z historii staje si wierszem biecym.
Ma to tylko sens po poprzednim up-history lub search-history.
.\"}}}
.\"{{{  no-op QUIT
.IP "\fBno-op QUIT\fP"
Nie robi nic.
.\"}}}
.\"{{{  prefix-1 ^[
.IP "\fBprefix-1 ^[\fP"
Przedsionek 1-znakowej sekwencji komendy.
.\"}}}
.\"{{{  prefix-2 ^X and ^[[
.IP "\fBprefix-2 ^X\fP"
.IP "\fBprefix-2 ^[[\fP"
Przedsionek 2-znakowej sekwencji komendy.
.\"}}}
.\"{{{  prev-hist-word ^[. ^[_
.IP "\fBprev-hist-word\fP \fIn\fP \fB^[.\fP, \fB^[_\fP"
Ostatnie (\fIn\fP-te) sowo poprzedniej komendy zostaje wprowadzone
na miejscu kursora.
.\"}}}
.\"{{{  quote ^^
.IP "\fBquote ^^\fP"
Nastpny znak zostaje wzity dosownie zamiast jako komenda edycji.
.\"}}}
.\"{{{  redraw ^L
.IP "\fBredraw ^L\fP"
Przerysuj ponownie zacht i biecy wiersz wprowadzenia.
.\"}}}
.\"{{{  search-character-backward n ^[^]
.IP "\fBsearch-character-backward\fP \fIn\fP \fB^[^]\fP"
Szukaj w ty w biecym wierszu \fIn\fP-tego wystpienia
nastpnego wprowadzonego znaku.
.\"}}}
.\"{{{  search-character-forward n ^]
.IP "\fBsearch-character-forward\fP \fIn\fP \fB^]\fP"
Szukaj w przd w biecym wierszu \fIn\fP-tego wystpienia
nastpnego wprowadzonego znaku.
.\"}}}
.\"{{{  search-history ^R
.IP "\fBsearch-history ^R\fP"
Wejd w kroczcy tryb szukania.  Wewntrzna lista historii zostaje
przeszukiwana wstecz za komendami odpowiadajcymi wprowadzeniu.
pocztkowe \fB^\fP w szukanym cigu zakotwicza szukanie.  Klawisz przerwania
powoduje opuszczenie trybu szukania.
Inne komendy zostan wykonywane po opuszczeniu trybu szukania.
Ponowne komendy \fBsearch-history\fP kontynuuj szukanie wstecz
do nastpnego poprzedniego wystpienia wzorca.  Bufor historii
zawiera tylko skoczon ilo wierszy; dla potrzeby najstarsze zostaj
wyrzucone.
.\"}}}
.\"{{{  set-mark-command ^[<space>
.IP "\fBset-mark-command ^[\fP<space>"
Postaw znacznik na biecej pozycji kursora.
.\"}}}
.\"{{{  stuff
.IP "\fBstuff\fP"
Pod systemami to wspomagajcymi, wypycha podczony znak  z powrotem
do wejcia terminala, gdzie moe on zosta specjalnie przetworzony przez
terminal.  Jest to przydatne np. dla opcji BRL \fB^T\fP minisystata.
.\"}}}
.\"{{{  stuff-reset
.IP "\fBstuff-reset\fP"
Dziaa tak jak \fBstuff\fP, a potem przerywa wprowadzenie tak jak
przerwanie.
.\"}}}
.\"{{{  transport-chars ^T
.IP "\fBtranspose-chars ^T\fP"
Na kocu wiersza lub jeli wczono opcj \fBgmacs\fP,
zamienia dwa poprzedzajce znaki; w przeciwnym razie zamienia
poprzedni i biecy znak, po czym przesuwa kursor jeden znak na prawo.
.\"}}}
.\"{{{  up-history n ^P
.IP "\fBup-history\fP \fIn\fP \fB^P\fP"
Przewija bufor historii \fIn\fP wierszy wstecz (wczeniej).
.\"}}}
.\"{{{  upcase-word n ^[U, ^[u
.IP "\fBupcase-word\fP \fIn\fP \fB^[U\fP, \fB^[u\fP"
Zamienia nastpnych \fIn\fP sw w due litery.
.\"}}}
.\"{{{  version ^V
.IP "\fBversion ^V\fP"
Wypisuje wersj ksh.  Obecny bufor edycji zostaje odtworzony
gdy tylko zostanie nacinity jakikolwiek klawisz
(po czym ten klawisz zostaje przetworzony, chyba e
 jest to przerwa).
.\"}}}
.\"{{{  yank ^Y
.IP "\fByank ^Y\fP"
Wprowad ostatnio skasowany cig tekstu na biec pozycj kursora.
.\"}}}
.\"{{{  yank-pop ^[y
.IP "\fByank-pop ^[y\fP"
bezporednio po \fByank\fP, zamienia wprowadzony tekst na
nastpny poprzednio skasowany cig tekstu.
.\"}}}
.\"}}}
.\"{{{  Vi Interactive Input Line Editing
.\"{{{  introduction
.SS "Interkacyjny tryb edycji wiersza polece vi"
Edytor vi wiersza komendy w ksh obsuguje w zasadzie te same komendy co
edytor vi (patrz \fIvi\fP(1)), poza nastpujcymi wyjtkami:
.nr P2 \n(PD
.IP \ \ \(bu
zaczyna w trybie wprowadzania,
.IP \ \ \(bu
ma komendy uzupeniania nazw plikw i komend
(\fB=\fP, \fB\e\fP, \fB*\fP, \fB^X\fP, \fB^E\fP, \fB^F\fP i,
opcjonalnie, \fB<tab>\fP),
.IP \ \ \(bu
komenda \fB_\fP dziaa odmiennie (w ksh jest to komenda ostatniego argumentu,
a w vi przechodzenie do pocztku biecego wiersza),
.IP \ \ \(bu
komendy \fB/\fP i \fBG\fP poruszaj si w kierunkach odwrotnych do komendy
\fBj\fP
.IP \ \ \(bu
brak jest komend, ktre nie maj znaczenia w edytorze obsugujcym jeden
wiersz (\fIw szczeglnoci\fP, przewijanie ekranu, komendy ex \fB:\fP,
\fIitp.\fP).
.nr PD \n(P2
.LP
Prosz zwrci uwag, e \fB^X\fP oznacza control-X; oraz \fB<esc>\fP,
\fB<space>\fP i \fB<tab>\fP stosowane s za escape, space i tab,
odpowiednio (bez artw).
.\"}}}
.\"{{{  modes
.PP
Tak jak w vi, s dwa tryby: tryb wprowadzania i tryb komend.
W trybie wprowadzania, wikszo znakw zostaje po prostu umieszczona
w buforze na biecym miejscu kursora w kolejnoci ich wpisywania,
chocia niektre znaki zostaj traktowane specjalnie.
W szczeglnoci nastpujce znaki odpowiadaj obecnym ustawieniom tty
(patrz \fIstty\fP(1)) i zachowuj ich normalne znaczenia
(normalne wartoci s podane w nawiasach):
skasuj (\fB^U\fP), wyma (\fB^?\fP), wyma sowo (\fB^W\fP), eof (\fB^D\fP),
przerwij (\fB^C\fP) i zakocz (\fB^\e\fP).
Poza powyszymi dodatkowo rwnie nastpujce znaki zostaj traktowane
specjalnie w trybie wprowadzania:
.TS
expand;
afB lw(4.5i).
^H	T{
kasuje poprzedni znak
T}
^V	T{
bezporednio nastpny: nastpny nacinity znak nie zostaje traktowany
specjalnie (mona tego uy do wprowadzenia opisywanych tu znakw)
T}
^J ^M	T{
koniec wiersza: biecy wiersz zostaje wczytany, rozpoznany i wykonany
przez powok
T}
<esc>	T{
wprowadza edytor w tryb komend (patrz poniej)
T}
^E	T{
wyliczanie komend i nazw plikw (patrz poniej)
T}
^F	T{
dopenianie nazw plikw (patrz poniej).
Jeli zostanie uyte dwukrotnie, to wwczas wywietla list moliwych
dopenie;
jeli zostanie uyte trzykrotnie, to kasuje dopenienie.
T}
^X	T{
rozwijanie nazw komend i plikw (patrz poniej)
T}
<tab>	T{
opcjonalnie dopenianie nazw plikw i komend (patrz \fB^F\fP powyej),
wczane przez \fBset \-o vi-tabcomplete\fP
T}
.TE
.\"}}}
.\"{{{  display
.PP
Jeli jaki wiersz jest duszy od szerokoci ekranu
(patrz parametr \fBCOLUMNS\fP),
to zostaje wywietlony znak \fB>\fP, \fB+\fP lub \fB<\fP
w ostatniej kolumnie, wskazujcy odpowiednio na wicej znakw po, przed i po, oraz
przed obecn pozycj.
Wiersz jest przewijany poziomo w razie potrzeby.
.\"}}}
.\"{{{  command mode
.PP
W trybie komend, kady znak zostaje interpretowany jako komenda.
Znaki ktrym nie odpowiada adna komenda, ktre s niedopuszczaln
komend lub s komendami nie do wykonania, wszystkie wyzwalaj dzwonek.
W nastpujcych opisach komend, \fIn\fP wskazuje, e komend mona
poprzedzi numerem (\fItzn.\fP, \fB10l\fP przesuwa w prawo o 10
znakw); gdy brak przedrostka numerowego, to zakada si, e \fIn\fP
jest rwne 1, chyba e powiemy inaczej.
Zwrot `bieca pozycja' odnosi si do pozycji pomidzy kursorem
a znakiem przed nim.
`Sowo' to cig liter, cyfr lub podkrele
albo cig nie nieliter, niecyfr, niepodkrele, niebiaych-znakw
(\fItak wic\fP, ab2*&^ zawiera dwa sowa), oraz `due sowo' jest cigiem
niebiaych znakw.
.\"{{{  Special ksh vi commands
.IP "Specjalne ksh komendy vi"
Nastpujcych komend brak lub s one odmienne od tych w normalnym
edytorze plikw vi:
.RS
.IP "\fIn\fP\fB_\fP"
wprowad przerw z nastpstwem \fIn\fP-tego duego sowa
z ostatniej komendy w historii na biecej pozycji i wejd w tryb
wprowadzania; jeli nie podano \fIn\fP to domylnie zostaje wprowadzone
ostatnie sowo.
.IP "\fB#\fP"
wprowad znak komentarza (\fB#\fP) na pocztku biecego wiersza
i przeka ten wiersz do powoki ( tak samo jak \fBI#^J\fP).
.IP "\fIn\fP\fBg\fP"
tak jak \fBG\fP, z tym e, jeli nie podano \fIn\fP
to dotyczy to ostatnio zapamitanego wiersza.
.IP "\fIn\fP\fBv\fP"
edytuj wiersze \fIn\fP stosujc edytor vi;
jeli nie podano \fIn\fP, to edytuje biecy wiersz.
Waciw wykonywan komend jest
`\fBfc \-e ${VISUAL:-${EDITOR:-vi}}\fP \fIn\fP'.
.IP "\fB*\fP i \fB^X\fP"
dopenianie komendy lub nazwy pliku zostaje zastosowane do obecnego duego
sowa (po dodaniu *, jeli to sowo nie zawiera adnych znakw dopeniania
nazw plikw) - due sowo zostaje zastpione sowami wynikowymi.
Jeli biece due sowo jest pierwszym w wierszu (lub wystpuje po
jednym z nastpujcych znakw: \fB;\fP, \fB|\fP, \fB&\fP, \fB(\fP, \fB)\fP)
i nie zawiera ukonika (\fB/\fP) to rozwijanie komendy zostaje wykonane,
w przeciwnym razie zostaje wykonane rozwijanie nazwy plikw.
Rozwijanie komend podpasowuje due sowo pod wszelkie aliasy, funkcje
i wbudowane komendy jak i rwnie wszelkie wykonywalne pliki odnajdywane
przeszukujc katalogi wymienione w parametrze \fBPATH\fP.
Rozwijanie nazw plikw dopasowuje due sowo do nazw plikw w biecym
katalogu.
Po rozwiniciu, kursor zostaje umieszczony tu po
ostatnim sowie na kocu i edytor jest w trybie wprowadzania.
.IP "\fIn\fP\fB\e\fP, \fIn\fP\fB^F\fP, \fIn\fP\fB<tab>\fP i \fIn\fP\fB<esc>\fP"
dopenianie nazw komend/plikw:
zastpuje biece due sowo najduszym, jednoznacznym
dopasowaniem otrzymanym przez rozwinicie nazwy komendy/pliku.
\fB<tab>\fP zostaje jedynie rozpoznane jeli zostaa wczona opcja
\fBvi-tabcomplete\fP, podczas gdy \fB<esc>\fP zostaje jedynie rozpoznane
jeli zostaa wczona opcja \fBvi-esccomplete\fP (patrz \fBset \-o\fP).
Jeli podano \fIn\fP to zostaje uyte \fIn\fP-te moliwe
dopenienie (z tych zwracanych przez komend wyliczania dopenie nazw
komend/plikw).
.IP "\fB=\fP i \fB^E\fP"
wyliczanie nazw komend/plikw: wymie wszystkie komendy lub pliki
pasujce pod obecne due sowo.
.IP "\fB^V\fP"
wywietl wersj pdksh; jest ona wywietlana do nastpnego nacinicia
klawisza (ten klawisz zostaje zignorowany).
.IP "\fB@\fP\fIc\fP"
rozwinicie makro: wykonaj komendy znajdujce si w aliasie _\fIc\fP.
.RE
.\"}}}
.\"{{{  Intra-line movement commands
.IP "Komendy przemieszczania w wierszu"
.RS
.IP "\fIn\fP\fBh\fP i \fIn\fP\fB^H\fP"
przesu si na lewo \fIn\fP znakw.
.IP "\fIn\fP\fBl\fP i \fIn\fP\fB<space>\fP"
przesu si w prawo \fIn\fP znakw.
.IP "\fB0\fP"
przesu si do kolumny 0.
.IP "\fB^\fP"
przesu si do pierwszego niebiaego znaku.
.IP "\fIn\fP\fB|\fP"
przesu si do kolumny \fIn\fP.
.IP "\fB$\fP"
przesu si do ostatniego znaku.
.IP "\fIn\fP\fBb\fP"
przesu si wstecz \fIn\fP sw.
.IP "\fIn\fP\fBB\fP"
przesu si wstecz \fIn\fP duych sw.
.IP "\fIn\fP\fBe\fP"
przesu si na przd do koca sowo \fIn\fP razy.
.IP "\fIn\fP\fBE\fP"
przesu si na przd do koca duego sowa \fIn\fP razy.
.IP "\fIn\fP\fBw\fP"
przesu si na przd o \fIn\fP sw.
.IP "\fIn\fP\fBW\fP"
przesu si na przd o \fIn\fP duych sw.
.IP "\fB%\fP"
odnajd wzr: edytor szuka do przodu najbliszego nawiasu
zamykajcego (okrgego, prostoktnego lub klamrowego),
a nastpnie przesuwa si midzy nim a odpowiadajcym mu
nawiasem otwierajcym.
.IP "\fIn\fP\fBf\fP\fIc\fP"
przesu si w przd do \fIn\fP-tego wystpienia znaku \fIc\fP.
.IP "\fIn\fP\fBF\fP\fIc\fP"
przesu si w ty do \fIn\fP-tego wystpienia znaku \fIc\fP.
.IP "\fIn\fP\fBt\fP\fIc\fP"
przesu si w przd tu przed \fIn\fP-te wystpienie znaku \fIc\fP.
.IP "\fIn\fP\fBT\fP\fIc\fP"
przesu si w ty tu przed \fIn\fP-te wystpienie znaku \fIc\fP.
.IP "\fIn\fP\fB;\fP"
powtarza ostatni komend \fBf\fP, \fBF\fP, \fBt\fP lub \fBT\fP.
.IP "\fIn\fP\fB,\fP"
powtarza ostatni komend \fBf\fP, \fBF\fP, \fBt\fP lub \fBT\fP,
lecz porusza si w przeciwnym kierunku.
.RE
.\"}}}
.\"{{{  Inter-line movement commands
.IP "Komendy przemieszczania midzy wierszami"
.RS
.IP "\fIn\fP\fBj\fP, \fIn\fP\fB+\fP i \fIn\fP\fB^N\fP"
przejd do \fIn\fP-tego nastpnego wiersza w historii.
.IP "\fIn\fP\fBk\fP, \fIn\fP\fB-\fP i \fIn\fP\fB^P\fP"
przejd do \fIn\fP-tego poprzedniego wiersza w historii.
.IP "\fIn\fP\fBG\fP"
przejd do wiersza \fIn\fP w historii; jeli brak \fIn\fP, to przenosi
si do pierwszego zapamitanego wiersza w historii.
.IP "\fIn\fP\fBg\fP"
tak jak \fBG\fP, tylko, e jeli nie podano \fIn\fP to idzie do
ostatnio zapamitanego wiersza.
.IP "\fIn\fP\fB/\fP\fIcig\fP"
szukaj wstecz w historii \fIn\fP-tego wiersza zawierajcego
\fIcig\fP; jeli \fIcig\fP zaczyna si od \fB^\fP, to reszta cigu
musi wystpowa na samym pocztku wiersza historii aby pasowaa.
.IP "\fIn\fP\fB?\fP\fIstring\fP"
tak jak \fB/\fP, tylko, e szuka do przodu w historii.
.IP "\fIn\fP\fBn\fP"
szukaj \fIn\fP-tego wystpienia ostatnio szukanego cigu; kierunek jest
ten sam co kierunek ostatniego szukania.
.IP "\fIn\fP\fBN\fP"
szukaj \fIn\fP-tego wystpienia ostatnio szukanego cigu; kierunek jest
przeciwny do kierunku ostatniego szukania.
.RE
.\"}}}
.\"{{{  Edit commands
.IP "Komendy edycji"
.RS
.IP "\fIn\fP\fBa\fP"
dodaj tekst \fIn\fP-krotnie: przechodzi w tryb wprowadzania tu po
biecej pozycji.
Dodanie zostaje jedynie wykonane, jeli zostanie ponownie uruchomiony
tryb komendy (\fItzn.\fP, jeli <esc> zostanie uyte).
.IP "\fIn\fP\fBA\fP"
tak jak \fBa\fP, z t rnic, e dodaje do koca wiersza.
.IP "\fIn\fP\fBi\fP"
dodaj tekst \fIn\fP-krotnie: przechodzi w tryb wprowadzania na biecej
pozycji.
Dodanie zostaje jedynie wykonane, jeli zostanie ponownie uruchomiony
tryb komendy (\fItzn.\fP, jeli <esc> zostanie uyte).
.IP "\fIn\fP\fBI\fP"
tak jak \fBi\fP, z t rnic, e dodaje do tu przed pierwszym niebiaym
znakiem.
.IP "\fIn\fP\fBs\fP"
zamie nastpnych \fIn\fP znakw (\fItzn.\fP, skasuj te znaki i przejd
do trybu wprowadzania).
.IP "\fBS\fP"
zastp cay wiersz: wszystkie znaki od pierwszego niebiaego znaku
do koca wiersza zostaj skasowane i zostaje uruchomiony tryb
wprowadzania.
.IP "\fIn\fP\fBc\fP\fIkomenda-przemieszczenia\fP"
przejd z biecej pozycji do pozycji wynikajcej z \fIn\fP
\fIkomenda-przemieszczenia\fPs (\fItj.\fP, skasuj wskazany region i wejd w tryb
wprowadzania);
jeli \fIkomend-przemieszczenia\fP jest \fBc\fP, to wiersz
zostaje zmieniony od pierwszego niebiaego znaku poczwszy.
.IP "\fBC\fP"
zmie od obecnej pozycji do koca wiersza (\fItzn.\fP skasuj do koca
wiersza i przejd do trybu wprowadzania).
.IP "\fIn\fP\fBx\fP"
skasuj nastpnych \fIn\fP znakw.
.IP "\fIn\fP\fBX\fP"
skasuj poprzednich \fIn\fP znakw.
.IP "\fBD\fP"
skasuj do koca wiersza.
.IP "\fIn\fP\fBd\fP\fImove-cmd\fP"
skasuj od obecnej pozycji do pozycji wynikajcej z \fIn\fP krotnego
\fImove-cmd\fP;
\fImove-cmd\fP moe by komend przemieszczania (patrz powyej) lub \fBd\fP,
co powoduje skasowanie biecego wiersza.
.IP "\fIn\fP\fBr\fP\fIc\fP"
zamie nastpnych \fIn\fP znakw na znak \fIc\fP.
.IP "\fIn\fP\fBR\fP"
zamie: wejd w tryb wprowadzania lecz przepisuj istniejce znaki
zamiast wprowadzania przed istniejcymi znakami.  Zamiana zostaje wykonana
\fIn\fP krotnie.
.IP "\fIn\fP\fB~\fP"
zmie wielko nastpnych \fIn\fP znakw.
.IP "\fIn\fP\fBy\fP\fImove-cmd\fP"
wytnij od obecnej pozycji po pozycj wynikajc z \fIn\fP krotnego
\fImove-cmd\fP do bufora wycinania; jeli \fImove-cmd\fP jest \fBy\fP, to
cay wiersz zostaje wycity.
.IP "\fBY\fP"
wytnij od obecnej pozycji do koca wiersza.
.IP "\fIn\fP\fBp\fP"
wklej zawarto bufora wycinania tu po biecej pozycji,
\fIn\fP krotnie.
.IP "\fIn\fP\fBP\fP"
tak jak \fBp\fP, tylko e bufor zostaje wklejony na biecej pozycji.
.RE
.\"}}}
.\"{{{  Miscellaneous vi commands
.IP "Rne komendy vi"
.RS
.IP "\fB^J\fP i \fB^M\fP"
biecy wiersz zostaje wczytany, rozpoznany i wykonany przez powok.
.IP "\fB^L\fP i \fB^R\fP"
odrysuj biecy wiersz.
.IP "\fIn\fP\fB.\fP"
wykonaj ponownie ostatni komend edycji \fIn\fP razy.
.IP "\fBu\fP"
odwr ostatni komend edycji.
.IP "\fBU\fP"
odwr wszelkie zmiany dokonane w danym wierszu.
.IP "\fIintr\fP i \fIquit\fP"
znaki terminala przerwy i zakoczenia powoduj skasowania biecego
wiersza i wywietlenie nowej zachty.
.RE
.\"Has all vi commands except:
.\"    movement: { } [[ ]] ^E ^Y ^U ^D ^F ^B H L M ()
.\"    tag commands: ^T ^]
.\"    mark commands: m ` '
.\"    named-buffer commands: " @
.\"    file/shell/ex-commands: Q ZZ ^^ : ! &
.\"    multi-line change commands: o O J
.\"    shift commands: << >>
.\"    status command: ^G
.\"}}}
.\"}}}
.\"}}}
.\"}}}
.\"{{{  Files
.SH PLIKI
~/.profile
.br
/etc/profile
.br
/etc/suid_profile
.\"}}}
.\"{{{  Bugs
.SH BDY
Wszelkie bdy w pdksh naley zgasza pod adresem pdksh@cs.mun.ca.
Prosz poda wersj pdksh (echo $KSH_VERSION), maszyn,
system operacyjny i stosowany kompilator oraz opis jak powtrzy dany bd
(najlepiej may skrypt powoki demonstrujcy dany bd).
Nastpujce moe by rwnie pomocne, jeli ma znaczenie
(jeli nie jeste pewny to podaj to rwnie):
stosowane opcje (zarwno z opcje options.h jak i ustawione
\-o opcje) i twoja kopia config.h (plik generowany przez skrypt
configure).  Nowe wersje pdksh mona otrzyma z
ftp://ftp.cs.mun.ca/pub/pdksh/.
.\"}}}
.\"{{{  Authors
.SH AUTORZY
Ta powoka powstaa z publicznego klonu sidmego wydania powoki
Bourne'a wykonanego przez Charlesa Forsytha i z czci powoki
BRL autorstwa Doug A.\& Gwyna, Douga Kingstona,
Rona Natalie;a, Arnolda Robbinsa, Lou Salkinda i innych.  Pierwsze wydanie
pdksh stworzy Eric Gisin, a nastpnie troszczyli si ni kolejno
John R.\& MacMillan (chance!john@sq.sq.com), i
Simon J.\& Gerraty (sjg@zen.void.oz.au).  Obecnym opiekunem jest
Michael Rendell (michael@cs.mun.ca).
Plik CONTRIBUTORS w dystrybucji rde zawiera bardziej kompletn
list ludzi i ich wkadu do rozwoju tej powoki.
.PP
Tumaczenie tego podrcznika na jzyk polski wykona Marcin Dalecki
<dalecki@cs.net.pl>.
.\"}}}
.\"{{{  See also
.SH "ZOBACZ TAKE"
awk(1),
sh(1),
csh(1), ed(1), getconf(1), getopt(1), sed(1), stty(1), vi(1),
dup(2), execve(2), getgid(2), getuid(2), open(2), pipe(2), wait(2),
getopt(3), rand(3), signal(3), system(3),
environ(5)
.PP
.IR "The KornShell Command and Programming Language" ,
Morris Bolsky i David Korn, 1989, ISBN 0-13-516972-0.
.PP
.\" XXX ISBN missing
.IR "UNIX Shell Programming" ,
Stephen G.\& Kochan, Patrick H.\& Wood, Hayden.
.PP
.IR "IEEE Standard for information Technology \- Portable Operating System Interface (POSIX) \- Part 2: Shell and Utilities" ,
IEEE Inc, 1993, ISBN 1-55937-255-9.
